define(["require", "exports", "react", "@fluentui/react/lib/Styling"], function (require, exports, React, Styling_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.renderColorPicker = void 0;
    var classNames = (0, Styling_1.mergeStyleSets)({
        colorSquare: {
            width: '20px',
            height: '20px',
            margin: '4px',
            borderStyle: 'solid',
            borderWidth: '2px',
            '&:hover': {
                borderColor: 'red',
            },
        },
        colorSquareBorder: {
            borderColor: 'transparent',
        },
        colorSquareBorderWhite: {
            borderColor: '#bebebe',
        },
    });
    /**
     * @internal
     */
    function renderColorPicker(item, colorDef, onClick) {
        var key = item.key;
        var buttonColor = colorDef[key].lightModeColor;
        return (React.createElement("button", { onClick: function (e) { return onClick(e, item); }, title: item.text },
            React.createElement("div", { className: classNames.colorSquare +
                    ' ' +
                    (key == 'textColorWhite' || key == 'backgroundColorWhite'
                        ? classNames.colorSquareBorderWhite
                        : classNames.colorSquareBorder), style: {
                    backgroundColor: buttonColor,
                } })));
    }
    exports.renderColorPicker = renderColorPicker;
});
//# sourceMappingURL=renderColorPicker.js.map