define(["require", "exports", "react", "react-dom", "roosterjs-editor-dom", "@fluentui/react/lib/Theme", "@fluentui/react/lib/WindowProvider"], function (require, exports, React, ReactDOM, roosterjs_editor_dom_1, Theme_1, WindowProvider_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    /**
     * Create the UI Utilities object for plugins to render additional react components
     * @param container Container DIV of editor
     * @param theme Current theme used by editor
     * @returns A UIUtilities object
     */
    function createUIUtilities(container, theme) {
        return {
            renderComponent: function (element) {
                var doc = container.ownerDocument;
                var div = doc.createElement('div');
                doc.body.appendChild(div);
                ReactDOM.render(React.createElement(WindowProvider_1.WindowProvider, { window: doc.defaultView },
                    React.createElement(Theme_1.ThemeProvider, { theme: theme }, element)), div);
                return function () {
                    ReactDOM.unmountComponentAtNode(div);
                    doc.body.removeChild(div);
                };
            },
            isRightToLeft: function () {
                var dir = container && (0, roosterjs_editor_dom_1.getComputedStyles)(container, 'direction')[0];
                return dir == 'rtl';
            },
        };
    }
    exports.default = createUIUtilities;
});
//# sourceMappingURL=createUIUtilities.js.map