define(["require", "exports", "../../../colorPicker/component/renderColorPicker", "roosterjs-editor-api", "../../../colorPicker/utils/getClassNamesForColorPicker", "../../../colorPicker/utils/backgroundColors"], function (require, exports, renderColorPicker_1, roosterjs_editor_api_1, getClassNamesForColorPicker_1, backgroundColors_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.backgroundColor = void 0;
    var Key = 'buttonNameBackgroundColor';
    /**
     * @internal
     * "Background color" button on the format ribbon
     */
    exports.backgroundColor = {
        dropDownMenu: {
            items: backgroundColors_1.BackgroundColorDropDownItems,
            itemClassName: (0, getClassNamesForColorPicker_1.getColorPickerItemClassName)(),
            allowLivePreview: true,
            itemRender: function (item, onClick) { return (0, renderColorPicker_1.renderColorPicker)(item, backgroundColors_1.BackgroundColors, onClick); },
            commandBarSubMenuProperties: {
                className: (0, getClassNamesForColorPicker_1.getColorPickerContainerClassName)(),
            },
        },
        key: Key,
        unlocalizedText: 'Background color',
        iconName: 'FabricTextHighlight',
        onClick: function (editor, key) {
            // This check will always be true, add it here just to satisfy compiler
            if (key != Key) {
                (0, roosterjs_editor_api_1.setBackgroundColor)(editor, (0, backgroundColors_1.getBackgroundColorValue)(key));
            }
        },
    };
});
//# sourceMappingURL=backgroundColor.js.map