define(["require", "exports", "roosterjs-editor-api"], function (require, exports, roosterjs_editor_api_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.fontSize = void 0;
    /**
     * @internal
     * "Font Size" button on the format ribbon
     */
    exports.fontSize = {
        key: 'buttonNameFontSize',
        unlocalizedText: 'Font size',
        iconName: 'FontSize',
        dropDownMenu: {
            items: roosterjs_editor_api_1.FONT_SIZES.reduce(function (map, size) {
                map[size + 'pt'] = size.toString();
                return map;
            }, {}),
            getSelectedItemKey: function (formatState) { var _a; return (_a = formatState.fontSize) !== null && _a !== void 0 ? _a : null; },
            allowLivePreview: true,
        },
        onClick: function (editor, size) {
            (0, roosterjs_editor_api_1.setFontSize)(editor, size);
        },
    };
});
//# sourceMappingURL=fontSize.js.map