define(["require", "exports", "roosterjs-editor-dom", "roosterjs-editor-api"], function (require, exports, roosterjs_editor_dom_1, roosterjs_editor_api_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.heading = void 0;
    var headings = {
        buttonNameHeading1: 'Heading 1',
        buttonNameHeading2: 'Heading 2',
        buttonNameHeading3: 'Heading 3',
        buttonNameHeading4: 'Heading 4',
        buttonNameHeading5: 'Heading 5',
        buttonNameHeading6: 'Heading 6',
        '-': '-',
        buttonNameNoHeading: 'No heading',
    };
    /**
     * @internal
     * "Heading" button on the format ribbon
     */
    exports.heading = {
        key: 'buttonNameHeading',
        unlocalizedText: 'Heading',
        iconName: 'Header1',
        dropDownMenu: {
            items: headings,
            getSelectedItemKey: function (formatState) {
                var _a;
                return ((_a = formatState.headingLevel) !== null && _a !== void 0 ? _a : 0) > 0
                    ? 'heading' + formatState.headingLevel
                    : 'noHeading';
            },
        },
        onClick: function (editor, key) {
            var index = (0, roosterjs_editor_dom_1.getObjectKeys)(headings).indexOf(key) + 1;
            if (index > 6) {
                (0, roosterjs_editor_api_1.setHeadingLevel)(editor, 0);
            }
            else if (index > 0) {
                (0, roosterjs_editor_api_1.setHeadingLevel)(editor, index);
            }
        },
    };
});
//# sourceMappingURL=heading.js.map