define(["require", "exports", "roosterjs-editor-dom", "roosterjs-editor-api"], function (require, exports, roosterjs_editor_dom_1, roosterjs_editor_api_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.insertImage = void 0;
    var FileInput = {
        tag: 'input',
        attributes: {
            type: 'file',
            accept: 'image/*',
            display: 'none',
        },
    };
    /**
     * @internal
     * "Insert image" button on the format ribbon
     */
    exports.insertImage = {
        key: 'buttonNameInsertImage',
        unlocalizedText: 'Insert image',
        iconName: 'Photo2',
        onClick: function (editor) {
            var document = editor.getDocument();
            var fileInput = (0, roosterjs_editor_dom_1.createElement)(FileInput, document);
            document.body.appendChild(fileInput);
            fileInput.addEventListener('change', function () {
                if (fileInput.files) {
                    for (var i = 0; i < fileInput.files.length; i++) {
                        (0, roosterjs_editor_api_1.insertImage)(editor, fileInput.files[i]);
                    }
                }
            });
            try {
                fileInput.click();
            }
            finally {
                document.body.removeChild(fileInput);
            }
        },
    };
});
//# sourceMappingURL=insertImage.js.map