define(["require", "exports", "./buttons/alignCenter", "./buttons/alignLeft", "./buttons/alignRight", "./buttons/backgroundColor", "./buttons/bold", "./buttons/bulletedList", "./buttons/clearFormat", "./buttons/code", "./buttons/decreaseFontSize", "./buttons/decreaseIndent", "./buttons/font", "./buttons/fontSize", "./buttons/heading", "./buttons/increaseFontSize", "./buttons/increaseIndent", "./buttons/insertImage", "./buttons/insertLink", "./buttons/insertTable", "./buttons/italic", "../type/KnownRibbonButton", "./buttons/ltr", "./buttons/numberedList", "./buttons/quote", "./buttons/redo", "./buttons/removeLink", "./buttons/rtl", "./buttons/strikethrough", "./buttons/subscript", "./buttons/superscript", "./buttons/textColor", "./buttons/underline", "./buttons/undo"], function (require, exports, alignCenter_1, alignLeft_1, alignRight_1, backgroundColor_1, bold_1, bulletedList_1, clearFormat_1, code_1, decreaseFontSize_1, decreaseIndent_1, font_1, fontSize_1, heading_1, increaseFontSize_1, increaseIndent_1, insertImage_1, insertLink_1, insertTable_1, italic_1, KnownRibbonButton_1, ltr_1, numberedList_1, quote_1, redo_1, removeLink_1, rtl_1, strikethrough_1, subscript_1, superscript_1, textColor_1, underline_1, undo_1) {
    "use strict";
    var _a;
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.AllButtonKeys = void 0;
    var KnownRibbonButtons = (_a = {},
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.Bold] = bold_1.bold,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.Italic] = italic_1.italic,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.Underline] = underline_1.underline,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.Font] = font_1.font,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.FontSize] = fontSize_1.fontSize,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.IncreaseFontSize] = increaseFontSize_1.increaseFontSize,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.DecreaseFontSize] = decreaseFontSize_1.decreaseFontSize,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.TextColor] = textColor_1.textColor,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.BackgroundColor] = backgroundColor_1.backgroundColor,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.BulletedList] = bulletedList_1.bulletedList,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.NumberedList] = numberedList_1.numberedList,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.DecreaseIndent] = decreaseIndent_1.decreaseIndent,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.IncreaseIndent] = increaseIndent_1.increaseIndent,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.Quote] = quote_1.quote,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.AlignLeft] = alignLeft_1.alignLeft,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.AlignCenter] = alignCenter_1.alignCenter,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.AlignRight] = alignRight_1.alignRight,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.InsertLink] = insertLink_1.insertLink,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.RemoveLink] = removeLink_1.removeLink,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.InsertTable] = insertTable_1.insertTable,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.InsertImage] = insertImage_1.insertImage,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.Superscript] = superscript_1.superscript,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.Subscript] = subscript_1.subscript,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.Strikethrough] = strikethrough_1.strikethrough,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.Header] = heading_1.heading,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.Heading] = heading_1.heading,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.Code] = code_1.code,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.Ltr] = ltr_1.ltr,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.Rtl] = rtl_1.rtl,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.Undo] = undo_1.undo,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.Redo] = redo_1.redo,
        _a[KnownRibbonButton_1.KnownRibbonButtonKey.ClearFormat] = clearFormat_1.clearFormat,
        _a);
    /**
     * An array of keys of all known ribbon buttons
     */
    exports.AllButtonKeys = [
        KnownRibbonButton_1.KnownRibbonButtonKey.Bold,
        KnownRibbonButton_1.KnownRibbonButtonKey.Italic,
        KnownRibbonButton_1.KnownRibbonButtonKey.Underline,
        KnownRibbonButton_1.KnownRibbonButtonKey.Font,
        KnownRibbonButton_1.KnownRibbonButtonKey.FontSize,
        KnownRibbonButton_1.KnownRibbonButtonKey.IncreaseFontSize,
        KnownRibbonButton_1.KnownRibbonButtonKey.DecreaseFontSize,
        KnownRibbonButton_1.KnownRibbonButtonKey.TextColor,
        KnownRibbonButton_1.KnownRibbonButtonKey.BackgroundColor,
        KnownRibbonButton_1.KnownRibbonButtonKey.BulletedList,
        KnownRibbonButton_1.KnownRibbonButtonKey.NumberedList,
        KnownRibbonButton_1.KnownRibbonButtonKey.DecreaseIndent,
        KnownRibbonButton_1.KnownRibbonButtonKey.IncreaseIndent,
        KnownRibbonButton_1.KnownRibbonButtonKey.Quote,
        KnownRibbonButton_1.KnownRibbonButtonKey.AlignLeft,
        KnownRibbonButton_1.KnownRibbonButtonKey.AlignCenter,
        KnownRibbonButton_1.KnownRibbonButtonKey.AlignRight,
        KnownRibbonButton_1.KnownRibbonButtonKey.InsertLink,
        KnownRibbonButton_1.KnownRibbonButtonKey.RemoveLink,
        KnownRibbonButton_1.KnownRibbonButtonKey.InsertTable,
        KnownRibbonButton_1.KnownRibbonButtonKey.InsertImage,
        KnownRibbonButton_1.KnownRibbonButtonKey.Superscript,
        KnownRibbonButton_1.KnownRibbonButtonKey.Subscript,
        KnownRibbonButton_1.KnownRibbonButtonKey.Strikethrough,
        KnownRibbonButton_1.KnownRibbonButtonKey.Heading,
        KnownRibbonButton_1.KnownRibbonButtonKey.Code,
        KnownRibbonButton_1.KnownRibbonButtonKey.Ltr,
        KnownRibbonButton_1.KnownRibbonButtonKey.Rtl,
        KnownRibbonButton_1.KnownRibbonButtonKey.Undo,
        KnownRibbonButton_1.KnownRibbonButtonKey.Redo,
        KnownRibbonButton_1.KnownRibbonButtonKey.ClearFormat,
    ];
    /**
     * A shortcut to get all format buttons provided by roosterjs-react
     * @param keyOrButtons An array of buttons or known button key. Default value is all known buttons provided by roosterjs-react
     * @returns An array of all buttons
     */
    function getButtons(keyOrButtons) {
        if (keyOrButtons === void 0) { keyOrButtons = exports.AllButtonKeys; }
        return keyOrButtons.map(function (keyOrButton) {
            return typeof keyOrButton == 'number' ? KnownRibbonButtons[keyOrButton] : keyOrButton;
        });
    }
    exports.default = getButtons;
});
//# sourceMappingURL=getButtons.js.map