/**
 * Keys of known ribbon buttons (buttons included in roosterjs-react)
 */
export declare enum KnownRibbonButtonKey {
    /**
     * "Bold" button on the format ribbon
     */
    Bold = 0,
    /**
     * "Italic" button on the format ribbon
     */
    Italic = 1,
    /**
     * "Underline" button on the format ribbon
     */
    Underline = 2,
    /**
     * "Font" button on the format ribbon
     */
    Font = 3,
    /**
     * "FontSize" button on the format ribbon
     */
    FontSize = 4,
    /**
     * "IncreaseFontSize" button on the format ribbon
     */
    IncreaseFontSize = 5,
    /**
     * "DecreaseFontSize" button on the format ribbon
     */
    DecreaseFontSize = 6,
    /**
     * "TextColor" button on the format ribbon
     */
    TextColor = 7,
    /**
     * "BackgroundColor" button on the format ribbon
     */
    BackgroundColor = 8,
    /**
     * "BulletedList" button on the format ribbon
     */
    BulletedList = 9,
    /**
     * "NumberedList" button on the format ribbon
     */
    NumberedList = 10,
    /**
     * "DecreaseIndent" button on the format ribbon
     */
    DecreaseIndent = 11,
    /**
     * "IncreaseIndent" button on the format ribbon
     */
    IncreaseIndent = 12,
    /**
     * "Quote" button on the format ribbon
     */
    Quote = 13,
    /**
     * "AlignLeft" button on the format ribbon
     */
    AlignLeft = 14,
    /**
     * "AlignCenter" button on the format ribbon
     */
    AlignCenter = 15,
    /**
     * "AlignRight" button on the format ribbon
     */
    AlignRight = 16,
    /**
     * "InsertLink" button on the format ribbon
     */
    InsertLink = 17,
    /**
     * "RemoveLink" button on the format ribbon
     */
    RemoveLink = 18,
    /**
     * "InsertTable" button on the format ribbon
     */
    InsertTable = 19,
    /**
     * "InsertImage" button on the format ribbon
     */
    InsertImage = 20,
    /**
     * "Superscript" button on the format ribbon
     */
    Superscript = 21,
    /**
     * "Subscript" button on the format ribbon
     */
    Subscript = 22,
    /**
     * "Strikethrough" button on the format ribbon
     */
    Strikethrough = 23,
    /**
     * "Heading" button on the format ribbon
     */
    Heading = 24,
    /**
     * "Code" button on the format ribbon
     */
    Code = 25,
    /**
     * "Ltr" button on the format ribbon
     */
    Ltr = 26,
    /**
     * "Rtl" button on the format ribbon
     */
    Rtl = 27,
    /**
     * "Undo" button on the format ribbon
     */
    Undo = 28,
    /**
     * "Redo" button on the format ribbon
     */
    Redo = 29,
    /**
     * "ClearFormat" button on the format ribbon
     */
    ClearFormat = 30,
    /**
     * @deprecated Use Heading instead
     * "Heading" button on the format ribbon
     */
    Header = 31
}
