define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.UpdateMode = void 0;
    /**
     * Update mode for UpdateContentPlugins
     */
    var UpdateMode;
    (function (UpdateMode) {
        /**
         * Force update, triggered from UpdateContentPlugin.forceUpdate()
         */
        UpdateMode[UpdateMode["Force"] = 0] = "Force";
        /**
         * Update when editor is initialized
         */
        UpdateMode[UpdateMode["OnInitialize"] = 1] = "OnInitialize";
        /**
         * Update when editor is about to be disposed
         */
        UpdateMode[UpdateMode["OnDispose"] = 2] = "OnDispose";
        /**
         * Update when user input in editor
         */
        UpdateMode[UpdateMode["OnUserInput"] = 4] = "OnUserInput";
        /**
         * Update when ContentChangedEvent is triggered from a plugin
         */
        UpdateMode[UpdateMode["OnContentChangedEvent"] = 8] = "OnContentChangedEvent";
        /**
         * Update when editor loses focus
         */
        UpdateMode[UpdateMode["OnBlur"] = 16] = "OnBlur";
    })(UpdateMode = exports.UpdateMode || (exports.UpdateMode = {}));
});
//# sourceMappingURL=UpdateMode.js.map