import * as React from 'react';
import { mergeStyleSets } from '@fluentui/react/lib/Styling';
var classNames = mergeStyleSets({
    colorSquare: {
        width: '20px',
        height: '20px',
        margin: '4px',
        borderStyle: 'solid',
        borderWidth: '2px',
        '&:hover': {
            borderColor: 'red',
        },
    },
    colorSquareBorder: {
        borderColor: 'transparent',
    },
    colorSquareBorderWhite: {
        borderColor: '#bebebe',
    },
});
/**
 * @internal
 */
export function renderColorPicker(item, colorDef, onClick) {
    var key = item.key;
    var buttonColor = colorDef[key].lightModeColor;
    return (React.createElement("button", { onClick: function (e) { return onClick(e, item); }, title: item.text },
        React.createElement("div", { className: classNames.colorSquare +
                ' ' +
                (key == 'textColorWhite' || key == 'backgroundColorWhite'
                    ? classNames.colorSquareBorderWhite
                    : classNames.colorSquareBorder), style: {
                backgroundColor: buttonColor,
            } })));
}
//# sourceMappingURL=renderColorPicker.js.map