import type { BackgroundColorKeys } from '../types/stringKeys';
import type { ModeIndependentColor } from 'roosterjs-editor-types';
/**
 * @internal
 */
declare const BackgroundColors: Record<BackgroundColorKeys, ModeIndependentColor>;
/**
 * @internal
 * List of colors in drop down list
 */
declare const BackgroundColorDropDownItems: Record<BackgroundColorKeys, string>;
/**
 * Get mode independent color value of background color from the given color key
 * @param key The key to get color from
 * @returns A model independent color value of the given key
 */
declare function getBackgroundColorValue(key: BackgroundColorKeys): ModeIndependentColor;
export { BackgroundColors, BackgroundColorDropDownItems, getBackgroundColorValue };
