/// <reference types="react" />
import type { EmojiFamilyKeys } from '../utils/emojiList';
import type { EmojiPaneStyle } from '../type/EmojiPaneStyles';
import type { IProcessedStyleSet, IStyleSet } from '@fluentui/react/lib/Styling';
/**
 * @internal
 * Emoji Nav Bar data
 */
export interface EmojiNavBarProps {
    onClick?: (selected: string) => void;
    currentSelected?: string;
    getTabId?: (selected: EmojiFamilyKeys) => string;
    strings: Record<string, string>;
    classNames: IProcessedStyleSet<IStyleSet<EmojiPaneStyle>>;
}
/**
 * @internal
 */
export default function EmojiNavBar(props: EmojiNavBarProps): JSX.Element;
