import { renderColorPicker } from '../../../colorPicker/component/renderColorPicker';
import { setBackgroundColor } from 'roosterjs-editor-api';
import { getColorPickerContainerClassName, getColorPickerItemClassName, } from '../../../colorPicker/utils/getClassNamesForColorPicker';
import { BackgroundColorDropDownItems, BackgroundColors, getBackgroundColorValue, } from '../../../colorPicker/utils/backgroundColors';
var Key = 'buttonNameBackgroundColor';
/**
 * @internal
 * "Background color" button on the format ribbon
 */
export var backgroundColor = {
    dropDownMenu: {
        items: BackgroundColorDropDownItems,
        itemClassName: getColorPickerItemClassName(),
        allowLivePreview: true,
        itemRender: function (item, onClick) { return renderColorPicker(item, BackgroundColors, onClick); },
        commandBarSubMenuProperties: {
            className: getColorPickerContainerClassName(),
        },
    },
    key: Key,
    unlocalizedText: 'Background color',
    iconName: 'FabricTextHighlight',
    onClick: function (editor, key) {
        // This check will always be true, add it here just to satisfy compiler
        if (key != Key) {
            setBackgroundColor(editor, getBackgroundColorValue(key));
        }
    },
};
//# sourceMappingURL=backgroundColor.js.map