import { FONT_SIZES, setFontSize } from 'roosterjs-editor-api';
/**
 * @internal
 * "Font Size" button on the format ribbon
 */
export var fontSize = {
    key: 'buttonNameFontSize',
    unlocalizedText: 'Font size',
    iconName: 'FontSize',
    dropDownMenu: {
        items: FONT_SIZES.reduce(function (map, size) {
            map[size + 'pt'] = size.toString();
            return map;
        }, {}),
        getSelectedItemKey: function (formatState) { var _a; return (_a = formatState.fontSize) !== null && _a !== void 0 ? _a : null; },
        allowLivePreview: true,
    },
    onClick: function (editor, size) {
        setFontSize(editor, size);
    },
};
//# sourceMappingURL=fontSize.js.map