import { getObjectKeys } from 'roosterjs-editor-dom';
import { setHeadingLevel } from 'roosterjs-editor-api';
var headings = {
    buttonNameHeading1: 'Heading 1',
    buttonNameHeading2: 'Heading 2',
    buttonNameHeading3: 'Heading 3',
    buttonNameHeading4: 'Heading 4',
    buttonNameHeading5: 'Heading 5',
    buttonNameHeading6: 'Heading 6',
    '-': '-',
    buttonNameNoHeading: 'No heading',
};
/**
 * @internal
 * "Heading" button on the format ribbon
 */
export var heading = {
    key: 'buttonNameHeading',
    unlocalizedText: 'Heading',
    iconName: 'Header1',
    dropDownMenu: {
        items: headings,
        getSelectedItemKey: function (formatState) {
            var _a;
            return ((_a = formatState.headingLevel) !== null && _a !== void 0 ? _a : 0) > 0
                ? 'heading' + formatState.headingLevel
                : 'noHeading';
        },
    },
    onClick: function (editor, key) {
        var index = getObjectKeys(headings).indexOf(key) + 1;
        if (index > 6) {
            setHeadingLevel(editor, 0);
        }
        else if (index > 0) {
            setHeadingLevel(editor, index);
        }
    },
};
//# sourceMappingURL=heading.js.map