import { createElement } from 'roosterjs-editor-dom';
import { insertImage as insertImageApi } from 'roosterjs-editor-api';
var FileInput = {
    tag: 'input',
    attributes: {
        type: 'file',
        accept: 'image/*',
        display: 'none',
    },
};
/**
 * @internal
 * "Insert image" button on the format ribbon
 */
export var insertImage = {
    key: 'buttonNameInsertImage',
    unlocalizedText: 'Insert image',
    iconName: 'Photo2',
    onClick: function (editor) {
        var document = editor.getDocument();
        var fileInput = createElement(FileInput, document);
        document.body.appendChild(fileInput);
        fileInput.addEventListener('change', function () {
            if (fileInput.files) {
                for (var i = 0; i < fileInput.files.length; i++) {
                    insertImageApi(editor, fileInput.files[i]);
                }
            }
        });
        try {
            fileInput.click();
        }
        finally {
            document.body.removeChild(fileInput);
        }
    },
};
//# sourceMappingURL=insertImage.js.map