import type { ModeIndependentColor } from 'roosterjs-editor-types';
import type { TextColorKeys } from '../types/stringKeys';
/**
 * @internal
 */
declare const TextColors: Record<TextColorKeys, ModeIndependentColor>;
/**
 * @internal
 */
declare const TextColorDropDownItems: Record<TextColorKeys, string>;
/**
 * Get mode independent color value of text color from the given color key
 * @param key The key to get color from
 * @returns A model independent color value of the given key
 */
declare function getTextColorValue(key: TextColorKeys): ModeIndependentColor;
export { TextColors, TextColorDropDownItems, getTextColorValue };
