"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var ReactDOM = require("react-dom");
var roosterjs_editor_dom_1 = require("roosterjs-editor-dom");
var Theme_1 = require("@fluentui/react/lib/Theme");
var WindowProvider_1 = require("@fluentui/react/lib/WindowProvider");
/**
 * Create the UI Utilities object for plugins to render additional react components
 * @param container Container DIV of editor
 * @param theme Current theme used by editor
 * @returns A UIUtilities object
 */
function createUIUtilities(container, theme) {
    return {
        renderComponent: function (element) {
            var doc = container.ownerDocument;
            var div = doc.createElement('div');
            doc.body.appendChild(div);
            ReactDOM.render(React.createElement(WindowProvider_1.WindowProvider, { window: doc.defaultView },
                React.createElement(Theme_1.ThemeProvider, { theme: theme }, element)), div);
            return function () {
                ReactDOM.unmountComponentAtNode(div);
                doc.body.removeChild(div);
            };
        },
        isRightToLeft: function () {
            var dir = container && (0, roosterjs_editor_dom_1.getComputedStyles)(container, 'direction')[0];
            return dir == 'rtl';
        },
    };
}
exports.default = createUIUtilities;
//# sourceMappingURL=createUIUtilities.js.map