"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        if (typeof b !== "function" && b !== null)
            throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var roosterjs_editor_plugins_1 = require("roosterjs-editor-plugins");
var ContextualMenu_1 = require("@fluentui/react/lib/ContextualMenu");
var renderReactComponent_1 = require("../../common/utils/renderReactComponent");
function normalizeItems(items) {
    var dividerKey = 0;
    return items.map(function (item) {
        return item || {
            name: '-',
            key: 'divider_' + (dividerKey++).toString(),
        };
    });
}
var ContextMenuPlugin = /** @class */ (function (_super) {
    __extends(ContextMenuPlugin, _super);
    function ContextMenuPlugin() {
        var _this = _super.call(this, {
            render: function (container, items, onDismiss) {
                var normalizedITems = normalizeItems(items);
                if (normalizedITems.length > 0) {
                    _this.disposer = (0, renderReactComponent_1.renderReactComponent)(_this.uiUtilities, React.createElement(ContextualMenu_1.ContextualMenu, { target: container, onDismiss: onDismiss, items: normalizedITems }));
                }
            },
            dismiss: function (_) {
                var _a;
                (_a = _this.disposer) === null || _a === void 0 ? void 0 : _a.call(_this);
                _this.disposer = null;
            },
        }) || this;
        _this.uiUtilities = null;
        _this.disposer = null;
        return _this;
    }
    ContextMenuPlugin.prototype.setUIUtilities = function (uiUtilities) {
        this.uiUtilities = uiUtilities;
    };
    return ContextMenuPlugin;
}(roosterjs_editor_plugins_1.ContextMenu));
/**
 * Create a new instance of ContextMenu plugin with context menu implementation based on FluentUI.
 */
function createContextMenuPlugin() {
    return new ContextMenuPlugin();
}
exports.default = createContextMenuPlugin;
//# sourceMappingURL=createContextMenuPlugin.js.map