"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var Utilities_1 = require("@fluentui/react/lib/Utilities");
/**
 * @internal
 * Emoji icon component
 */
function EmojiIcon(props) {
    var _a;
    var emoji = props.emoji, onClick = props.onClick, isSelected = props.isSelected, onMouseOver = props.onMouseOver, onFocus = props.onFocus, strings = props.strings, id = props.id, classNames = props.classNames;
    var content = emoji.description && strings[emoji.description];
    return (React.createElement("button", __assign({ id: id, role: "option", className: (0, Utilities_1.css)(classNames.emoji, (_a = {},
            _a[classNames.emojiSelected] = isSelected,
            _a)), onClick: onClick, onMouseOver: onMouseOver, onFocus: onFocus, "data-is-focusable": true, "aria-label": content, "aria-selected": isSelected }, getDataAndAriaProps(props)), emoji.codePoint || '…'));
}
exports.default = EmojiIcon;
function reduceObject(object, callback) {
    if (!object) {
        return object;
    }
    return Object.keys(object).reduce(function (result, key) {
        if (callback(key)) {
            result[key] = object[key];
        }
        return result;
    }, {});
}
function getDataAndAriaProps(props) {
    return reduceObject(props || {}, function (propName) { return propName.indexOf('data-') === 0 || propName.indexOf('aria-') === 0; });
}
//# sourceMappingURL=EmojiIcon.js.map