import type { Emoji } from '../type/Emoji';
/**
 * @internal
 */
export declare const MoreEmoji: Emoji;
/**
 * @internal
 */
export declare const CommonEmojis: Emoji[];
/**
 * @internal
 */
export declare const enum EmojiFamilyKeys {
    People = "People",
    Nature = "Nature",
    Activities = "Activities",
    Food = "Food",
    Travel = "Travel",
    Symbols = "Symbols",
    Objects = "Objects"
}
/**
 * @internal
 * NOTE: name for an emoji should be in lower case
 */
export declare const EmojiList: {
    People: Emoji[];
    Nature: Emoji[];
    Activities: Emoji[];
    Food: Emoji[];
    Travel: Emoji[];
    Symbols: Emoji[];
    Objects: Emoji[];
};
/**
 * @internal
 */
export declare const EmojiFabricIconCharacterMap: {
    Activities: string;
    Food: string;
    Nature: string;
    Objects: string;
    People: string;
    Symbols: string;
    Travel: string;
};
/**
 * @internal
 */
export declare function forEachEmojiFamily(callback: (emojis: Emoji[], family: EmojiFamilyKeys) => boolean): void;
/**
 * @internal
 */
export declare function forEachEmoji(callback: (emoji: Emoji) => boolean): void;
