"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var InputDialogItem_1 = require("./InputDialogItem");
var Button_1 = require("@fluentui/react/lib/Button");
var Dialog_1 = require("@fluentui/react/lib/Dialog");
var index_1 = require("../../common/index");
var roosterjs_editor_dom_1 = require("roosterjs-editor-dom");
/**
 * @internal
 */
function InputDialog(props) {
    var items = props.items, strings = props.strings, dialogTitleKey = props.dialogTitleKey, unlocalizedTitle = props.unlocalizedTitle, onOk = props.onOk, onCancel = props.onCancel, onChange = props.onChange;
    var dialogContentProps = React.useMemo(function () { return ({
        type: Dialog_1.DialogType.normal,
        title: (0, index_1.getLocalizedString)(strings, dialogTitleKey, unlocalizedTitle),
    }); }, [strings, dialogTitleKey, unlocalizedTitle]);
    var _a = React.useState((0, roosterjs_editor_dom_1.getObjectKeys)(items).reduce(function (result, key) {
        result[key] = items[key].initValue;
        return result;
    }, {})), currentValues = _a[0], setCurrentValues = _a[1];
    var onSubmit = React.useCallback(function () {
        onOk === null || onOk === void 0 ? void 0 : onOk(currentValues);
    }, [onOk, currentValues]);
    var onItemChanged = React.useCallback(function (itemName, newValue) {
        var _a;
        if (itemName in items) {
            var newValues = (onChange === null || onChange === void 0 ? void 0 : onChange(itemName, newValue, __assign({}, currentValues))) || __assign(__assign({}, currentValues), (_a = {}, _a[itemName] = newValue, _a));
            setCurrentValues(newValues);
        }
    }, [setCurrentValues, currentValues, items]);
    return (React.createElement(Dialog_1.Dialog, { dialogContentProps: dialogContentProps, hidden: false, onDismiss: onCancel },
        React.createElement("div", null, (0, roosterjs_editor_dom_1.getObjectKeys)(items).map(function (key) { return (React.createElement(InputDialogItem_1.default, { key: key, itemName: key, items: items, strings: strings, currentValues: currentValues, onEnterKey: onSubmit, onChanged: onItemChanged })); })),
        React.createElement(Dialog_1.DialogFooter, null,
            React.createElement(Button_1.PrimaryButton, { text: (0, index_1.getLocalizedString)(strings, 'buttonNameOK', 'OK'), onClick: onSubmit }),
            React.createElement(Button_1.DefaultButton, { text: (0, index_1.getLocalizedString)(strings, 'buttonNameCancel', 'Cancel'), onClick: onCancel }))));
}
exports.default = InputDialog;
//# sourceMappingURL=InputDialog.js.map