import * as React from 'react';
import type { LocalizedStrings, UIUtilities } from '../../common/index';
import type { PasteOptionButtonKeys, PasteOptionStringKeys } from '../type/PasteOptionStringKeys';
import type { NodePosition } from 'roosterjs-editor-types';
/**
 * @internal
 */
export interface PasteOptionPane {
    getSelectedKey: () => PasteOptionButtonKeys | null;
    setSelectedKey: (index: PasteOptionButtonKeys) => void;
    dismiss: () => void;
}
/**
 * @internal Show paste open pane component
 * @param uiUtilities The UI utilities object to help render component
 * @param position Target position
 * @param strings Localize string for this component
 * @param onPaste A callback to be called when user click on a paste button
 * @param ref Reference object for this component
 */
export default function showPasteOptionPane(uiUtilities: UIUtilities, position: NodePosition, onPaste: (key: PasteOptionButtonKeys) => void, ref: React.RefObject<PasteOptionPane>, strings?: LocalizedStrings<PasteOptionStringKeys>): void;
