"use strict";
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
exports.AllButtonKeys = void 0;
var alignCenter_1 = require("./buttons/alignCenter");
var alignLeft_1 = require("./buttons/alignLeft");
var alignRight_1 = require("./buttons/alignRight");
var backgroundColor_1 = require("./buttons/backgroundColor");
var bold_1 = require("./buttons/bold");
var bulletedList_1 = require("./buttons/bulletedList");
var clearFormat_1 = require("./buttons/clearFormat");
var code_1 = require("./buttons/code");
var decreaseFontSize_1 = require("./buttons/decreaseFontSize");
var decreaseIndent_1 = require("./buttons/decreaseIndent");
var font_1 = require("./buttons/font");
var fontSize_1 = require("./buttons/fontSize");
var heading_1 = require("./buttons/heading");
var increaseFontSize_1 = require("./buttons/increaseFontSize");
var increaseIndent_1 = require("./buttons/increaseIndent");
var insertImage_1 = require("./buttons/insertImage");
var insertLink_1 = require("./buttons/insertLink");
var insertTable_1 = require("./buttons/insertTable");
var italic_1 = require("./buttons/italic");
var KnownRibbonButton_1 = require("../type/KnownRibbonButton");
var ltr_1 = require("./buttons/ltr");
var numberedList_1 = require("./buttons/numberedList");
var quote_1 = require("./buttons/quote");
var redo_1 = require("./buttons/redo");
var removeLink_1 = require("./buttons/removeLink");
var rtl_1 = require("./buttons/rtl");
var strikethrough_1 = require("./buttons/strikethrough");
var subscript_1 = require("./buttons/subscript");
var superscript_1 = require("./buttons/superscript");
var textColor_1 = require("./buttons/textColor");
var underline_1 = require("./buttons/underline");
var undo_1 = require("./buttons/undo");
var KnownRibbonButtons = (_a = {},
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.Bold] = bold_1.bold,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.Italic] = italic_1.italic,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.Underline] = underline_1.underline,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.Font] = font_1.font,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.FontSize] = fontSize_1.fontSize,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.IncreaseFontSize] = increaseFontSize_1.increaseFontSize,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.DecreaseFontSize] = decreaseFontSize_1.decreaseFontSize,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.TextColor] = textColor_1.textColor,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.BackgroundColor] = backgroundColor_1.backgroundColor,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.BulletedList] = bulletedList_1.bulletedList,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.NumberedList] = numberedList_1.numberedList,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.DecreaseIndent] = decreaseIndent_1.decreaseIndent,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.IncreaseIndent] = increaseIndent_1.increaseIndent,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.Quote] = quote_1.quote,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.AlignLeft] = alignLeft_1.alignLeft,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.AlignCenter] = alignCenter_1.alignCenter,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.AlignRight] = alignRight_1.alignRight,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.InsertLink] = insertLink_1.insertLink,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.RemoveLink] = removeLink_1.removeLink,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.InsertTable] = insertTable_1.insertTable,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.InsertImage] = insertImage_1.insertImage,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.Superscript] = superscript_1.superscript,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.Subscript] = subscript_1.subscript,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.Strikethrough] = strikethrough_1.strikethrough,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.Header] = heading_1.heading,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.Heading] = heading_1.heading,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.Code] = code_1.code,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.Ltr] = ltr_1.ltr,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.Rtl] = rtl_1.rtl,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.Undo] = undo_1.undo,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.Redo] = redo_1.redo,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.ClearFormat] = clearFormat_1.clearFormat,
    _a);
/**
 * An array of keys of all known ribbon buttons
 */
exports.AllButtonKeys = [
    KnownRibbonButton_1.KnownRibbonButtonKey.Bold,
    KnownRibbonButton_1.KnownRibbonButtonKey.Italic,
    KnownRibbonButton_1.KnownRibbonButtonKey.Underline,
    KnownRibbonButton_1.KnownRibbonButtonKey.Font,
    KnownRibbonButton_1.KnownRibbonButtonKey.FontSize,
    KnownRibbonButton_1.KnownRibbonButtonKey.IncreaseFontSize,
    KnownRibbonButton_1.KnownRibbonButtonKey.DecreaseFontSize,
    KnownRibbonButton_1.KnownRibbonButtonKey.TextColor,
    KnownRibbonButton_1.KnownRibbonButtonKey.BackgroundColor,
    KnownRibbonButton_1.KnownRibbonButtonKey.BulletedList,
    KnownRibbonButton_1.KnownRibbonButtonKey.NumberedList,
    KnownRibbonButton_1.KnownRibbonButtonKey.DecreaseIndent,
    KnownRibbonButton_1.KnownRibbonButtonKey.IncreaseIndent,
    KnownRibbonButton_1.KnownRibbonButtonKey.Quote,
    KnownRibbonButton_1.KnownRibbonButtonKey.AlignLeft,
    KnownRibbonButton_1.KnownRibbonButtonKey.AlignCenter,
    KnownRibbonButton_1.KnownRibbonButtonKey.AlignRight,
    KnownRibbonButton_1.KnownRibbonButtonKey.InsertLink,
    KnownRibbonButton_1.KnownRibbonButtonKey.RemoveLink,
    KnownRibbonButton_1.KnownRibbonButtonKey.InsertTable,
    KnownRibbonButton_1.KnownRibbonButtonKey.InsertImage,
    KnownRibbonButton_1.KnownRibbonButtonKey.Superscript,
    KnownRibbonButton_1.KnownRibbonButtonKey.Subscript,
    KnownRibbonButton_1.KnownRibbonButtonKey.Strikethrough,
    KnownRibbonButton_1.KnownRibbonButtonKey.Heading,
    KnownRibbonButton_1.KnownRibbonButtonKey.Code,
    KnownRibbonButton_1.KnownRibbonButtonKey.Ltr,
    KnownRibbonButton_1.KnownRibbonButtonKey.Rtl,
    KnownRibbonButton_1.KnownRibbonButtonKey.Undo,
    KnownRibbonButton_1.KnownRibbonButtonKey.Redo,
    KnownRibbonButton_1.KnownRibbonButtonKey.ClearFormat,
];
/**
 * A shortcut to get all format buttons provided by roosterjs-react
 * @param keyOrButtons An array of buttons or known button key. Default value is all known buttons provided by roosterjs-react
 * @returns An array of all buttons
 */
function getButtons(keyOrButtons) {
    if (keyOrButtons === void 0) { keyOrButtons = exports.AllButtonKeys; }
    return keyOrButtons.map(function (keyOrButton) {
        return typeof keyOrButton == 'number' ? KnownRibbonButtons[keyOrButton] : keyOrButton;
    });
}
exports.default = getButtons;
//# sourceMappingURL=getButtons.js.map