define(["React","ReactDOM","roosterjs","FluentUIReact"], (__WEBPACK_EXTERNAL_MODULE_react__, __WEBPACK_EXTERNAL_MODULE_react_dom__, __WEBPACK_EXTERNAL_MODULE_roosterjs_editor_dom__, __WEBPACK_EXTERNAL_MODULE__fluentui_react_lib_Theme__) => { return /******/ (() => { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ "./packages-ui/roosterjs-react/lib/colorPicker/component/renderColorPicker.tsx":
/*!*************************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/colorPicker/component/renderColorPicker.tsx ***!
  \*************************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.renderColorPicker = void 0;
var React = __webpack_require__(/*! react */ "react");
var Styling_1 = __webpack_require__(/*! @fluentui/react/lib/Styling */ "@fluentui/react/lib/Theme");
var classNames = (0, Styling_1.mergeStyleSets)({
    colorSquare: {
        width: '20px',
        height: '20px',
        margin: '4px',
        borderStyle: 'solid',
        borderWidth: '2px',
        '&:hover': {
            borderColor: 'red',
        },
    },
    colorSquareBorder: {
        borderColor: 'transparent',
    },
    colorSquareBorderWhite: {
        borderColor: '#bebebe',
    },
});
/**
 * @internal
 */
function renderColorPicker(item, colorDef, onClick) {
    var key = item.key;
    var buttonColor = colorDef[key].lightModeColor;
    return (React.createElement("button", { onClick: function (e) { return onClick(e, item); }, title: item.text },
        React.createElement("div", { className: classNames.colorSquare +
                ' ' +
                (key == 'textColorWhite' || key == 'backgroundColorWhite'
                    ? classNames.colorSquareBorderWhite
                    : classNames.colorSquareBorder), style: {
                backgroundColor: buttonColor,
            } })));
}
exports.renderColorPicker = renderColorPicker;


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/colorPicker/index.ts":
/*!**************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/colorPicker/index.ts ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.getTextColorValue = exports.getBackgroundColorValue = void 0;
var backgroundColors_1 = __webpack_require__(/*! ./utils/backgroundColors */ "./packages-ui/roosterjs-react/lib/colorPicker/utils/backgroundColors.ts");
Object.defineProperty(exports, "getBackgroundColorValue", ({ enumerable: true, get: function () { return backgroundColors_1.getBackgroundColorValue; } }));
var textColors_1 = __webpack_require__(/*! ./utils/textColors */ "./packages-ui/roosterjs-react/lib/colorPicker/utils/textColors.ts");
Object.defineProperty(exports, "getTextColorValue", ({ enumerable: true, get: function () { return textColors_1.getTextColorValue; } }));


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/colorPicker/utils/backgroundColors.ts":
/*!*******************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/colorPicker/utils/backgroundColors.ts ***!
  \*******************************************************************************/
/***/ ((__unused_webpack_module, exports) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.getBackgroundColorValue = exports.BackgroundColorDropDownItems = exports.BackgroundColors = void 0;
/**
 * @internal
 */
var BackgroundColors = {
    backgroundColorCyan: { lightModeColor: '#00ffff', darkModeColor: '#005357' },
    backgroundColorGreen: { lightModeColor: '#00ff00', darkModeColor: '#005e00' },
    backgroundColorYellow: { lightModeColor: '#ffff00', darkModeColor: '#383e00' },
    backgroundColorOrange: { lightModeColor: '#ff8000', darkModeColor: '#bf4c00' },
    backgroundColorRed: { lightModeColor: '#ff0000', darkModeColor: '#ff2711' },
    backgroundColorMagenta: { lightModeColor: '#ff00ff', darkModeColor: '#e700e8' },
    backgroundColorLightCyan: { lightModeColor: '#80ffff', darkModeColor: '#004c4f' },
    backgroundColorLightGreen: { lightModeColor: '#80ff80', darkModeColor: '#005400' },
    backgroundColorLightYellow: { lightModeColor: '#ffff80', darkModeColor: '#343c00' },
    backgroundColorLightOrange: { lightModeColor: '#ffc080', darkModeColor: '#77480b' },
    backgroundColorLightRed: { lightModeColor: '#ff8080', darkModeColor: '#bc454a' },
    backgroundColorLightMagenta: { lightModeColor: '#ff80ff', darkModeColor: '#aa2bad' },
    backgroundColorWhite: { lightModeColor: '#ffffff', darkModeColor: '#333333' },
    backgroundColorLightGray: { lightModeColor: '#cccccc', darkModeColor: '#535353' },
    backgroundColorGray: { lightModeColor: '#999999', darkModeColor: '#777777' },
    backgroundColorDarkGray: { lightModeColor: '#666666', darkModeColor: '#a0a0a0' },
    backgroundColorDarkerGray: { lightModeColor: '#333333', darkModeColor: '#cfcfcf' },
    backgroundColorBlack: { lightModeColor: '#000000', darkModeColor: '#ffffff' },
};
exports.BackgroundColors = BackgroundColors;
/**
 * @internal
 * List of colors in drop down list
 */
var BackgroundColorDropDownItems = {
    backgroundColorCyan: 'Cyan',
    backgroundColorGreen: 'Green',
    backgroundColorYellow: 'Yellow',
    backgroundColorOrange: 'Orange',
    backgroundColorRed: 'Red',
    backgroundColorMagenta: 'Magenta',
    backgroundColorLightCyan: 'Light cyan',
    backgroundColorLightGreen: 'Light green',
    backgroundColorLightYellow: 'Light yellow',
    backgroundColorLightOrange: 'Light orange',
    backgroundColorLightRed: 'Light red',
    backgroundColorLightMagenta: 'Light magenta',
    backgroundColorWhite: 'White',
    backgroundColorLightGray: 'Light gray',
    backgroundColorGray: 'Gray',
    backgroundColorDarkGray: 'Dark gray',
    backgroundColorDarkerGray: 'Darker gray',
    backgroundColorBlack: 'Black',
};
exports.BackgroundColorDropDownItems = BackgroundColorDropDownItems;
/**
 * Get mode independent color value of background color from the given color key
 * @param key The key to get color from
 * @returns A model independent color value of the given key
 */
function getBackgroundColorValue(key) {
    return BackgroundColors[key];
}
exports.getBackgroundColorValue = getBackgroundColorValue;


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/colorPicker/utils/getClassNamesForColorPicker.ts":
/*!******************************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/colorPicker/utils/getClassNamesForColorPicker.ts ***!
  \******************************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.getColorPickerItemClassName = exports.getColorPickerContainerClassName = void 0;
var Styling_1 = __webpack_require__(/*! @fluentui/react/lib/Styling */ "@fluentui/react/lib/Theme");
var classNames = (0, Styling_1.mergeStyleSets)({
    colorPickerContainer: {
        width: '192px',
        padding: '8px',
        overflow: 'hidden',
        '& ul': {
            width: '192px',
            overflow: 'hidden',
        },
    },
    colorMenuItem: {
        display: 'inline-block',
        width: '32px',
        height: '32px',
        '& button': {
            padding: '0px',
            minWidth: '0px',
            background: 'transparent',
            border: 'none',
        },
    },
});
/**
 * @internal
 */
function getColorPickerContainerClassName() {
    return classNames.colorPickerContainer;
}
exports.getColorPickerContainerClassName = getColorPickerContainerClassName;
/**
 * @internal
 */
function getColorPickerItemClassName() {
    return classNames.colorMenuItem;
}
exports.getColorPickerItemClassName = getColorPickerItemClassName;


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/colorPicker/utils/textColors.ts":
/*!*************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/colorPicker/utils/textColors.ts ***!
  \*************************************************************************/
/***/ ((__unused_webpack_module, exports) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.getTextColorValue = exports.TextColorDropDownItems = exports.TextColors = void 0;
/**
 * @internal
 */
var TextColors = {
    textColorLightBlue: { lightModeColor: '#51a7f9', darkModeColor: '#0075c2' },
    textColorLightGreen: { lightModeColor: '#6fc040', darkModeColor: '#207a00' },
    textColorLightYellow: { lightModeColor: '#f5d427', darkModeColor: '#5d4d00' },
    textColorLightOrange: { lightModeColor: '#f3901d', darkModeColor: '#ab5500' },
    textColorLightRed: { lightModeColor: '#ed5c57', darkModeColor: '#df504d' },
    textColorLightPurple: { lightModeColor: '#b36ae2', darkModeColor: '#ab63da' },
    textColorBlue: { lightModeColor: '#0c64c0', darkModeColor: '#6da0ff' },
    textColorGreen: { lightModeColor: '#0c882a', darkModeColor: '#3da848' },
    textColorYellow: { lightModeColor: '#dcbe22', darkModeColor: '#6d5c00' },
    textColorOrange: { lightModeColor: '#de6a19', darkModeColor: '#d3610c' },
    textColorRed: { lightModeColor: '#c82613', darkModeColor: '#ff6847' },
    textColorPurple: { lightModeColor: '#763e9b', darkModeColor: '#d394f9' },
    textColorDarkBlue: { lightModeColor: '#174e86', darkModeColor: '#93b8f9' },
    textColorDarkGreen: { lightModeColor: '#0f5c1a', darkModeColor: '#7fc57b' },
    textColorDarkYellow: { lightModeColor: '#c3971d', darkModeColor: '#946f00' },
    textColorDarkOrange: { lightModeColor: '#be5b17', darkModeColor: '#de7633' },
    textColorDarkRed: { lightModeColor: '#861106', darkModeColor: '#ff9b7c' },
    textColorDarkPurple: { lightModeColor: '#5e327c', darkModeColor: '#dea9fd' },
    textColorDarkerBlue: { lightModeColor: '#002451', darkModeColor: '#cedbff' },
    textColorDarkerGreen: { lightModeColor: '#06400c', darkModeColor: '#a3da9b' },
    textColorDarkerYellow: { lightModeColor: '#a37519', darkModeColor: '#b5852a' },
    textColorDarkerOrange: { lightModeColor: '#934511', darkModeColor: '#ef935c' },
    textColorDarkerRed: { lightModeColor: '#570606', darkModeColor: '#ffc0b1' },
    textColorDarkerPurple: { lightModeColor: '#3b204d', darkModeColor: '#eecaff' },
    textColorWhite: { lightModeColor: '#ffffff', darkModeColor: '#333333' },
    textColorLightGray: { lightModeColor: '#cccccc', darkModeColor: '#535353' },
    textColorGray: { lightModeColor: '#999999', darkModeColor: '#777777' },
    textColorDarkGray: { lightModeColor: '#666666', darkModeColor: '#a0a0a0' },
    textColorDarkerGray: { lightModeColor: '#333333', darkModeColor: '#cfcfcf' },
    textColorBlack: { lightModeColor: '#000000', darkModeColor: '#ffffff' },
};
exports.TextColors = TextColors;
/**
 * @internal
 */
var TextColorDropDownItems = {
    textColorLightBlue: 'Light blue',
    textColorLightGreen: 'Light green',
    textColorLightYellow: 'Light yellow',
    textColorLightOrange: 'Light orange',
    textColorLightRed: 'Light red',
    textColorLightPurple: 'Light purple',
    textColorBlue: 'Blue',
    textColorGreen: 'Green',
    textColorYellow: 'Yellow',
    textColorOrange: 'Orange',
    textColorRed: 'Red',
    textColorPurple: 'Purple',
    textColorDarkBlue: 'Dark blue',
    textColorDarkGreen: 'Dark green',
    textColorDarkYellow: 'Dark yellow',
    textColorDarkOrange: 'Dark orange',
    textColorDarkRed: 'Dark red',
    textColorDarkPurple: 'Dark purple',
    textColorDarkerBlue: 'Darker blue',
    textColorDarkerGreen: 'Darker green',
    textColorDarkerYellow: 'Darker yellow',
    textColorDarkerOrange: 'Darker orange',
    textColorDarkerRed: 'Darker red',
    textColorDarkerPurple: 'Darker purple',
    textColorWhite: 'White',
    textColorLightGray: 'Light gray',
    textColorGray: 'Gray',
    textColorDarkGray: 'Dark gray',
    textColorDarkerGray: 'Darker gray',
    textColorBlack: 'Black',
};
exports.TextColorDropDownItems = TextColorDropDownItems;
/**
 * Get mode independent color value of text color from the given color key
 * @param key The key to get color from
 * @returns A model independent color value of the given key
 */
function getTextColorValue(key) {
    return TextColors[key];
}
exports.getTextColorValue = getTextColorValue;


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/common/index.ts":
/*!*********************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/common/index.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.getLocalizedString = exports.createUIUtilities = void 0;
var createUIUtilities_1 = __webpack_require__(/*! ./utils/createUIUtilities */ "./packages-ui/roosterjs-react/lib/common/utils/createUIUtilities.tsx");
Object.defineProperty(exports, "createUIUtilities", ({ enumerable: true, get: function () { return createUIUtilities_1.default; } }));
var getLocalizedString_1 = __webpack_require__(/*! ./utils/getLocalizedString */ "./packages-ui/roosterjs-react/lib/common/utils/getLocalizedString.ts");
Object.defineProperty(exports, "getLocalizedString", ({ enumerable: true, get: function () { return getLocalizedString_1.default; } }));


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/common/utils/createUIUtilities.tsx":
/*!****************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/common/utils/createUIUtilities.tsx ***!
  \****************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
var React = __webpack_require__(/*! react */ "react");
var ReactDOM = __webpack_require__(/*! react-dom */ "react-dom");
var roosterjs_editor_dom_1 = __webpack_require__(/*! roosterjs-editor-dom */ "roosterjs-editor-dom");
var Theme_1 = __webpack_require__(/*! @fluentui/react/lib/Theme */ "@fluentui/react/lib/Theme");
var WindowProvider_1 = __webpack_require__(/*! @fluentui/react/lib/WindowProvider */ "@fluentui/react/lib/Theme");
/**
 * Create the UI Utilities object for plugins to render additional react components
 * @param container Container DIV of editor
 * @param theme Current theme used by editor
 * @returns A UIUtilities object
 */
function createUIUtilities(container, theme) {
    return {
        renderComponent: function (element) {
            var doc = container.ownerDocument;
            var div = doc.createElement('div');
            doc.body.appendChild(div);
            ReactDOM.render(React.createElement(WindowProvider_1.WindowProvider, { window: doc.defaultView },
                React.createElement(Theme_1.ThemeProvider, { theme: theme }, element)), div);
            return function () {
                ReactDOM.unmountComponentAtNode(div);
                doc.body.removeChild(div);
            };
        },
        isRightToLeft: function () {
            var dir = container && (0, roosterjs_editor_dom_1.getComputedStyles)(container, 'direction')[0];
            return dir == 'rtl';
        },
    };
}
exports["default"] = createUIUtilities;


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/common/utils/getLocalizedString.ts":
/*!****************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/common/utils/getLocalizedString.ts ***!
  \****************************************************************************/
/***/ ((__unused_webpack_module, exports) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
/**
 * Get a localized string
 * @param strings The LocalizedStrings map
 * @param key Key of the string
 * @param defaultString Default unlocalized string, will be used if strings is not specified or the give key doesn't exist in strings
 * @returns A localized string from the string map, or defaultString
 */
function getLocalizedString(strings, key, defaultString) {
    var str = strings === null || strings === void 0 ? void 0 : strings[key];
    if (typeof str == 'function') {
        return str();
    }
    else if (typeof str == 'string') {
        return str;
    }
    else {
        return defaultString;
    }
}
exports["default"] = getLocalizedString;


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/common/utils/renderReactComponent.ts":
/*!******************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/common/utils/renderReactComponent.ts ***!
  \******************************************************************************/
/***/ ((__unused_webpack_module, exports) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.renderReactComponent = void 0;
/**
 * @internal
 */
function renderReactComponent(uiUtilities, reactElement) {
    if (uiUtilities) {
        return uiUtilities.renderComponent(reactElement);
    }
    else {
        throw new Error('UIUtilities is required but not provided. Please call ReactEditorPlugin.setUIUtilities() to set a valid uiUtilities object');
    }
}
exports.renderReactComponent = renderReactComponent;


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/contextMenu/index.ts":
/*!**************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/contextMenu/index.ts ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.createTableEditMenuProvider = exports.createImageEditMenuProvider = exports.createListEditMenuProvider = exports.createContextMenuProvider = exports.createContextMenuPlugin = void 0;
var createContextMenuPlugin_1 = __webpack_require__(/*! ./plugin/createContextMenuPlugin */ "./packages-ui/roosterjs-react/lib/contextMenu/plugin/createContextMenuPlugin.tsx");
Object.defineProperty(exports, "createContextMenuPlugin", ({ enumerable: true, get: function () { return createContextMenuPlugin_1.default; } }));
var createContextMenuProvider_1 = __webpack_require__(/*! ./utils/createContextMenuProvider */ "./packages-ui/roosterjs-react/lib/contextMenu/utils/createContextMenuProvider.ts");
Object.defineProperty(exports, "createContextMenuProvider", ({ enumerable: true, get: function () { return createContextMenuProvider_1.default; } }));
var createListEditMenuProvider_1 = __webpack_require__(/*! ./menus/createListEditMenuProvider */ "./packages-ui/roosterjs-react/lib/contextMenu/menus/createListEditMenuProvider.ts");
Object.defineProperty(exports, "createListEditMenuProvider", ({ enumerable: true, get: function () { return createListEditMenuProvider_1.default; } }));
var createImageEditMenuProvider_1 = __webpack_require__(/*! ./menus/createImageEditMenuProvider */ "./packages-ui/roosterjs-react/lib/contextMenu/menus/createImageEditMenuProvider.tsx");
Object.defineProperty(exports, "createImageEditMenuProvider", ({ enumerable: true, get: function () { return createImageEditMenuProvider_1.default; } }));
var createTableEditMenuProvider_1 = __webpack_require__(/*! ./menus/createTableEditMenuProvider */ "./packages-ui/roosterjs-react/lib/contextMenu/menus/createTableEditMenuProvider.ts");
Object.defineProperty(exports, "createTableEditMenuProvider", ({ enumerable: true, get: function () { return createTableEditMenuProvider_1.default; } }));


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/contextMenu/menus/createImageEditMenuProvider.tsx":
/*!*******************************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/contextMenu/menus/createImageEditMenuProvider.tsx ***!
  \*******************************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
var createContextMenuProvider_1 = __webpack_require__(/*! ../utils/createContextMenuProvider */ "./packages-ui/roosterjs-react/lib/contextMenu/utils/createContextMenuProvider.ts");
var showInputDialog_1 = __webpack_require__(/*! ../../inputDialog/utils/showInputDialog */ "./packages-ui/roosterjs-react/lib/inputDialog/utils/showInputDialog.tsx");
var roosterjs_editor_plugins_1 = __webpack_require__(/*! roosterjs-editor-plugins */ "roosterjs-editor-dom");
var roosterjs_editor_dom_1 = __webpack_require__(/*! roosterjs-editor-dom */ "roosterjs-editor-dom");
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
var ImageAltTextMenuItem = {
    key: 'menuNameImageAltText',
    unlocalizedText: 'Add alternate text',
    onClick: function (_, editor, node, strings, uiUtilities) {
        var image = node;
        var initValue = image.alt;
        (0, showInputDialog_1.default)(uiUtilities, 'menuNameImageAltText', 'Add alternate text', {
            altText: {
                labelKey: null,
                unlocalizedLabel: null,
                initValue: initValue,
            },
        }, strings).then(function (values) {
            editor.focus();
            editor.select(image);
            if (values) {
                (0, roosterjs_editor_api_1.setImageAltText)(editor, values.altText);
            }
        });
    },
};
var ImageResizeMenuItem = {
    key: 'menuNameImageResize',
    unlocalizedText: 'Size',
    subItems: {
        menuNameImageSizeBestFit: 'Best fit',
        menuNameImageSizeSmall: 'Small',
        menuNameImageSizeMedium: 'Medium',
        menuNameImageSizeOriginal: 'Original',
    },
    onClick: function (key, editor, node) {
        editor.addUndoSnapshot(function () {
            var percentage = 0;
            switch (key) {
                case 'menuNameImageSizeSmall':
                    percentage = 0.25;
                    break;
                case 'menuNameImageSizeMedium':
                    percentage = 0.5;
                    break;
                case 'menuNameImageSizeOriginal':
                    percentage = 1;
                    break;
            }
            if (percentage > 0) {
                (0, roosterjs_editor_plugins_1.resizeByPercentage)(editor, node, percentage, 10 /*minWidth*/, 10 /*minHeight*/);
            }
            else {
                (0, roosterjs_editor_plugins_1.resetImage)(editor, node);
            }
        });
    },
};
var ImageRotateMenuItem = {
    key: 'menuNameImageRotate',
    unlocalizedText: 'Rotate image',
    subItems: {
        menuNameImageRotateLeft: 'Left',
        menuNameImageRotateRight: 'Right',
    },
    shouldShow: function (_, node, imageEdit) {
        return (!!(imageEdit === null || imageEdit === void 0 ? void 0 : imageEdit.isOperationAllowed(4 /* Rotate */)) &&
            (0, roosterjs_editor_plugins_1.canRegenerateImage)(node));
    },
    onClick: function (key, editor, node, strings, uiUtilities, imageEdit) {
        editor.addUndoSnapshot(function () {
            switch (key) {
                case 'menuNameImageRotateLeft':
                    imageEdit === null || imageEdit === void 0 ? void 0 : imageEdit.rotateImage(node, -Math.PI / 2);
                    break;
                case 'menuNameImageRotateRight':
                    imageEdit === null || imageEdit === void 0 ? void 0 : imageEdit.rotateImage(node, Math.PI / 2);
                    break;
            }
        });
    },
};
var ImageFlipMenuItem = {
    key: 'menuNameImageFlip',
    unlocalizedText: 'Flip image',
    subItems: {
        menuNameImageRotateFlipHorizontally: 'Flip Horizontally',
        menuNameImageRotateFlipVertically: 'Flip Vertically',
    },
    shouldShow: function (_, node, imageEdit) {
        return (!!(imageEdit === null || imageEdit === void 0 ? void 0 : imageEdit.isOperationAllowed(4 /* Rotate */)) &&
            (0, roosterjs_editor_plugins_1.canRegenerateImage)(node));
    },
    onClick: function (key, editor, node, strings, uiUtilities, imageEdit) {
        editor.addUndoSnapshot(function () {
            switch (key) {
                case 'menuNameImageRotateFlipHorizontally':
                    imageEdit === null || imageEdit === void 0 ? void 0 : imageEdit.flipImage(node, 'horizontal');
                    break;
                case 'menuNameImageRotateFlipVertically':
                    imageEdit === null || imageEdit === void 0 ? void 0 : imageEdit.flipImage(node, 'vertical');
                    break;
            }
        });
    },
};
var ImageCropMenuItem = {
    key: 'menuNameImageCrop',
    unlocalizedText: 'Crop image',
    shouldShow: function (_, node, imageEdit) {
        return (!!(imageEdit === null || imageEdit === void 0 ? void 0 : imageEdit.isOperationAllowed(8 /* Crop */)) &&
            (0, roosterjs_editor_plugins_1.canRegenerateImage)(node));
    },
    onClick: function (_, editor, node, strings, uiUtilities, imageEdit) {
        imageEdit === null || imageEdit === void 0 ? void 0 : imageEdit.setEditingImage(node, 8 /* Crop */);
    },
};
var ImageRemoveMenuItem = {
    key: 'menuNameImageRemove',
    unlocalizedText: 'Remove image',
    onClick: function (_, editor, node, strings, uiUtilities, imageEdit) {
        if (editor.contains(node)) {
            editor.addUndoSnapshot(function () {
                editor.deleteNode(node);
                imageEdit === null || imageEdit === void 0 ? void 0 : imageEdit.setEditingImage(null /*editingImage*/);
            }, 'DeleteImage');
        }
    },
};
var ImageCopyMenuItem = {
    key: 'menuNameImageCopy',
    unlocalizedText: 'Copy image',
    onClick: function (_, editor, node, strings, uiUtilities, imageEdit) {
        if (editor.contains(node)) {
            editor.addUndoSnapshot(function () {
                var _a;
                (_a = editor.getDocument()) === null || _a === void 0 ? void 0 : _a.execCommand("copy" /* Copy */);
            }, 'CopyImage');
        }
    },
};
var ImageCutMenuItem = {
    key: 'menuNameImageCut',
    unlocalizedText: 'Cut image',
    onClick: function (_, editor, node, strings, uiUtilities, imageEdit) {
        if (editor.contains(node)) {
            editor.addUndoSnapshot(function () {
                var _a;
                (_a = editor.getDocument()) === null || _a === void 0 ? void 0 : _a.execCommand("cut" /* Cut */);
            }, 'CutImage');
        }
    },
};
function shouldShowImageEditItems(editor, node) {
    return (0, roosterjs_editor_dom_1.safeInstanceOf)(node, 'HTMLImageElement') && node.isContentEditable;
}
/**
 * Create a new instance of ContextMenuProvider to support image editing functionalities in context menu
 * @returns A new ContextMenuProvider
 */
function createImageEditMenuProvider(imageEditPlugin, strings) {
    return (0, createContextMenuProvider_1.default)('imageEdit', [
        ImageAltTextMenuItem,
        ImageResizeMenuItem,
        ImageCropMenuItem,
        ImageRemoveMenuItem,
        ImageRotateMenuItem,
        ImageFlipMenuItem,
        ImageCopyMenuItem,
        ImageCutMenuItem,
    ], strings, shouldShowImageEditItems, imageEditPlugin);
}
exports["default"] = createImageEditMenuProvider;


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/contextMenu/menus/createListEditMenuProvider.ts":
/*!*****************************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/contextMenu/menus/createListEditMenuProvider.ts ***!
  \*****************************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
var createContextMenuProvider_1 = __webpack_require__(/*! ../utils/createContextMenuProvider */ "./packages-ui/roosterjs-react/lib/contextMenu/utils/createContextMenuProvider.ts");
var showInputDialog_1 = __webpack_require__(/*! ../../inputDialog/utils/showInputDialog */ "./packages-ui/roosterjs-react/lib/inputDialog/utils/showInputDialog.tsx");
var roosterjs_editor_dom_1 = __webpack_require__(/*! roosterjs-editor-dom */ "roosterjs-editor-dom");
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
var ListNumberResetMenuItem = {
    key: 'menuNameListNumberReset',
    unlocalizedText: 'Restart at 1',
    onClick: function (_, editor, node) {
        var li = editor.getElementAtCursor('LI', node);
        (0, roosterjs_editor_api_1.setOrderedListNumbering)(editor, li, 1);
    },
};
var ListNumberEditMenuItem = {
    key: 'menuNameListNumberEdit',
    unlocalizedText: 'Set numbering value',
    onClick: function (_, editor, node, strings, uiUtilities) {
        var listAndLi = getEditingList(editor, node);
        if (listAndLi) {
            var list = listAndLi.list, li_1 = listAndLi.li;
            var startNumber_1 = list.start;
            for (var child = list.firstChild; child; child = child.nextSibling) {
                if (child === li_1) {
                    break;
                }
                else if ((0, roosterjs_editor_dom_1.safeInstanceOf)(child, 'HTMLLIElement')) {
                    startNumber_1 += 1;
                }
            }
            (0, showInputDialog_1.default)(uiUtilities, 'menuNameListNumberEdit', 'Set numbering value', {
                value: {
                    labelKey: 'dialogTextSetListNumber',
                    unlocalizedLabel: 'Set value to',
                    initValue: startNumber_1.toString(),
                },
            }, strings).then(function (values) {
                editor.focus();
                if (values) {
                    var result = parseInt(values.value);
                    if (result > 0 && result != startNumber_1) {
                        (0, roosterjs_editor_api_1.setOrderedListNumbering)(editor, li_1, Math.floor(result));
                    }
                }
            });
        }
    },
};
function getEditingList(editor, node) {
    var li = editor.getElementAtCursor('LI', node);
    var list = li && editor.getElementAtCursor('ol', li);
    return (list === null || list === void 0 ? void 0 : list.isContentEditable) ? { list: list, li: li } : null;
}
/**
 * Create a new instance of ContextMenuProvider to support list number editing functionalities in context menu
 * @returns A new ContextMenuProvider
 */
function createListEditMenuProvider(strings) {
    return (0, createContextMenuProvider_1.default)('listEdit', [ListNumberResetMenuItem, ListNumberEditMenuItem], strings, function (editor, node) { return !!getEditingList(editor, node); });
}
exports["default"] = createListEditMenuProvider;


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/contextMenu/menus/createTableEditMenuProvider.ts":
/*!******************************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/contextMenu/menus/createTableEditMenuProvider.ts ***!
  \******************************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
var tslib_1 = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.mjs");
var createContextMenuProvider_1 = __webpack_require__(/*! ../utils/createContextMenuProvider */ "./packages-ui/roosterjs-react/lib/contextMenu/utils/createContextMenuProvider.ts");
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
var renderColorPicker_1 = __webpack_require__(/*! ../../colorPicker/component/renderColorPicker */ "./packages-ui/roosterjs-react/lib/colorPicker/component/renderColorPicker.tsx");
var getClassNamesForColorPicker_1 = __webpack_require__(/*! ../../colorPicker/utils/getClassNamesForColorPicker */ "./packages-ui/roosterjs-react/lib/colorPicker/utils/getClassNamesForColorPicker.ts");
var backgroundColors_1 = __webpack_require__(/*! ../../colorPicker/utils/backgroundColors */ "./packages-ui/roosterjs-react/lib/colorPicker/utils/backgroundColors.ts");
var TableEditOperationMap = {
    menuNameTableInsertAbove: 0 /* InsertAbove */,
    menuNameTableInsertBelow: 1 /* InsertBelow */,
    menuNameTableInsertLeft: 2 /* InsertLeft */,
    menuNameTableInsertRight: 3 /* InsertRight */,
    menuNameTableDeleteTable: 4 /* DeleteTable */,
    menuNameTableDeleteColumn: 5 /* DeleteColumn */,
    menuNameTableDeleteRow: 6 /* DeleteRow */,
    menuNameTableMergeAbove: 7 /* MergeAbove */,
    menuNameTableMergeBelow: 8 /* MergeBelow */,
    menuNameTableMergeLeft: 9 /* MergeLeft */,
    menuNameTableMergeRight: 10 /* MergeRight */,
    menuNameTableMergeCells: 11 /* MergeCells */,
    menuNameTableSplitHorizontally: 12 /* SplitHorizontally */,
    menuNameTableSplitVertically: 13 /* SplitVertically */,
    menuNameTableAlignLeft: 17 /* AlignCellLeft */,
    menuNameTableAlignCenter: 18 /* AlignCellCenter */,
    menuNameTableAlignRight: 19 /* AlignCellRight */,
    menuNameTableAlignTop: 20 /* AlignCellTop */,
    menuNameTableAlignMiddle: 21 /* AlignCellMiddle */,
    menuNameTableAlignBottom: 22 /* AlignCellBottom */,
    menuNameTableAlignTableLeft: 15 /* AlignLeft */,
    menuNameTableAlignTableCenter: 14 /* AlignCenter */,
    menuNameTableAlignTableRight: 16 /* AlignRight */,
};
var ColorValues = (0, tslib_1.__assign)((0, tslib_1.__assign)({}, backgroundColors_1.BackgroundColors), { 
    // Add this value to satisfy compiler
    menuNameTableCellShade: null });
function onClick(key, editor) {
    editor.focus();
    var operation = TableEditOperationMap[key];
    if (typeof operation === 'number') {
        (0, roosterjs_editor_api_1.editTable)(editor, operation);
    }
}
var TableEditInsertMenuItem = {
    key: 'menuNameTableInsert',
    unlocalizedText: 'Insert',
    subItems: {
        menuNameTableInsertAbove: 'Insert above',
        menuNameTableInsertBelow: 'Insert below',
        menuNameTableInsertLeft: 'Insert left',
        menuNameTableInsertRight: 'Insert right',
    },
    onClick: onClick,
};
var TableEditDeleteMenuItem = {
    key: 'menuNameTableDelete',
    unlocalizedText: 'Delete',
    subItems: {
        menuNameTableDeleteColumn: 'Delete column',
        menuNameTableDeleteRow: 'Delete row',
        menuNameTableDeleteTable: 'Delete table',
    },
    onClick: onClick,
};
var TableEditMergeMenuItem = {
    key: 'menuNameTableMerge',
    unlocalizedText: 'Merge',
    subItems: {
        menuNameTableMergeAbove: 'Merge above',
        menuNameTableMergeBelow: 'Merge below',
        menuNameTableMergeLeft: 'Merge left',
        menuNameTableMergeRight: 'Merge right',
        '-': '-',
        menuNameTableMergeCells: 'Merge selected cells',
    },
    onClick: onClick,
};
var TableEditSplitMenuItem = {
    key: 'menuNameTableSplit',
    unlocalizedText: 'Split',
    subItems: {
        menuNameTableSplitHorizontally: 'Split horizontally',
        menuNameTableSplitVertically: 'Split vertically',
    },
    onClick: onClick,
};
var TableEditAlignMenuItem = {
    key: 'menuNameTableAlign',
    unlocalizedText: 'Align cell',
    subItems: {
        menuNameTableAlignLeft: 'Align left',
        menuNameTableAlignCenter: 'Align center',
        menuNameTableAlignRight: 'Align right',
        '-': '-',
        menuNameTableAlignTop: 'Align top',
        menuNameTableAlignMiddle: 'Align middle',
        menuNameTableAlignBottom: 'Align bottom',
    },
    onClick: onClick,
};
var TableEditAlignTableMenuItem = {
    key: 'menuNameTableAlignTable',
    unlocalizedText: 'Align table',
    subItems: {
        menuNameTableAlignTableLeft: 'Align left',
        menuNameTableAlignTableCenter: 'Align center',
        menuNameTableAlignTableRight: 'Align right',
    },
    onClick: onClick,
};
var TableEditCellShadeMenuItem = {
    key: 'menuNameTableCellShade',
    unlocalizedText: 'Shading',
    subItems: backgroundColors_1.BackgroundColorDropDownItems,
    onClick: function (key, editor) {
        (0, roosterjs_editor_api_1.applyCellShading)(editor, ColorValues[key]);
    },
    itemRender: function (item, click) { return (0, renderColorPicker_1.renderColorPicker)(item, ColorValues, click); },
    itemClassName: (0, getClassNamesForColorPicker_1.getColorPickerItemClassName)(),
    commandBarSubMenuProperties: {
        className: (0, getClassNamesForColorPicker_1.getColorPickerContainerClassName)(),
    },
};
function getEditingTable(editor, node) {
    var td = editor.getElementAtCursor('TD,TH', node);
    var table = td && editor.getElementAtCursor('table', td);
    return (table === null || table === void 0 ? void 0 : table.isContentEditable) ? { table: table, td: td } : null;
}
/**
 * Create a new instance of ContextMenuProvider to support table editing functionalities in context menu
 * @returns A new ContextMenuProvider
 */
function createTableEditMenuProvider(strings) {
    return (0, createContextMenuProvider_1.default)('tableEdit', [
        TableEditInsertMenuItem,
        TableEditDeleteMenuItem,
        TableEditMergeMenuItem,
        TableEditSplitMenuItem,
        TableEditAlignMenuItem,
        TableEditAlignTableMenuItem,
        TableEditCellShadeMenuItem,
    ], strings, function (editor, node) { return !!getEditingTable(editor, node); });
}
exports["default"] = createTableEditMenuProvider;


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/contextMenu/plugin/createContextMenuPlugin.tsx":
/*!****************************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/contextMenu/plugin/createContextMenuPlugin.tsx ***!
  \****************************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
var tslib_1 = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.mjs");
var React = __webpack_require__(/*! react */ "react");
var roosterjs_editor_plugins_1 = __webpack_require__(/*! roosterjs-editor-plugins */ "roosterjs-editor-dom");
var ContextualMenu_1 = __webpack_require__(/*! @fluentui/react/lib/ContextualMenu */ "@fluentui/react/lib/Theme");
var renderReactComponent_1 = __webpack_require__(/*! ../../common/utils/renderReactComponent */ "./packages-ui/roosterjs-react/lib/common/utils/renderReactComponent.ts");
function normalizeItems(items) {
    var dividerKey = 0;
    return items.map(function (item) {
        return item || {
            name: '-',
            key: 'divider_' + (dividerKey++).toString(),
        };
    });
}
var ContextMenuPlugin = /** @class */ (function (_super) {
    (0, tslib_1.__extends)(ContextMenuPlugin, _super);
    function ContextMenuPlugin() {
        var _this = _super.call(this, {
            render: function (container, items, onDismiss) {
                var normalizedITems = normalizeItems(items);
                if (normalizedITems.length > 0) {
                    _this.disposer = (0, renderReactComponent_1.renderReactComponent)(_this.uiUtilities, React.createElement(ContextualMenu_1.ContextualMenu, { target: container, onDismiss: onDismiss, items: normalizedITems }));
                }
            },
            dismiss: function (_) {
                var _a;
                (_a = _this.disposer) === null || _a === void 0 ? void 0 : _a.call(_this);
                _this.disposer = null;
            },
        }) || this;
        _this.uiUtilities = null;
        _this.disposer = null;
        return _this;
    }
    ContextMenuPlugin.prototype.setUIUtilities = function (uiUtilities) {
        this.uiUtilities = uiUtilities;
    };
    return ContextMenuPlugin;
}(roosterjs_editor_plugins_1.ContextMenu));
/**
 * Create a new instance of ContextMenu plugin with context menu implementation based on FluentUI.
 */
function createContextMenuPlugin() {
    return new ContextMenuPlugin();
}
exports["default"] = createContextMenuPlugin;


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/contextMenu/utils/createContextMenuProvider.ts":
/*!****************************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/contextMenu/utils/createContextMenuProvider.ts ***!
  \****************************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
var tslib_1 = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.mjs");
var getLocalizedString_1 = __webpack_require__(/*! ../../common/utils/getLocalizedString */ "./packages-ui/roosterjs-react/lib/common/utils/getLocalizedString.ts");
var roosterjs_editor_dom_1 = __webpack_require__(/*! roosterjs-editor-dom */ "roosterjs-editor-dom");
/**
 * A plugin of editor to provide context menu items
 */
var ContextMenuProviderImpl = /** @class */ (function () {
    /**
     * Create a new instance of ContextMenuProviderImpl class
     * @param menuName Name of this group of menus
     * @param items Menu items that will be show
     * @param strings Localized strings of these menu items
     * @param shouldAddMenuItems A general checker to decide if we should add this group of menu items
     */
    function ContextMenuProviderImpl(menuName, items, strings, shouldAddMenuItems, context) {
        this.menuName = menuName;
        this.items = items;
        this.strings = strings;
        this.shouldAddMenuItems = shouldAddMenuItems;
        this.context = context;
        this.editor = null;
        this.targetNode = null;
        this.uiUtilities = null;
    }
    /**
     * Get a friendly name of  this plugin
     */
    ContextMenuProviderImpl.prototype.getName = function () {
        return this.menuName;
    };
    /**
     * Initialize this plugin. This should only be called from Editor
     * @param editor Editor instance
     */
    ContextMenuProviderImpl.prototype.initialize = function (editor) {
        this.editor = editor;
    };
    /**
     * Dispose this plugin
     */
    ContextMenuProviderImpl.prototype.dispose = function () {
        this.editor = null;
    };
    ContextMenuProviderImpl.prototype.getContextMenuItems = function (node) {
        var _this = this;
        var _a;
        this.targetNode = node;
        return this.editor && ((_a = this.shouldAddMenuItems) === null || _a === void 0 ? void 0 : _a.call(this, this.editor, node))
            ? this.items
                .filter(function (item) { return !item.shouldShow || item.shouldShow(_this.editor, node, _this.context); })
                .map(function (item) { return _this.convertMenuItems(item); })
            : [];
    };
    ContextMenuProviderImpl.prototype.setUIUtilities = function (uiUtilities) {
        this.uiUtilities = uiUtilities;
    };
    ContextMenuProviderImpl.prototype.convertMenuItems = function (item) {
        var _this = this;
        return {
            key: item.key,
            data: item,
            text: (0, getLocalizedString_1.default)(this.strings, item.key, item.unlocalizedText),
            ariaLabel: (0, getLocalizedString_1.default)(this.strings, item.key, item.unlocalizedText),
            onClick: function () { return _this.onClick(item, item.key); },
            subMenuProps: item.subItems
                ? (0, tslib_1.__assign)({ onItemClick: function (_, menuItem) { return menuItem && _this.onClick(item, menuItem.data); }, items: (0, roosterjs_editor_dom_1.getObjectKeys)(item.subItems).map(function (key) {
                        var _a;
                        return ({
                            key: key,
                            data: key,
                            text: (0, getLocalizedString_1.default)(_this.strings, key, (_a = item.subItems) === null || _a === void 0 ? void 0 : _a[key]),
                            className: item.itemClassName,
                            onRender: item.itemRender
                                ? function (subItem) { var _a; return (_a = item.itemRender) === null || _a === void 0 ? void 0 : _a.call(item, subItem, function () { return _this.onClick(item, key); }); }
                                : undefined,
                        });
                    }) }, (item.commandBarSubMenuProperties || {})) : undefined,
        };
    };
    ContextMenuProviderImpl.prototype.onClick = function (item, key) {
        if (this.editor && this.targetNode && this.uiUtilities) {
            item.onClick(key, this.editor, this.targetNode, this.strings, this.uiUtilities, this.context);
        }
    };
    return ContextMenuProviderImpl;
}());
/**
 * Create a new instance of ContextMenuProviderImpl class
 * @param menuName Name of this group of menus
 * @param items Menu items that will be show
 * @param strings Localized strings of these menu items
 * @param shouldAddMenuItems A general checker to decide if we should add this group of menu items
 */
function createContextMenuProvider(menuName, items, strings, shouldAddMenuItems, context) {
    return new ContextMenuProviderImpl(menuName, items, strings, shouldAddMenuItems, context);
}
exports["default"] = createContextMenuProvider;


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/emoji/components/EmojiIcon.tsx":
/*!************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/emoji/components/EmojiIcon.tsx ***!
  \************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
var tslib_1 = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.mjs");
var React = __webpack_require__(/*! react */ "react");
var Utilities_1 = __webpack_require__(/*! @fluentui/react/lib/Utilities */ "@fluentui/react/lib/Theme");
/**
 * @internal
 * Emoji icon component
 */
function EmojiIcon(props) {
    var _a;
    var emoji = props.emoji, onClick = props.onClick, isSelected = props.isSelected, onMouseOver = props.onMouseOver, onFocus = props.onFocus, strings = props.strings, id = props.id, classNames = props.classNames;
    var content = emoji.description && strings[emoji.description];
    return (React.createElement("button", (0, tslib_1.__assign)({ id: id, role: "option", className: (0, Utilities_1.css)(classNames.emoji, (_a = {},
            _a[classNames.emojiSelected] = isSelected,
            _a)), onClick: onClick, onMouseOver: onMouseOver, onFocus: onFocus, "data-is-focusable": true, "aria-label": content, "aria-selected": isSelected }, getDataAndAriaProps(props)), emoji.codePoint || '…'));
}
exports["default"] = EmojiIcon;
function reduceObject(object, callback) {
    if (!object) {
        return object;
    }
    return Object.keys(object).reduce(function (result, key) {
        if (callback(key)) {
            result[key] = object[key];
        }
        return result;
    }, {});
}
function getDataAndAriaProps(props) {
    return reduceObject(props || {}, function (propName) { return propName.indexOf('data-') === 0 || propName.indexOf('aria-') === 0; });
}


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/emoji/components/EmojiNavBar.tsx":
/*!**************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/emoji/components/EmojiNavBar.tsx ***!
  \**************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
var React = __webpack_require__(/*! react */ "react");
var Utilities_1 = __webpack_require__(/*! @fluentui/react/lib/Utilities */ "@fluentui/react/lib/Theme");
var emojiList_1 = __webpack_require__(/*! ../utils/emojiList */ "./packages-ui/roosterjs-react/lib/emoji/utils/emojiList.ts");
var FocusZone_1 = __webpack_require__(/*! @fluentui/react/lib/FocusZone */ "@fluentui/react/lib/Theme");
var roosterjs_editor_dom_1 = __webpack_require__(/*! roosterjs-editor-dom */ "roosterjs-editor-dom");
var Icon_1 = __webpack_require__(/*! @fluentui/react/lib/Icon */ "@fluentui/react/lib/Theme");
var Tooltip_1 = __webpack_require__(/*! @fluentui/react/lib/Tooltip */ "@fluentui/react/lib/Theme");
/**
 * @internal
 */
function EmojiNavBar(props) {
    var currentSelected = props.currentSelected, getTabId = props.getTabId, _a = props.strings, strings = _a === void 0 ? {} : _a, classNames = props.classNames;
    var keys = (0, roosterjs_editor_dom_1.getObjectKeys)(emojiList_1.EmojiList);
    var onFamilyClick = function (key) {
        if (props.onClick) {
            props.onClick(key);
        }
    };
    return (
    // for each emoji family key, create a button to use as nav bar
    React.createElement("div", { className: classNames.navBar, role: "tablist" },
        React.createElement(FocusZone_1.FocusZone, { direction: FocusZone_1.FocusZoneDirection.horizontal }, keys.map(function (key, index) {
            var _a;
            var selected = key === currentSelected;
            var friendlyName = strings[key];
            return (React.createElement(Tooltip_1.TooltipHost, { hostClassName: classNames.navBarTooltip, content: friendlyName, key: key },
                React.createElement("button", { className: (0, Utilities_1.css)(classNames.navBarButton, (_a = {},
                        _a[classNames.selected] = selected,
                        _a)), key: key, onClick: onFamilyClick.bind(onclick, key), id: getTabId === null || getTabId === void 0 ? void 0 : getTabId(key), role: "tab", "aria-selected": selected, "aria-label": friendlyName, "data-is-focusable": "true", "aria-posinset": index + 1, tabIndex: 0, "aria-setsize": keys.length },
                    React.createElement(Icon_1.Icon, { iconName: emojiList_1.EmojiFabricIconCharacterMap[key] }))));
        }))));
}
exports["default"] = EmojiNavBar;


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/emoji/components/EmojiPane.tsx":
/*!************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/emoji/components/EmojiPane.tsx ***!
  \************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.showEmojiPane = exports.EmojiPaneNavigateDirection = exports.EmojiPaneMode = void 0;
var tslib_1 = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.mjs");
var React = __webpack_require__(/*! react */ "react");
var EmojiIcon_1 = __webpack_require__(/*! ./EmojiIcon */ "./packages-ui/roosterjs-react/lib/emoji/components/EmojiIcon.tsx");
var EmojiNavBar_1 = __webpack_require__(/*! ./EmojiNavBar */ "./packages-ui/roosterjs-react/lib/emoji/components/EmojiNavBar.tsx");
var EmojiStatusBar_1 = __webpack_require__(/*! ./EmojiStatusBar */ "./packages-ui/roosterjs-react/lib/emoji/components/EmojiStatusBar.tsx");
var Callout_1 = __webpack_require__(/*! @fluentui/react/lib/Callout */ "@fluentui/react/lib/Theme");
var emojiList_1 = __webpack_require__(/*! ../utils/emojiList */ "./packages-ui/roosterjs-react/lib/emoji/utils/emojiList.ts");
var FocusZone_1 = __webpack_require__(/*! @fluentui/react/lib/FocusZone */ "@fluentui/react/lib/Theme");
var index_1 = __webpack_require__(/*! ../../common/index */ "./packages-ui/roosterjs-react/lib/common/index.ts");
var Styling_1 = __webpack_require__(/*! @fluentui/react/lib/Styling */ "@fluentui/react/lib/Theme");
var searchEmojis_1 = __webpack_require__(/*! ../utils/searchEmojis */ "./packages-ui/roosterjs-react/lib/emoji/utils/searchEmojis.ts");
var TextField_1 = __webpack_require__(/*! @fluentui/react/lib/TextField */ "@fluentui/react/lib/Theme");
var Theme_1 = __webpack_require__(/*! @fluentui/react/lib/Theme */ "@fluentui/react/lib/Theme");
var Utilities_1 = __webpack_require__(/*! @fluentui/react/lib/Utilities */ "@fluentui/react/lib/Theme");
// "When a div contains an element that is bigger (either taller or wider) than the parent and has the property
// overflow-x or overflow-y set to any value, then it can receive the focus."
// https://bugzilla.mozilla.org/show_bug.cgi?id=1069739
var TabIndexForFirefoxBug = -1;
var EmojisPerRow = 7;
var EmojiVisibleRowCount = 5;
var EmojiVisibleWithoutNavBarRowCount = 6;
var EmojiHeightPx = 40;
var VerticalDirectionKeys = [Utilities_1.KeyCodes.up, Utilities_1.KeyCodes.down];
var DirectionKeys = [
    Utilities_1.KeyCodes.left,
    Utilities_1.KeyCodes.right,
    Utilities_1.KeyCodes.up,
    Utilities_1.KeyCodes.down,
    Utilities_1.KeyCodes.home,
    Utilities_1.KeyCodes.end,
];
var TooltipCalloutProps = {
    isBeakVisible: true,
    beakWidth: 16,
    gapSpace: 0,
    setInitialFocus: true,
    doNotLayer: false,
    directionalHint: Callout_1.DirectionalHint.bottomCenter,
};
/**
 * @internal
 * Types of emoji pane size
 */
var EmojiPaneMode;
(function (EmojiPaneMode) {
    EmojiPaneMode[EmojiPaneMode["Quick"] = 0] = "Quick";
    EmojiPaneMode[EmojiPaneMode["Partial"] = 1] = "Partial";
    EmojiPaneMode[EmojiPaneMode["Full"] = 2] = "Full";
})(EmojiPaneMode = exports.EmojiPaneMode || (exports.EmojiPaneMode = {}));
/**
 * @internal
 * Types of emoji Navigation direction
 */
var EmojiPaneNavigateDirection;
(function (EmojiPaneNavigateDirection) {
    EmojiPaneNavigateDirection[EmojiPaneNavigateDirection["Horizontal"] = 0] = "Horizontal";
    EmojiPaneNavigateDirection[EmojiPaneNavigateDirection["Vertical"] = 1] = "Vertical";
})(EmojiPaneNavigateDirection = exports.EmojiPaneNavigateDirection || (exports.EmojiPaneNavigateDirection = {}));
var AriaAttributes = {
    ActiveDescendant: 'aria-activedescendant',
    AutoComplete: 'aria-autocomplete',
    Controls: 'aria-controls',
    Expanded: 'aria-expanded',
    HasPopup: 'aria-haspopup',
    Owns: 'aria-owns',
    Pressed: 'aria-pressed',
};
var EmojiPane = React.forwardRef(function EmojiPaneFunc(props, ref) {
    var searchBox;
    var emojiBody;
    var input;
    var _a = (0, tslib_1.__read)(React.useState(0), 2), index = _a[0], setIndex = _a[1];
    var _b = (0, tslib_1.__read)(React.useState(0 /* Quick */), 2), mode = _b[0], setMode = _b[1];
    var _c = (0, tslib_1.__read)(React.useState(emojiList_1.CommonEmojis), 2), currentEmojiList = _c[0], setCurrentEmojiList = _c[1];
    var _d = (0, tslib_1.__read)(React.useState("People" /* People */), 2), currentFamily = _d[0], setCurrentFamily = _d[1];
    var _e = (0, tslib_1.__read)(React.useState(':'), 2), search = _e[0], setSearchString = _e[1];
    var _f = (0, tslib_1.__read)(React.useState(''), 2), searchInBox = _f[0], setSearchInBox = _f[1];
    var theme = (0, Theme_1.useTheme)();
    var classNames = getEmojiPaneClassName(theme);
    var listId = "EmojiPane" + props.baseId;
    var navigate = React.useCallback(function (change, direction) {
        if (!direction) {
            direction = 0 /* Horizontal */;
        }
        if (direction === 1 /* Vertical */ && index !== -1) {
            change *= EmojisPerRow;
        }
        var newIndex = index + change;
        var length = currentEmojiList.length;
        if (newIndex >= 0 && newIndex < length) {
            setIndex(newIndex);
            return newIndex;
        }
        return -1;
    }, [index]);
    var normalizeSearchText = React.useCallback(function (text, colonIncluded) {
        if (text == null) {
            return '';
        }
        if (colonIncluded) {
            text = text.substr(1);
        }
        return text.trim();
    }, []);
    var getEmojiElementIdByIndex = React.useCallback(function (index) {
        var emoji = currentEmojiList[index];
        if (emoji) {
            return getEmojiIconId(emoji);
        }
        return null;
    }, [currentEmojiList]);
    var getSelectedEmoji = React.useCallback(function () {
        return currentEmojiList[index];
    }, [currentEmojiList, index]);
    var showFullPicker = React.useCallback(function (fullSearchText) {
        var normalizedSearchValue = normalizeSearchText(fullSearchText, true);
        var newMode = normalizedSearchValue.length === 0 ? 2 /* Full */ : 1 /* Partial */;
        setIndex(newMode === 2 /* Full */ ? -1 : 0);
        setMode(newMode);
        setCurrentEmojiList(getSearchResult(normalizedSearchValue, newMode));
        setSearchString(fullSearchText);
        setSearchInBox(normalizedSearchValue);
    }, [mode]);
    var setSearch = React.useCallback(function (value) {
        var normalizedSearchValue = normalizeSearchText(value, false);
        setIndex(0);
        setCurrentEmojiList(getSearchResult(normalizedSearchValue, mode));
        setSearchString(value);
    }, [index, search, currentEmojiList]);
    var getSearchResult = React.useCallback(function (searchValue, mode) {
        var isQuickMode = mode === 0 /* Quick */;
        if (!searchValue) {
            return isQuickMode ? currentEmojiList : emojiList_1.EmojiList[currentFamily];
        }
        var emojiList = (0, searchEmojis_1.searchEmojis)(searchValue, props.strings);
        return isQuickMode ? emojiList.slice(0, 5).concat([emojiList_1.MoreEmoji]) : emojiList;
    }, [mode, currentFamily, currentEmojiList]);
    var getEmojiIconId = React.useCallback(function (emoji) { return (emoji ? listId + "-" + emoji.key : ''); }, [listId]);
    React.useImperativeHandle(ref, function () { return ({
        navigate: navigate,
        getEmojiElementIdByIndex: getEmojiElementIdByIndex,
        showFullPicker: showFullPicker,
        getSearchResult: getSearchResult,
        setSearch: setSearch,
        getSelectedEmoji: getSelectedEmoji,
        normalizeSearchText: normalizeSearchText,
        getEmojiIconId: getEmojiIconId,
    }); }, [
        navigate,
        getEmojiElementIdByIndex,
        showFullPicker,
        getSearchResult,
        setSearch,
        getEmojiIconId,
        getSelectedEmoji,
        normalizeSearchText,
    ]);
    var renderQuickPicker = function (props, index, currentEmojiList) {
        var strings = props.strings;
        var selectedEmoji = getSelectedEmoji();
        var target = selectedEmoji ? "#" + getEmojiIconId(selectedEmoji) : undefined;
        var content = (selectedEmoji === null || selectedEmoji === void 0 ? void 0 : selectedEmoji.description) ? strings[selectedEmoji.description] : undefined;
        var emojiList = renderCurrentEmojiIcons(index, currentEmojiList);
        // note: we're using a callout since TooltipHost does not support manual trigger, and we need to show the tooltip since quick picker is shown
        // as an autocomplete menu (false focus based on transferring navigation keyboard event)
        return (React.createElement("div", { id: listId, role: "listbox" },
            emojiList,
            React.createElement("div", { id: listId, role: "listbox", className: (0, Utilities_1.css)(classNames.quickPicker, classNames.roosterEmojiPane) },
                React.createElement(Callout_1.Callout, (0, tslib_1.__assign)({}, TooltipCalloutProps, { role: "tooltip", target: target, hidden: !content || !emojiList, className: classNames.tooltip }), content))));
    };
    var renderFullPicker = function (props, index, searchInBox, currentFamily, currentEmojiList) {
        var _a;
        var searchDisabled = props.searchDisabled, searchBoxString = props.searchBoxString;
        var emojiId = getEmojiIconId(getSelectedEmoji());
        var autoCompleteAttributes = (_a = {},
            _a[AriaAttributes.AutoComplete] = 'list',
            _a[AriaAttributes.Expanded] = 'true',
            _a[AriaAttributes.HasPopup] = 'listbox',
            _a[AriaAttributes.Owns] = listId,
            _a);
        if (emojiId) {
            autoCompleteAttributes[AriaAttributes.ActiveDescendant] = emojiId;
        }
        return (React.createElement("div", { className: classNames.roosterEmojiPane },
            !searchDisabled && (React.createElement(TextField_1.TextField, (0, tslib_1.__assign)({ role: "combobox", componentRef: function (ref) { return searchRefCallback(ref); }, value: searchInBox, onChange: onSearchChange, inputClassName: classNames.emojiTextInput, onKeyPress: onSearchKeyPress, onKeyDown: onSearchKeyDown, onFocus: onSearchFocus, placeholder: (0, index_1.getLocalizedString)(searchBoxString, 'emojiSearchPlaceholder', 'Search...'), ariaLabel: (0, index_1.getLocalizedString)(searchBoxString, 'emojiSearchInputAriaLabel', 'Search...') }, autoCompleteAttributes))),
            mode === 2 /* Full */
                ? renderFullList(props, index, currentFamily, currentEmojiList)
                : renderPartialList(props, index, currentEmojiList)));
    };
    var onSearchFocus = function (e) {
        input = e.target;
    };
    var onSearchKeyPress = function (e) {
        if (!e || e.which !== Utilities_1.KeyCodes.enter) {
            return;
        }
        if (index >= 0 && currentEmojiList && currentEmojiList.length > 0) {
            onSelect(e, currentEmojiList[index]);
        }
    };
    var onSearchKeyDown = function (e) {
        if (!e || DirectionKeys.indexOf(e.which) < 0) {
            return;
        }
        e.preventDefault();
        e.stopPropagation();
        if (e.which === Utilities_1.KeyCodes.home) {
            setIndex(0);
            emojiBody.scrollTop = 0;
            return;
        }
        if (e.which === Utilities_1.KeyCodes.end) {
            setIndex(currentEmojiList.length - 1);
            emojiBody.scrollTop = emojiBody.scrollHeight; // scrollHeight will be larger than max
            return;
        }
        var direction = VerticalDirectionKeys.indexOf(e.which) < 0
            ? 0 /* Horizontal */
            : 1 /* Vertical */;
        var newIndex = navigate(e.which === Utilities_1.KeyCodes.left || e.which === Utilities_1.KeyCodes.up ? -1 : 1, direction);
        if (newIndex > -1) {
            var visibleRowCount = mode === 2 /* Full */
                ? EmojiVisibleRowCount
                : EmojiVisibleWithoutNavBarRowCount;
            var currentRow = Math.floor(newIndex / EmojisPerRow);
            var visibleTop = emojiBody.scrollTop;
            var visibleBottom = visibleTop + visibleRowCount * EmojiHeightPx;
            var currentRowTop = currentRow * EmojiHeightPx;
            var currentRowBottom = currentRowTop + EmojiHeightPx;
            if (visibleTop <= currentRowTop && visibleBottom >= currentRowBottom) {
                return; // row is visible, so exit
            }
            emojiBody.scrollTop = currentRow * EmojiHeightPx;
        }
    };
    var renderCurrentEmojiIcons = function (index, currentEmojiList) {
        var strings = props.strings;
        return currentEmojiList.map(function (emoji, emojiIndex) { return (React.createElement(EmojiIcon_1.default, { strings: strings, id: getEmojiIconId(emoji), key: emoji.key, onMouseOver: function () { return setIndex(emojiIndex); }, onFocus: function () { return setIndex(emojiIndex); }, emoji: emoji, classNames: classNames, isSelected: index === emojiIndex, onClick: function (e) { return onSelect(e, emoji); }, "aria-posinset": index + 1, "aria-setsize": currentEmojiList.length })); });
    };
    var renderPartialList = function (props, index, currentEmojiList) {
        var strings = props.strings, hideStatusBar = props.hideStatusBar, statusBarProps = props.statusBarProps;
        var hasResult = currentEmojiList && currentEmojiList.length > 0;
        return (React.createElement("div", null,
            React.createElement("div", { className: classNames.partialList, "data-is-scrollable": true, tabIndex: TabIndexForFirefoxBug, ref: onEmojiBodyRef },
                React.createElement(FocusZone_1.FocusZone, { id: listId, role: "listbox", className: classNames.fullListContent, ref: focusZoneRefCallback }, renderCurrentEmojiIcons(index, currentEmojiList))),
            !hideStatusBar && (React.createElement(EmojiStatusBar_1.default, (0, tslib_1.__assign)({ classNames: classNames, strings: strings }, statusBarProps, { hasResult: hasResult, emoji: getSelectedEmoji() })))));
    };
    var renderFullList = function (props, index, currentFamily, currentEmojiList) {
        var strings = props.strings, hideStatusBar = props.hideStatusBar, navBarProps = props.navBarProps, statusBarProps = props.statusBarProps;
        var hasResult = currentEmojiList && currentEmojiList.length > 0;
        return (React.createElement("div", { className: classNames.fullList },
            React.createElement("div", { className: classNames.fullListBody, "data-is-scrollable": true, tabIndex: TabIndexForFirefoxBug, ref: onEmojiBodyRef },
                React.createElement(EmojiNavBar_1.default, (0, tslib_1.__assign)({ strings: strings }, navBarProps, { onClick: pivotClick, currentSelected: currentFamily, getTabId: getTabId, classNames: classNames })),
                React.createElement("div", { role: "tabpanel", "aria-labelledby": getTabId(currentFamily) },
                    React.createElement("div", null,
                        React.createElement(FocusZone_1.FocusZone, { id: listId, role: "listbox", className: classNames.fullListContent, ref: focusZoneRefCallback }, renderCurrentEmojiIcons(index, currentEmojiList))))),
            !hideStatusBar && (React.createElement(EmojiStatusBar_1.default, (0, tslib_1.__assign)({ classNames: classNames, strings: strings }, statusBarProps, { hasResult: hasResult, emoji: getSelectedEmoji() })))));
    };
    var onEmojiBodyRef = function (ref) {
        emojiBody = ref;
    };
    var pivotClick = function (selected) {
        var currentFamily = selected;
        setCurrentEmojiList(emojiList_1.EmojiList[currentFamily]);
        setCurrentFamily(currentFamily);
    };
    var getTabId = function (itemKey) {
        return "family_" + itemKey + "_" + props.baseId;
    };
    var searchRefCallback = function (ref) {
        if (ref) {
            searchBox = ref;
            if (searchBox === null || searchBox === void 0 ? void 0 : searchBox.value) {
                searchBox.focus();
                searchBox.setSelectionStart(searchBox.value.length);
            }
        }
    };
    var focusZoneRefCallback = function (ref) {
        if (props.searchDisabled && ref) {
            ref.focus();
        }
        if (input) {
            // make sure to announce the active descending after the focus zone containing the emojis is ready
            input.removeAttribute(AriaAttributes.ActiveDescendant);
            var emojiId_1 = getEmojiIconId(getSelectedEmoji());
            // we need to delay so NVDA will announce the first selection
            if (emojiId_1) {
                setTimeout(function () { return input.setAttribute(AriaAttributes.ActiveDescendant, emojiId_1); }, 0);
            }
        }
    };
    var onSearchChange = function (_, newValue) {
        if (typeof newValue === 'string') {
            var normalizedSearchValue = normalizeSearchText(newValue, false);
            var newMode = normalizedSearchValue.length === 0 ? 2 /* Full */ : 1 /* Partial */;
            setIndex(newMode === 2 /* Full */ ? -1 : 0);
            setCurrentEmojiList(getSearchResult(normalizedSearchValue, mode));
            setSearchInBox(newValue);
            setMode(newMode);
        }
    };
    var onSelect = function (e, emoji) {
        e.stopPropagation();
        e.preventDefault();
        if (props.onSelect) {
            props.onSelect(emoji, search);
        }
    };
    var renderPane = function (props, index, searchInBox, currentFamily, currentEmojiList) {
        return mode === 0 /* Quick */
            ? renderQuickPicker(props, index, currentEmojiList)
            : renderFullPicker(props, index, searchInBox, currentFamily, currentEmojiList);
    };
    return React.createElement(React.Fragment, null, renderPane(props, index, searchInBox, currentFamily, currentEmojiList));
});
/**
 * @internal
 * Emoji pane component
 */
function showEmojiPane(onSelect, strings, paneRef, baseId, searchBoxString) {
    return (React.createElement(EmojiPane, { ref: paneRef, baseId: baseId, searchBoxString: searchBoxString, strings: strings, onSelect: onSelect }));
}
exports.showEmojiPane = showEmojiPane;
var calcMaxHeight = function () {
    var buttonHeight = 40;
    var rowsOfIcons = 6; // including family bar if shown
    var bottomPaddingForContent = 5;
    var maxHeightForContent = rowsOfIcons * buttonHeight + bottomPaddingForContent;
    return maxHeightForContent.toString() + 'px';
};
var calcPaneWidth = function () {
    var buttonWidth = 40;
    var pivotItemCount = 7;
    var paneHorizontalPadding = 1;
    var paneWidth = buttonWidth * pivotItemCount + 2 * paneHorizontalPadding;
    return paneWidth.toString() + 'px';
};
var getEmojiPaneClassName = (0, Utilities_1.memoizeFunction)(function (theme) {
    var palette = theme.palette;
    return (0, Styling_1.mergeStyleSets)({
        quickPicker: {
            overflowY: 'hidden',
            ':after': {
                content: '',
                position: 'absolute',
                left: '0px',
                top: '0px',
                bottom: '0px',
                right: '0px',
                zIndex: 1,
                borderWidth: '1px',
                borderStyle: 'solid',
                borderColor: 'rgb(255, 255, 255)',
                borderImage: 'initial',
                outline: 'rgb(102, 102, 102) solid 1px',
            },
        },
        tooltip: {
            padding: '8px',
        },
        emojiTextInput: {
            padding: '6px',
        },
        partialList: {
            maxHeight: calcMaxHeight(),
            overflow: 'hidden',
            overflowY: 'scroll',
        },
        fullListContent: {
            width: calcPaneWidth(),
        },
        fullListBody: {
            maxHeight: calcMaxHeight(),
            overflow: 'hidden',
            overflowY: 'scroll',
            height: calcMaxHeight(),
        },
        fullList: {
            position: 'relative',
        },
        roosterEmojiPane: {
            padding: '1px',
            background: palette.white,
        },
        emoji: {
            fontSize: '18px',
            width: '40px',
            height: '40px',
            border: '0',
            position: 'relative',
            background: palette.white,
            transition: 'backgorund 0.5s ease-in-out',
        },
        emojiSelected: {
            background: palette.neutralLight,
        },
        navBar: {
            top: '-1px',
            zIndex: 10,
            position: 'sticky',
        },
        navBarTooltip: {
            display: 'inline-block',
        },
        navBarButton: {
            height: '40px',
            width: '40px',
            border: '0',
            borderBottom: 'solid 1px',
            padding: 0,
            marginBottom: 0,
            display: 'inline-block',
            color: palette.themeDark,
            background: palette.white,
            '&:hover': {
                cursor: 'default',
            },
        },
        selected: {
            borderBottom: '2px solid',
            borderBottomColor: palette.themeDark,
        },
        statusBar: {
            borderTop: 'solid 1px',
            height: '50px',
            overflow: 'hidden',
            position: 'relative',
            background: palette.white,
        },
        statusBarIcon: {
            padding: '4px',
            fontSize: '25px',
            display: 'inline-block',
            fontStyle: 'normal',
            fontWeight: 'normal',
            lineHeight: '40px',
        },
        statusBarDetailsContainer: {
            padding: '0 4px',
            lineHeight: '50px',
            position: 'absolute',
            display: 'inline-block',
            left: '40px',
            right: '0',
            top: '0',
        },
        statusBarDetails: {
            fontWeight: 'bold',
            whiteSpace: 'nowrap',
            overflow: 'hidden',
            textOverflow: 'ellipsis',
        },
        statusBarNoResultDetailsContainer: {
            lineHeight: '50px',
            position: 'absolute',
            display: 'inline-block',
            top: '0',
            whiteSpace: 'nowrap',
            overflow: 'hidden',
            textOverflow: 'ellipsis',
            left: '0',
            padding: '0 8px',
        },
    });
});


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/emoji/components/EmojiStatusBar.tsx":
/*!*****************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/emoji/components/EmojiStatusBar.tsx ***!
  \*****************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
var React = __webpack_require__(/*! react */ "react");
var Tooltip_1 = __webpack_require__(/*! @fluentui/react/lib/Tooltip */ "@fluentui/react/lib/Theme");
var NO_SUGGESTIONS = 'emjDNoSuggetions';
/**
 * @internal
 * Emoji status bar component
 */
function EmojiStatusBar(props) {
    var emoji = props.emoji, strings = props.strings, hasResult = props.hasResult, classNames = props.classNames;
    if (!hasResult) {
        var noResultDescription = strings[NO_SUGGESTIONS];
        return (React.createElement("div", { className: classNames.statusBar },
            React.createElement("div", { style: { display: 'none' }, "aria-live": "polite" }, noResultDescription),
            React.createElement("div", { className: classNames.statusBarNoResultDetailsContainer },
                React.createElement(Tooltip_1.TooltipHost, { content: noResultDescription, overflowMode: Tooltip_1.TooltipOverflowMode.Parent },
                    React.createElement("span", { role: "alert" }, noResultDescription)))));
    }
    var icon = emoji ? emoji.codePoint : '';
    var description = (emoji === null || emoji === void 0 ? void 0 : emoji.description) ? strings[emoji.description] : '';
    return (React.createElement("div", { className: classNames.statusBar },
        React.createElement("i", { className: classNames.statusBarIcon, role: "presentation", "aria-hidden": "true" }, icon),
        React.createElement("div", { className: classNames.statusBarDetailsContainer },
            React.createElement("div", { className: classNames.statusBarDetails },
                React.createElement(Tooltip_1.TooltipHost, { content: description, overflowMode: Tooltip_1.TooltipOverflowMode.Parent }, description)))));
}
exports["default"] = EmojiStatusBar;


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/emoji/components/showEmojiCallout.tsx":
/*!*******************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/emoji/components/showEmojiCallout.tsx ***!
  \*******************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
var tslib_1 = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.mjs");
var React = __webpack_require__(/*! react */ "react");
var Callout_1 = __webpack_require__(/*! @fluentui/react/lib/Callout */ "@fluentui/react/lib/Theme");
var renderReactComponent_1 = __webpack_require__(/*! ../../common/utils/renderReactComponent */ "./packages-ui/roosterjs-react/lib/common/utils/renderReactComponent.ts");
var EmojiPane_1 = __webpack_require__(/*! ./EmojiPane */ "./packages-ui/roosterjs-react/lib/emoji/components/EmojiPane.tsx");
var EmojiICallout = React.forwardRef(function EmojiCalloutFunc(props, ref) {
    var cursorRect = props.cursorRect, strings = props.strings, onSelectFromPane = props.onSelectFromPane, onHideCallout = props.onHideCallout, searchBoxString = props.searchBoxString, dismiss = props.dismiss, paneRef = props.paneRef, baseId = props.baseId;
    var _a = (0, tslib_1.__read)(React.useState(true), 2), isCalloutVisible = _a[0], toggleIsCalloutVisible = _a[1];
    React.useImperativeHandle(ref, function () { return ({
        dismiss: dismiss,
    }); }, [dismiss]);
    var point = {
        x: cursorRect.left,
        y: (cursorRect.top + cursorRect.bottom) / 2,
    };
    var gap = (cursorRect.bottom - cursorRect.top) / 2 + 5;
    if (!isCalloutVisible) {
        onHideCallout();
    }
    var toogleCallout = React.useCallback(function () {
        toggleIsCalloutVisible(false);
        dismiss();
    }, [dismiss]);
    return (React.createElement(React.Fragment, null, isCalloutVisible && (React.createElement(Callout_1.Callout, { target: point, directionalHint: Callout_1.DirectionalHint.bottomAutoEdge, isBeakVisible: false, gapSpace: gap, onDismiss: toogleCallout }, (0, EmojiPane_1.showEmojiPane)(onSelectFromPane, strings, paneRef, baseId, searchBoxString)))));
});
/**
 * @internal
 * Enable emoji callout
 */
function showEmojiCallout(uiUtilities, cursorRect, strings, onSelectFromPane, paneRef, emojiCalloutRef, onHideCallout, baseId, searchBoxString) {
    var disposer = null;
    var onDismiss = function () {
        disposer === null || disposer === void 0 ? void 0 : disposer();
        disposer = null;
    };
    disposer = (0, renderReactComponent_1.renderReactComponent)(uiUtilities, React.createElement(EmojiICallout, { ref: emojiCalloutRef, cursorRect: cursorRect, strings: strings, onSelectFromPane: onSelectFromPane, paneRef: paneRef, onHideCallout: onHideCallout, searchBoxString: searchBoxString, baseId: baseId, dismiss: onDismiss }));
}
exports["default"] = showEmojiCallout;


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/emoji/index.ts":
/*!********************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/emoji/index.ts ***!
  \********************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.createEmojiPlugin = void 0;
var createEmojiPlugin_1 = __webpack_require__(/*! ./plugin/createEmojiPlugin */ "./packages-ui/roosterjs-react/lib/emoji/plugin/createEmojiPlugin.ts");
Object.defineProperty(exports, "createEmojiPlugin", ({ enumerable: true, get: function () { return createEmojiPlugin_1.default; } }));


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/emoji/plugin/createEmojiPlugin.ts":
/*!***************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/emoji/plugin/createEmojiPlugin.ts ***!
  \***************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
var tslib_1 = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.mjs");
var React = __webpack_require__(/*! react */ "react");
var showEmojiCallout_1 = __webpack_require__(/*! ../components/showEmojiCallout */ "./packages-ui/roosterjs-react/lib/emoji/components/showEmojiCallout.tsx");
var roosterjs_editor_dom_1 = __webpack_require__(/*! roosterjs-editor-dom */ "roosterjs-editor-dom");
var Utilities_1 = __webpack_require__(/*! @fluentui/react/lib/Utilities */ "@fluentui/react/lib/Theme");
var emojiList_1 = __webpack_require__(/*! ../utils/emojiList */ "./packages-ui/roosterjs-react/lib/emoji/utils/emojiList.ts");
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
var EmojiStrings_1 = __webpack_require__(/*! ../type/EmojiStrings */ "./packages-ui/roosterjs-react/lib/emoji/type/EmojiStrings.ts");
var KEYCODE_COLON = 186;
var KEYCODE_COLON_FIREFOX = 59;
// Regex looks for an emoji right before the : to allow contextual search immediately following an emoji
// MATCHES: 0: 😃:r
//          1: 😃
//          2: :r
var EMOJI_BEFORE_COLON_REGEX = /([\u0023-\u0039][\u20e3]|[\ud800-\udbff][\udc00-\udfff]|[\u00a9-\u00ae]|[\u2122-\u3299])*([:;][^:]*)/;
var EmojiPlugin = /** @class */ (function () {
    function EmojiPlugin(searchBoxStrings) {
        var _this = this;
        this.searchBoxStrings = searchBoxStrings;
        this.editor = null;
        this.eventHandledOnKeyDown = false;
        this.canUndoEmoji = false;
        this.isSuggesting = false;
        this.paneRef = React.createRef();
        this.timer = null;
        this.uiUtilities = null;
        this.emojiCalloutRef = React.createRef();
        this.baseId = 0;
        this.onHideCallout = function () { return _this.setIsSuggesting(false); };
        this.onSelectFromPane = function (emoji, wordBeforeCursor) {
            var _a;
            if (emoji === emojiList_1.MoreEmoji) {
                (_a = _this.paneRef.current) === null || _a === void 0 ? void 0 : _a.showFullPicker(wordBeforeCursor);
                return;
            }
            _this.insertEmoji(emoji, wordBeforeCursor);
        };
        this.strings = (0, tslib_1.__assign)((0, tslib_1.__assign)((0, tslib_1.__assign)({}, EmojiStrings_1.EmojiDescriptionStrings), EmojiStrings_1.EmojiKeywordStrings), EmojiStrings_1.EmojiFamilyStrings);
    }
    EmojiPlugin.prototype.setUIUtilities = function (uiUtilities) {
        this.uiUtilities = uiUtilities;
    };
    EmojiPlugin.prototype.getName = function () {
        return 'Emoji';
    };
    EmojiPlugin.prototype.dispose = function () {
        var _a;
        this.setIsSuggesting(false);
        (_a = this.emojiCalloutRef.current) === null || _a === void 0 ? void 0 : _a.dismiss();
        this.editor = null;
        this.baseId = 0;
    };
    EmojiPlugin.prototype.initialize = function (editor) {
        this.editor = editor;
    };
    EmojiPlugin.prototype.onPluginEvent = function (event) {
        if (event.eventType === 0 /* KeyDown */) {
            this.eventHandledOnKeyDown = false;
            if (this.isSuggesting) {
                this.onKeyDownSuggestingDomEvent(event);
            }
            else if (event.rawEvent.which === Utilities_1.KeyCodes.backspace && this.canUndoEmoji) {
                //TODO: 1051
                // If KeyDown is backspace and canUndoEmoji, call editor undo
                this.editor.undo();
                this.handleEventOnKeyDown(event);
                this.canUndoEmoji = false;
            }
        }
        else if (event.eventType === 2 /* KeyUp */ && !(0, roosterjs_editor_dom_1.isModifierKey)(event.rawEvent)) {
            if (this.isSuggesting) {
                this.onKeyUpSuggestingDomEvent(event);
            }
            else {
                this.onKeyUpDomEvent(event);
            }
        }
        else if (event.eventType === 6 /* MouseUp */) {
            //TODO: 1052
            // If MouseUp, the emoji cannot be undone
            this.canUndoEmoji = false;
            this.setIsSuggesting(false);
        }
    };
    /**
     * On KeyDown suggesting DOM event
     * Try to insert emoji is possible
     * Intercept arrow keys to move selection if popup is shown
     */
    EmojiPlugin.prototype.onKeyDownSuggestingDomEvent = function (event) {
        // If key is enter, try insert emoji at selection
        // If key is space and selection is shortcut, try insert emoji
        var _a, _b;
        var wordBeforeCursor = this.getWordBeforeCursor(event);
        switch (event.rawEvent.which) {
            case Utilities_1.KeyCodes.enter:
                var selectedEmoji = (_a = this.paneRef.current) === null || _a === void 0 ? void 0 : _a.getSelectedEmoji();
                // check if selection is on the "..." and show full picker if so, otherwise try to apply emoji
                if (!selectedEmoji ||
                    !wordBeforeCursor ||
                    this.tryShowFullPicker(event, selectedEmoji, wordBeforeCursor)) {
                    break;
                }
                else {
                    this.insertEmoji(selectedEmoji, wordBeforeCursor);
                    this.handleEventOnKeyDown(event);
                }
                break;
            case Utilities_1.KeyCodes.left:
            case Utilities_1.KeyCodes.right:
                (_b = this.paneRef.current) === null || _b === void 0 ? void 0 : _b.navigate(event.rawEvent.which === Utilities_1.KeyCodes.left ? -1 : 1);
                this.handleEventOnKeyDown(event);
                break;
            case Utilities_1.KeyCodes.escape:
                this.setIsSuggesting(false);
                this.handleEventOnKeyDown(event);
        }
    };
    EmojiPlugin.prototype.tryShowFullPicker = function (event, selectedEmoji, wordBeforeCursor) {
        var _a;
        if (selectedEmoji !== emojiList_1.MoreEmoji) {
            return false;
        }
        this.handleEventOnKeyDown(event);
        (_a = this.paneRef.current) === null || _a === void 0 ? void 0 : _a.showFullPicker(wordBeforeCursor);
        return true;
    };
    /**
     * On KeyUp suggesting DOM event
     * If key is character, update search term
     * Otherwise set isSuggesting to false
     */
    EmojiPlugin.prototype.onKeyUpSuggestingDomEvent = function (event) {
        var _a, _b, _c, _d;
        if (this.eventHandledOnKeyDown) {
            return;
        }
        // If this is a character key or backspace
        // Clear the timer as we will either queue a new timer or stop suggesting
        if (this.timer &&
            ((event.rawEvent.key.length === 1 && event.rawEvent.which !== Utilities_1.KeyCodes.space) ||
                event.rawEvent.which === Utilities_1.KeyCodes.backspace)) {
            (_b = (_a = this.editor) === null || _a === void 0 ? void 0 : _a.getDocument().defaultView) === null || _b === void 0 ? void 0 : _b.clearTimeout(this.timer);
            this.timer = null;
            (_c = this.emojiCalloutRef.current) === null || _c === void 0 ? void 0 : _c.dismiss();
        }
        var wordBeforeCursor = this.getWordBeforeCursor(event);
        if (wordBeforeCursor) {
            if (this.paneRef) {
                (_d = this.paneRef.current) === null || _d === void 0 ? void 0 : _d.setSearch(wordBeforeCursor);
            }
            else {
                this.setIsSuggesting(false);
            }
        }
        else {
            this.setIsSuggesting(false);
        }
    };
    EmojiPlugin.prototype.onKeyUpDomEvent = function (event) {
        if (this.eventHandledOnKeyDown) {
            return;
        }
        var wordBeforeCursor = this.getWordBeforeCursor(event);
        if ((event.rawEvent.which === KEYCODE_COLON ||
            event.rawEvent.which === KEYCODE_COLON_FIREFOX) &&
            wordBeforeCursor === ':') {
            this.setIsSuggesting(true);
        }
    };
    EmojiPlugin.prototype.getCallout = function () {
        var _a;
        var rangeNode = (_a = this.editor) === null || _a === void 0 ? void 0 : _a.getElementAtCursor();
        var rect = rangeNode === null || rangeNode === void 0 ? void 0 : rangeNode.getBoundingClientRect();
        if (this.uiUtilities && rect) {
            this.baseId++;
            (0, showEmojiCallout_1.default)(this.uiUtilities, rect, this.strings, this.onSelectFromPane, this.paneRef, this.emojiCalloutRef, this.onHideCallout, this.baseId, this.searchBoxStrings);
        }
    };
    EmojiPlugin.prototype.setIsSuggesting = function (isSuggesting) {
        var _a;
        if (this.isSuggesting === isSuggesting) {
            return;
        }
        this.isSuggesting = isSuggesting;
        if (this.isSuggesting) {
            this.getCallout();
        }
        else if (this.emojiCalloutRef) {
            (_a = this.emojiCalloutRef.current) === null || _a === void 0 ? void 0 : _a.dismiss();
        }
    };
    EmojiPlugin.prototype.insertEmoji = function (emoji, wordBeforeCursor) {
        var _this = this;
        var _a;
        if (!wordBeforeCursor || !this.editor || !emoji.codePoint) {
            return;
        }
        var node = this.editor.getDocument().createElement('span');
        node.innerText = emoji.codePoint;
        this.editor.addUndoSnapshot(function () {
            if (_this.editor) {
                (0, roosterjs_editor_api_1.replaceWithNode)(_this.editor, wordBeforeCursor, node, true /*exactMatch*/);
                _this.editor.select(node, -3 /* After */);
            }
        }, undefined /*changeSource*/, true /*canUndoByBackspace*/);
        (_a = this.emojiCalloutRef.current) === null || _a === void 0 ? void 0 : _a.dismiss();
    };
    EmojiPlugin.prototype.getWordBeforeCursor = function (event) {
        var _a;
        var cursorData = (_a = this.editor) === null || _a === void 0 ? void 0 : _a.getContentSearcherOfCursor(event);
        var wordBeforeCursor = cursorData ? cursorData.getWordBefore() : null;
        var matches = wordBeforeCursor ? EMOJI_BEFORE_COLON_REGEX.exec(wordBeforeCursor) : null;
        return matches && matches.length > 2 && matches[0] === wordBeforeCursor ? matches[2] : null;
    };
    EmojiPlugin.prototype.handleEventOnKeyDown = function (event) {
        this.eventHandledOnKeyDown = true;
        event.rawEvent.preventDefault();
        event.rawEvent.stopImmediatePropagation();
    };
    return EmojiPlugin;
}());
/**
 * Create a new instance of Emoji plugin with FluentUI components.
 */
function createEmojiPlugin(searchBoxStrings) {
    return new EmojiPlugin(searchBoxStrings);
}
exports["default"] = createEmojiPlugin;


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/emoji/type/EmojiStrings.ts":
/*!********************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/emoji/type/EmojiStrings.ts ***!
  \********************************************************************/
/***/ ((__unused_webpack_module, exports) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.EmojiFamilyStrings = exports.EmojiKeywordStrings = exports.EmojiDescriptionStrings = void 0;
/**
 * @internal
 * Emoji Description
 */
exports.EmojiDescriptionStrings = {
    emjDMore: 'More',
    emjDNoSuggetions: 'No suggestions found',
    emjD0270a: 'Raised fist',
    emjD0270b: 'Raised hand',
    emjD0270c: 'Victory hand',
    emjD02764: 'Red heart',
    emjD1f440: 'Eyes',
    emjD1f442: 'Ear',
    emjD1f443: 'Nose',
    emjD1f444: 'Mouth',
    emjD1f445: 'Tongue',
    emjD1f446: 'Up-pointing backhand index finger',
    emjD1f447: 'Down-pointing backhand index finger',
    emjD1f448: 'Left-pointing backhand index finger',
    emjD1f449: 'Right-pointing backhand index finger',
    emjD1f44a: 'Fist bump',
    emjD1f44b: 'Waving hand',
    emjD1f44c: 'OK hand',
    emjD1f44d: 'Thumbs up',
    emjD1f44e: 'Thumbs down',
    emjD1f44f: 'Clapping hands',
    emjD1f450: 'Open hands',
    emjD1f590: 'Raised hand with fingers splayed',
    emjD1f595: 'Middle finger',
    emjD1f596: 'Raised hand with part between middle and ring fingers',
    emjD1f464: 'Bust in silhouette',
    emjD1f466: 'Boy',
    emjD1f467: 'Girl',
    emjD1f468: 'Man',
    emjD1f469: 'Woman',
    emjD1f46a: 'Family',
    emjD1f46b: 'Man and woman holding hands',
    emjD1f46e: 'Police officer',
    emjD1f46f: 'Woman with bunny ears',
    emjD1f470: 'Bride with veil',
    emjD1f471: 'Person with blond hair',
    emjD1f472: 'Man with gua pi mao',
    emjD1f473: 'Man with turban',
    emjD1f474: 'Older man',
    emjD1f475: 'Older woman',
    emjD1f476: 'Baby',
    emjD1f477: 'Construction worker',
    emjD1f481: 'Information desk person',
    emjD1f482: 'Guardsman',
    emjD1f48b: 'Kiss mark',
    emjD1f493: 'Beating heart',
    emjD1f494: 'Broken heart',
    emjD1f495: 'Two hearts',
    emjD1f496: 'Sparkling heart',
    emjD1f497: 'Growing heart',
    emjD1f498: 'Heart with arrow',
    emjD1f499: 'Blue heart',
    emjD1f49a: 'Green heart',
    emjD1f49b: 'Yellow heart',
    emjD1f49c: 'Purple heart',
    emjD1f49d: 'Heart with ribbon',
    emjD1f49e: 'Revolving hearts',
    emjD1f49f: 'Heart decoration',
    emjD1f601: 'Grinning face with smiling eyes',
    emjD1f602: 'Face with tears of joy',
    emjD1f603: 'Smiling face with open mouth',
    emjD1f604: 'Smiling face with open mouth and smiling eyes',
    emjD1f605: 'Smiling face with open mouth and cold sweat',
    emjD1f606: 'Smiling face with open mouth and tightly closed eyes',
    emjD1f607: 'Smiling face with halo',
    emjD1f608: 'Smiling face with horns',
    emjD1f609: 'Winking face',
    emjD1f60a: 'Smiling face with smiling eyes',
    emjD1f60b: 'Face savoring delicious food',
    emjD1f60c: 'Relieved face',
    emjD1f60d: 'Smiling face with heart-shaped eyes',
    emjD1f60e: 'Smiling face with sunglasses',
    emjD1f60f: 'Smirking face',
    emjD1f610: 'Neutral face',
    emjD1f612: 'Unamused face',
    emjD1f613: 'Face with cold sweat',
    emjD1f614: 'Pensive face',
    emjD1f616: 'Confounded face',
    emjD1f618: 'Face throwing a kiss',
    emjD1f61a: 'Kissing face with closed eyes',
    emjD1f61c: 'Face with stuck-out tongue and winking eye',
    emjD1f61d: 'Face with stuck-out tongue and tightly closed eyes',
    emjD1f61e: 'Disappointed face',
    emjD1f620: 'Angry face',
    emjD1f621: 'Pouting face',
    emjD1f622: 'Crying face',
    emjD1f623: 'Persevering face',
    emjD1f624: 'Face with look of triumph',
    emjD1f625: 'Disappointed but relieved face',
    emjD1f628: 'Fearful face',
    emjD1f629: 'Weary face',
    emjD1f62a: 'Sleepy face',
    emjD1f62b: 'Tired face',
    emjD1f62d: 'Loudly crying face',
    emjD1f630: 'Face with open mouth and cold sweat',
    emjD1f631: 'Face screaming in fear',
    emjD1f632: 'Astonished face',
    emjD1f633: 'Flushed face',
    emjD1f635: 'Dizzy face',
    emjD1f636: 'Face without mouth',
    emjD1f637: 'Face with medical mask',
    emjD1f645: 'Face with No Good gesture',
    emjD1f646: 'Face with OK gesture',
    emjD1f647: 'Person bowing deeply',
    emjD1f648: 'See-no-evil monkey',
    emjD1f649: 'Hear-no-evil monkey',
    emjD1f641: 'Slightly frowning face',
    emjD1f642: 'Slightly smiling face',
    emjD1f64a: 'Speak-no-evil monkey',
    emjD1f64b: 'Happy person raising one hand',
    emjD1f64c: 'Person raising both hands in celebration',
    emjD1f64d: 'Person frowning',
    emjD1f64e: 'Person with pouting face',
    emjD1f64f: 'Person with folded hands',
    emjD02600: 'Sun with rays',
    emjD02601: 'Cloud',
    emjD02614: 'Umbrella with rain drops',
    emjD0267b: 'Recycling symbol',
    emjD026c4: 'Snowman without snow',
    emjD026c5: 'Sun behind cloud',
    emjD02728: 'Sparkles',
    emjD02733: 'Eight-spoked asterisk',
    emjD02734: 'Eight-pointed star',
    emjD02744: 'Snowflake',
    emjD02747: 'Sparkle',
    emjD02b50: 'White medium star',
    emjD1f300: 'Cyclone',
    emjD1f301: 'Foggy',
    emjD1f302: 'Closed umbrella',
    emjD1f303: 'Night with stars',
    emjD1f304: 'Sunrise over mountains',
    emjD1f305: 'Sunrise',
    emjD1f306: 'Cityscape at dusk',
    emjD1f307: 'Sunset over buildings',
    emjD1f308: 'Rainbow',
    emjD1f309: 'Bridge at night',
    emjD1f30a: 'Water wave',
    emjD1f30b: 'Volcano',
    emjD1f30c: 'Milky Way',
    emjD1f311: 'New moon',
    emjD1f313: 'First quarter moon',
    emjD1f314: 'Waxing gibbous moon',
    emjD1f315: 'Full moon',
    emjD1f319: 'Crescent moon',
    emjD1f31b: 'First quarter moon with face',
    emjD1f31f: 'Glowing star',
    emjD1f320: 'Shooting star',
    emjD1f330: 'Chestnut',
    emjD1f331: 'Seedling',
    emjD1f334: 'Palm tree',
    emjD1f335: 'Cactus',
    emjD1f337: 'Tulip',
    emjD1f338: 'Cherry blossom',
    emjD1f339: 'Rose',
    emjD1f33a: 'Hibiscus',
    emjD1f33b: 'Sunflower',
    emjD1f33c: 'Blossom',
    emjD1f33d: 'Ear of corn',
    emjD1f33e: 'Ear of rice',
    emjD1f33f: 'Herb',
    emjD1f340: 'Four leaf clover',
    emjD1f341: 'Maple leaf',
    emjD1f342: 'Fallen leaf',
    emjD1f343: 'Leaf fluttering in wind',
    emjD1f344: 'Mushroom',
    emjD1f40c: 'Snail',
    emjD1f40d: 'Snake',
    emjD1f40e: 'Horse',
    emjD1f411: 'Sheep',
    emjD1f412: 'Monkey',
    emjD1f414: 'Chicken',
    emjD1f417: 'Boar',
    emjD1f418: 'Elephant',
    emjD1f419: 'Octopus',
    emjD1f41a: 'Spiral shell',
    emjD1f41b: 'Bug',
    emjD1f41c: 'Ant',
    emjD1f41d: 'Honeybee',
    emjD1f41e: 'Ladybug',
    emjD1f41f: 'Fish',
    emjD1f420: 'Tropical fish',
    emjD1f421: 'Blowfish',
    emjD1f422: 'Turtle',
    emjD1f423: 'Hatching chick',
    emjD1f424: 'Baby chick',
    emjD1f425: 'Front-facing baby chick',
    emjD1f426: 'Bird',
    emjD1f427: 'Penguin',
    emjD1f428: 'Koala',
    emjD1f429: 'Poodle',
    emjD1f42b: 'Bactrian camel',
    emjD1f42c: 'Dolphin',
    emjD1f42d: 'Mouse face',
    emjD1f42e: 'Cow face',
    emjD1f42f: 'Tiger face',
    emjD1f430: 'Rabbit face',
    emjD1f431: 'Cat face',
    emjD1f432: 'Dragon face',
    emjD1f433: 'Spouting whale',
    emjD1f434: 'Horse face',
    emjD1f435: 'Monkey face',
    emjD1f436: 'Dog face',
    emjD1f437: 'Pig face',
    emjD1f438: 'Frog face',
    emjD1f439: 'Hamster face',
    emjD1f43a: 'Wolf face',
    emjD1f43b: 'Bear face',
    emjD1f43c: 'Panda face',
    emjD1f43d: 'Pig nose',
    emjD1f43e: 'Paw prints',
    emjD1f638: 'Grinning cat face with smiling eyes',
    emjD1f639: 'Cat face with tears of joy',
    emjD1f63a: 'Smiling cat face with open mouth',
    emjD1f63b: 'Smiling cat face with heart-shaped eyes',
    emjD1f63c: 'Cat face with wry smile',
    emjD1f63d: 'Kissing cat face with closed eyes',
    emjD1f63e: 'Pouting cat face',
    emjD1f63f: 'Crying cat face',
    emjD1f640: 'Weary cat face',
    emjD0260e: 'Telephone',
    emjD026bd: 'Soccer ball',
    emjD026be: 'Baseball',
    emjD1f004: 'Mahjong tile red dragon',
    emjD1f380: 'Ribbon',
    emjD1f381: 'Wrapped present',
    emjD1f382: 'Birthday cake',
    emjD1f383: 'Jack-o-lantern',
    emjD1f384: 'Christmas tree',
    emjD1f385: 'Father Christmas',
    emjD1f386: 'Fireworks',
    emjD1f387: 'Firework sparkler',
    emjD1f388: 'Balloon',
    emjD1f389: 'Party popper',
    emjD1f38a: 'Confetti ball',
    emjD1f38b: 'Tanabata tree',
    emjD1f38c: 'Crossed flags',
    emjD1f38d: 'Pine decoration',
    emjD1f38e: 'Japanese dolls',
    emjD1f38f: 'Carp streamer',
    emjD1f390: 'Wind chime',
    emjD1f391: 'Moon-viewing ceremony',
    emjD1f392: 'School backpack',
    emjD1f393: 'Graduation cap',
    emjD1f3a0: 'Carousel horse',
    emjD1f3a1: 'Ferris wheel',
    emjD1f3a2: 'Roller coaster',
    emjD1f3a3: 'Fishing pole and fish',
    emjD1f3a4: 'Microphone',
    emjD1f3a5: 'Movie camera',
    emjD1f3a6: 'Cinema',
    emjD1f3a7: 'Headphones',
    emjD1f3a8: 'Artist palette',
    emjD1f3a9: 'Top hat',
    emjD1f3aa: 'Circus tent',
    emjD1f3ab: 'Ticket',
    emjD1f3ac: 'Clapper board',
    emjD1f3ad: 'Performing arts',
    emjD1f3ae: 'Video game',
    emjD1f3af: 'Direct hit',
    emjD1f3b0: 'Slot machine',
    emjD1f3b1: 'Billiards',
    emjD1f3b2: 'Game die',
    emjD1f3b3: 'Bowling',
    emjD1f3b4: 'Flower playing cards',
    emjD1f3b5: 'Musical note',
    emjD1f3b6: 'Multiple musical notes',
    emjD1f3b7: 'Saxophone',
    emjD1f3b8: 'Guitar',
    emjD1f3b9: 'Musical keyboard',
    emjD1f3ba: 'Trumpet',
    emjD1f3bb: 'Violin',
    emjD1f3bc: 'Musical score',
    emjD1f3bd: 'Running shirt with sash',
    emjD1f3be: 'Tennis racquet and ball',
    emjD1f3bf: 'Ski and ski boot',
    emjD1f3c0: 'Basketball and hoop',
    emjD1f3c1: 'Checkered flag',
    emjD1f3c2: 'Snowboarder',
    emjD1f3c3: 'Runner',
    emjD1f3c4: 'Surfer',
    emjD1f3c6: 'Trophy',
    emjD1f3c8: 'American football',
    emjD1f3ca: 'Swimmer',
    emjD1f478: 'Princess',
    emjD1f479: 'Japanese ogre',
    emjD1f47a: 'Japanese goblin',
    emjD1f47b: 'Ghost',
    emjD1f47c: 'Baby angel',
    emjD1f47d: 'Extraterrestrial alien',
    emjD1f47e: 'Alien monster',
    emjD1f47f: 'Imp',
    emjD1f480: 'Skull',
    emjD1f483: 'Dancer',
    emjD1f484: 'Lipstick',
    emjD1f485: 'Nail polish',
    emjD1f486: 'Face massage',
    emjD1f487: 'Haircut',
    emjD1f488: 'Barber pole',
    emjD1f489: 'Syringe',
    emjD1f48a: 'Pill',
    emjD1f48c: 'Love letter',
    emjD1f48d: 'Ring',
    emjD1f48e: 'Gemstone',
    emjD1f48f: 'Kiss',
    emjD1f490: 'Bouquet',
    emjD1f491: 'Couple with heart',
    emjD1f492: 'Wedding',
    emjD1f4f7: 'Camera',
    emjD1f4f9: 'Video camera',
    emjD1f4fa: 'Television',
    emjD1f4fb: 'Radio',
    emjD1f4fc: 'Videocassette',
    emjD02615: 'Hot beverage',
    emjD02702: 'Scissors',
    emjD02709: 'Envelope',
    emjD0270f: 'Pencil',
    emjD02712: 'Nib',
    emjD1f345: 'Tomato',
    emjD1f346: 'Eggplant',
    emjD1f347: 'Grapes',
    emjD1f348: 'Melon',
    emjD1f349: 'Watermelon',
    emjD1f34a: 'Tangerine',
    emjD1f34c: 'Banana',
    emjD1f34d: 'Pineapple',
    emjD1f34e: 'Red apple',
    emjD1f34f: 'Green apple',
    emjD1f351: 'Peach',
    emjD1f352: 'Cherries',
    emjD1f353: 'Strawberry',
    emjD1f354: 'Hamburger',
    emjD1f355: 'Slice of pizza',
    emjD1f356: 'Meat on bone',
    emjD1f357: 'Poultry leg',
    emjD1f358: 'Rice cracker',
    emjD1f359: 'Rice ball',
    emjD1f35a: 'Cooked rice',
    emjD1f35b: 'Curry and rice',
    emjD1f35c: 'Steaming bowl',
    emjD1f35d: 'Spaghetti',
    emjD1f35e: 'Bread',
    emjD1f35f: 'French fries',
    emjD1f360: 'Roasted sweet potato',
    emjD1f361: 'Dango',
    emjD1f362: 'Oden',
    emjD1f363: 'Sushi',
    emjD1f364: 'Fried shrimp',
    emjD1f365: 'Fish cake with swirl design',
    emjD1f366: 'Soft ice cream',
    emjD1f367: 'Shaved ice',
    emjD1f368: 'Ice cream',
    emjD1f369: 'Doughnut',
    emjD1f36a: 'Cookie',
    emjD1f36b: 'Chocolate bar',
    emjD1f36c: 'Candy',
    emjD1f36d: 'Lollipop',
    emjD1f36e: 'Custard',
    emjD1f36f: 'Honey pot',
    emjD1f370: 'Shortcake',
    emjD1f371: 'Bento box',
    emjD1f372: 'Pot of food',
    emjD1f373: 'Cooking',
    emjD1f374: 'Fork and knife',
    emjD1f375: 'Teacup without handle',
    emjD1f376: 'Sake bottle and cup',
    emjD1f377: 'Wine glass',
    emjD1f378: 'Cocktail glass',
    emjD1f379: 'Tropical drink',
    emjD1f37a: 'Beer mug',
    emjD1f37b: 'Clinking beer mugs',
    emjD1f451: 'Crown',
    emjD1f452: "Woman's hat",
    emjD1f453: 'Eyeglasses',
    emjD1f454: 'Necktie',
    emjD1f455: 'T-shirt',
    emjD1f456: 'Jeans',
    emjD1f457: 'Dress',
    emjD1f458: 'Kimono',
    emjD1f459: 'Bikini',
    emjD1f45a: "Woman's clothes",
    emjD1f45b: 'Purse',
    emjD1f45c: 'Handbag',
    emjD1f45d: 'Pouch',
    emjD1f45e: "Man's shoe",
    emjD1f45f: 'Athletic shoe',
    emjD1f460: 'High-heeled shoe',
    emjD1f461: "Woman's sandal",
    emjD1f462: "Woman's boots",
    emjD1f463: 'Footprints',
    emjD1f4ba: 'Seat',
    emjD1f4bb: 'Personal computer',
    emjD1f4bc: 'Briefcase',
    emjD1f4bd: 'Minidisc',
    emjD1f4be: 'Floppy disk',
    emjD1f4bf: 'Optical disc',
    emjD1f4c0: 'DVD',
    emjD1f4c1: 'File folder',
    emjD1f4c2: 'Open file folder',
    emjD1f4c3: 'Page with curl',
    emjD1f4c4: 'Page facing up',
    emjD1f4c5: 'Calendar',
    emjD1f4c6: 'Tear-off calendar',
    emjD1f4c7: 'Card index',
    emjD1f4c8: 'Chart with upward trend',
    emjD1f4c9: 'Chart with downward trend',
    emjD1f4ca: 'Bar chart',
    emjD1f4cb: 'Clipboard',
    emjD1f4cc: 'Pushpin',
    emjD1f4cd: 'Round pushpin',
    emjD1f4ce: 'Paper clip',
    emjD1f4cf: 'Straight ruler',
    emjD1f4d0: 'Triangular ruler',
    emjD1f4d1: 'Bookmark tabs',
    emjD1f4d2: 'Ledger',
    emjD1f4d3: 'Notebook',
    emjD1f4d4: 'Notebook with decorative cover',
    emjD1f4d5: 'Closed book',
    emjD1f4d6: 'Open book',
    emjD1f4d7: 'Green book',
    emjD1f4d8: 'Blue book',
    emjD1f4d9: 'Orange book',
    emjD1f4da: 'Books',
    emjD1f4db: 'Name badge',
    emjD1f4dc: 'Scroll',
    emjD1f4dd: 'Memo',
    emjD1f4de: 'Telephone receiver',
    emjD1f4df: 'Pager',
    emjD1f4e0: 'Fax machine',
    emjD1f4e1: 'Satellite antenna',
    emjD1f4e2: 'Public address loudspeaker',
    emjD1f4e3: 'Cheering megaphone',
    emjD1f4e4: 'Outbox tray',
    emjD1f4e5: 'Inbox tray',
    emjD1f4e6: 'Package',
    emjD1f4e7: 'Email',
    emjD1f4e8: 'Incoming envelope',
    emjD1f4e9: 'Envelope with downward-facing arrow above',
    emjD1f4ea: 'Closed mailbox with lowered flag',
    emjD1f4eb: 'Closed mailbox with raised flag',
    emjD1f4ee: 'Postbox',
    emjD1f4f0: 'Newspaper',
    emjD1f4f1: 'Mobile phone',
    emjD1f4f2: 'Mobile phone with right-facing arrow at left',
    emjD1f4f3: 'Vibration mode',
    emjD1f4f4: 'Mobile phone off',
    emjD1f4f6: 'Antenna with bars',
    emjD1f525: 'Fire',
    emjD1f526: 'Flashlight',
    emjD1f527: 'Wrench',
    emjD1f528: 'Hammer',
    emjD1f529: 'Nut and bolt',
    emjD1f52a: 'Hocho',
    emjD1f52b: 'Pistol',
    emjD1f52e: 'Crystal ball',
    emjD1f52f: 'Six-pointed star with middle dot',
    emjD1f531: 'Trident emblem',
    emjD1f550: "Clock face one o'clock",
    emjD1f551: "Clock face two o'clock",
    emjD1f552: "Clock face three o'clock",
    emjD1f553: "Clock face four o'clock",
    emjD1f554: "Clock face five o'clock",
    emjD1f555: "Clock face six o'clock",
    emjD1f556: "Clock face seven o'clock",
    emjD1f557: "Clock face eight o'clock",
    emjD1f558: "Clock face nine o'clock",
    emjD1f559: "Clock face ten o'clock",
    emjD1f55a: "Clock face eleven o'clock",
    emjD1f55b: "Clock face twelve o'clock",
    emjD02668: 'Hot springs',
    emjD0267f: 'Wheelchair',
    emjD02693: 'Anchor',
    emjD026a0: 'Warning',
    emjD026a1: 'High Voltage',
    emjD026d4: 'No Entry',
    emjD026ea: 'Church',
    emjD026f2: 'Fountain',
    emjD026f3: 'Flag in hole',
    emjD026f5: 'Sailboat',
    emjD026fa: 'Tent',
    emjD026fd: 'Fuel pump',
    emjD02708: 'Airplane',
    emjD1f17f: 'Squared Latin capital letter P',
    emjD1f3e0: 'House building',
    emjD1f3e1: 'House with garden',
    emjD1f3e2: 'Office building',
    emjD1f3e3: 'Japanese post office',
    emjD1f3e5: 'Hospital',
    emjD1f3e6: 'Bank',
    emjD1f3e7: 'Automated teller machine',
    emjD1f3e8: 'Hotel',
    emjD1f3e9: 'Love hotel',
    emjD1f3ea: 'Convenience store',
    emjD1f3eb: 'School',
    emjD1f3ec: 'Department store',
    emjD1f3ed: 'Factory',
    emjD1f3ee: 'Izakaya lantern',
    emjD1f3ef: 'Japanese castle',
    emjD1f3f0: 'European castle',
    emjD1f530: 'Japanese symbol for beginner',
    emjD1f680: 'Rocket',
    emjD1f683: 'Railway car',
    emjD1f684: 'High-speed train',
    emjD1f685: 'High-speed train with bullet nose',
    emjD1f687: 'Metro',
    emjD1f689: 'Station',
    emjD1f68c: 'Bus',
    emjD1f68f: 'Bus stop',
    emjD1f691: 'Ambulance',
    emjD1f692: 'Fire engine',
    emjD1f693: 'Police car',
    emjD1f695: 'Taxi',
    emjD1f697: 'Automobile',
    emjD1f699: 'Recreational vehicle',
    emjD1f69a: 'Delivery truck',
    emjD1f6a2: 'Ship',
    emjD1f6a4: 'Speedboat',
    emjD1f6a5: 'Horizontal traffic light',
    emjD1f6a7: 'Construction',
    emjD1f6a8: "Police car's revolving light",
    emjD1f6a9: 'Triangular flag on post',
    emjD1f6aa: 'Door',
    emjD1f6ab: 'No entry',
    emjD1f6ac: 'Smoking symbol',
    emjD1f6ad: 'No smoking symbol',
    emjD1f6b2: 'Bicycle',
    emjD1f6b6: 'Pedestrian',
    emjD1f6b9: "Men's symbol",
    emjD1f6ba: "Women's symbol",
    emjD1f6bb: 'Restroom',
    emjD1f6bc: 'Baby symbol',
    emjD1f6bd: 'Toilet',
    emjD1f6be: 'Water closet',
    emjD1f6c0: 'Bath',
    emjD02049: 'Exclamation question mark',
    emjD02139: 'Information source',
    emjD021a9: 'Left-facing arrow with hook',
    emjD021aa: 'Right-facing arrow with hook',
    emjD0231a: 'Watch',
    emjD0231b: 'Hourglass',
    emjD023e9: 'Right-pointing double triangle',
    emjD023ea: 'Left-pointing double triangle',
    emjD023eb: 'Up-pointing double triangle',
    emjD023ec: 'Down-pointing double triangle',
    emjD023f0: 'Alarm clock',
    emjD023f3: 'Hourglass with flowing sand',
    emjD024c2: 'Circled Latin capital letter M',
    emjD025b6: 'Black right-pointing triangle',
    emjD025c0: 'Black left-pointing triangle',
    emjD025fb: 'White medium square',
    emjD025fc: 'Black medium square',
    emjD026ce: 'Ophiuchus',
    emjD02611: 'Ballot box with check',
    emjD0261d: 'White up-pointing index',
    emjD02648: 'Aries',
    emjD02649: 'Taurus',
    emjD0264a: 'Gemini',
    emjD0264b: 'Cancer',
    emjD0264c: 'Leo',
    emjD0264d: 'Virgo',
    emjD0264e: 'Libra',
    emjD0264f: 'Scorpio',
    emjD02650: 'Sagittarius',
    emjD02651: 'Capricorn',
    emjD02652: 'Aquarius',
    emjD02653: 'Pisces',
    emjD026aa: 'Medium white circle',
    emjD026ab: 'Medium black circle',
    emjD02705: 'White heavy check mark',
    emjD02714: 'Heavy check mark',
    emjD02716: 'Heavy multiplication x',
    emjD0274c: 'Cross mark',
    emjD0274e: 'Squared cross mark',
    emjD02753: 'question mark ornament',
    emjD02754: 'White question mark ornament',
    emjD02755: 'White exclamation mark ornament',
    emjD02757: 'Heavy exclamation mark',
    emjD02795: 'Heavy plus sign',
    emjD02796: 'Heavy minus sign',
    emjD02797: 'Heavy division sign',
    emjD027a1: 'Black right-facing arrow',
    emjD027b0: 'Curly loop',
    emjD027bf: 'Double curly loop',
    emjD02934: 'Arrow pointing right then curving upward',
    emjD02935: 'Arrow pointing right then curving downward',
    emjD02b05: 'Black arrow pointing left',
    emjD02b06: 'Black arrow pointing right',
    emjD02b07: 'Downwards black arrow',
    emjD02b1b: 'Black large square',
    emjD02b1c: 'White large square',
    emjD02b55: 'Heavy large circle',
    emjD03030: 'Wavy dash',
    emjD0303d: 'Part alternation mark',
    emjD03297: 'Circled Ideograph congratulation',
    emjD03299: 'Circled Ideograph secret',
    emjD1f0cf: 'Playing card Joker',
    emjD1f170: 'Squared Latin capital letter A',
    emjD1f171: 'Squared Latin capital letter B',
    emjD1f17e: 'Squared Latin capital letter O',
    emjD1f18e: 'Squared AB',
    emjD1f191: 'Squared CL',
    emjD1f192: 'Squared COOL',
    emjD1f193: 'Squared FREE',
    emjD1f194: 'Squared ID',
    emjD1f195: 'Squared NEW',
    emjD1f196: 'Squared NG',
    emjD1f197: 'Squared OK',
    emjD1f198: 'Squared SOS',
    emjD1f199: 'Squared UP!',
    emjD1f19a: 'Squared VS',
    emjD1f201: 'Squared Katakana Koko',
    emjD1f202: 'Squared Katakana Sa',
    emjD1f21a: 'Squared CJK Unified Ideograph-7121',
    emjD1f22f: 'Squared CJK Unified Ideograph-6307',
    emjD1f232: 'Squared CJK Unified Ideograph-7981',
    emjD1f233: 'Squared CJK Unified Ideograph-7a7a',
    emjD1f234: 'Squared CJK Unified Ideograph-5408',
    emjD1f235: 'Squared CJK Unified Ideograph-6e80',
    emjD1f236: 'Squared CJK Unified Ideograph-6709',
    emjD1f237: 'Squared CJK Unified Ideograph-6708',
    emjD1f238: 'Squared CJK Unified Ideograph-7533',
    emjD1f239: 'Squared CJK Unified Ideograph-5272',
    emjD1f23a: 'Squared CJK Unified Ideograph-55b6',
    emjD1f250: 'Circled Ideograph advantage',
    emjD1f251: 'Circled Ideograph accept',
    emjD1f30f: 'Earth globe Asia-Australia',
    emjD1f4a0: 'Diamond shape with a dot inside',
    emjD1f4a1: 'Electric light bulb',
    emjD1f4a2: 'Anger',
    emjD1f4a3: 'Bomb',
    emjD1f4a4: 'Sleeping',
    emjD1f4a5: 'Collision',
    emjD1f4a6: 'Splashing sweat',
    emjD1f4a7: 'Droplet',
    emjD1f4a8: 'Dash',
    emjD1f4a9: 'Pile of poo',
    emjD1f4aa: 'Flexed biceps',
    emjD1f4ab: 'Dizzy',
    emjD1f4ac: 'Speech balloon',
    emjD1f4ae: 'White flower',
    emjD1f4af: 'Hundred points',
    emjD1f4b0: 'Money bag',
    emjD1f4b1: 'Currency exchange',
    emjD1f4b2: 'Heavy dollar sign',
    emjD1f4b3: 'Credit card',
    emjD1f4b4: 'Banknote with yen sign',
    emjD1f4b5: 'Banknote with dollar sign',
    emjD1f4b8: 'Money with wings',
    emjD1f4b9: 'Chart with upwards trend and yen sign',
    emjD1f503: 'Clockwise downward and upward open circle arrows',
    emjD1f50a: 'Speaker with three sound waves',
    emjD1f50b: 'Battery',
    emjD1f50c: 'Electric plug',
    emjD1f50d: 'Left-leaning magnifying glass',
    emjD1f50e: 'Right-leaning magnifying glass',
    emjD1f50f: 'Lock with ink pen',
    emjD1f510: 'Closed lock with key',
    emjD1f511: 'Key',
    emjD1f512: 'Lock',
    emjD1f513: 'Open lock',
    emjD1f514: 'Bell',
    emjD1f516: 'Bookmark',
    emjD1f517: 'Link',
    emjD1f518: 'Radio button',
    emjD1f519: 'Back with left-facing arrow above',
    emjD1f51a: 'End with left-facing arrow above',
    emjD1f51b: 'On with exclamation mark with left right arrow above',
    emjD1f51c: 'Soon with right-facing arrow above',
    emjD1f51d: 'Top with upward arrow above',
    emjD1f51e: 'No one under eighteen',
    emjD1f51f: 'Keycap ten',
    emjD1f520: 'Input Latin uppercase',
    emjD1f521: 'Input Latin lowercase',
    emjD1f522: 'Input numbers',
    emjD1f523: 'Input symbols',
    emjD1f524: 'Input Latin letters',
    emjD1f532: 'Black square button',
    emjD1f533: 'White square button',
    emjD1f534: 'Large red circle',
    emjD1f535: 'Large blue circle',
    emjD1f536: 'Large orange diamond',
    emjD1f537: 'Large blue diamond',
    emjD1f538: 'Small orange diamond',
    emjD1f539: 'Small blue diamond',
    emjD1f53a: 'Up-pointing red triangle',
    emjD1f53b: 'Down-pointing red triangle',
    emjD1f53c: 'Up-pointing small red triangle',
    emjD1f53d: 'Down-pointing small red triangle',
    emjD1f5fb: 'Mount Fuji',
    emjD1f5fc: 'Tokyo Tower',
    emjD1f5fd: 'Statue of Liberty',
    emjD1f5fe: 'Silhouette of Japan',
    emjD1f5ff: 'Moyai',
};
/**
 * @internal
 * Emoji Keywords
 */
exports.EmojiKeywordStrings = {
    emjK1f607: 'saint angel innocent',
    emjK1f47c: 'cherub angel',
    emjK1f34e: 'apple',
    emjK1f34f: 'apple',
    emjK1f477: 'construction',
    emjK1f6a7: 'construction detour',
    emjK1f491: 'couple engaged married marry marriage',
    emjK1f46b: 'couple engaged',
    emjK1f622: 'crying sad',
    emjK1f62d: 'crying sad',
    emjK1f525: 'fire',
    emjK1f692: 'fire truck fire engine',
    emjK1f386: 'fireworks sparkler july 4th',
    emjK1f387: 'fireworks sparkler july 4th',
    emjK1f44a: 'punch fist pump chuck norris bam',
    emjK0270a: 'fist pump punch',
    emjK1f498: 'heart love cupid',
    emjK1f496: 'heart love',
    emjK1f497: 'love heart',
    emjK1f493: 'heart love heartbeat',
    emjK1f368: 'ice cream dessert treat sundae sweets',
    emjK1f366: 'ice cream dessert treat sweets',
    emjK1f48b: 'kiss xoxo love kisses kissing mwah',
    emjK1f444: 'kiss mouth',
    emjK1f618: 'kiss love kisses kissing',
    emjK1f61a: 'kiss love kisses kissing smooch',
    emjK1f48f: 'kiss love',
    emjK1f435: 'monkey',
    emjK1f64a: 'monkey speak no evil',
    emjK1f649: 'monkey hear no evil',
    emjK1f648: 'monkey see no evil',
    emjK1f3b6: 'music melody song singing tune jingle',
    emjK1f3b5: 'music musical note melody musical',
    emjK1f44c: 'ok okay perfect',
    emjK1f646: 'ok awesome',
    emjK1f621: 'pouting sad pout',
    emjK1f64e: 'pouting sad depressed',
    emjK1f60c: 'relieved phew whew relief',
    emjK1f630: 'relieved phew whew',
    emjK1f605: 'relieved phew whew sheesh',
    emjK1f380: 'ribbon',
    emjK1f381: 'gift present presents ribbon',
    emjK1f613: 'scared yikes scary uh oh',
    emjK1f631: 'scared yikes fear whoa',
    emjK1f629: 'scared anxious uncertain unsure',
    emjK1f628: 'scared fearful',
    emjK1f45e: 'shoe shoes',
    emjK1f45f: 'shoe shoes',
    emjK1f60a: 'smile happy smiling yay',
    emjK1f642: 'smile happy smiling',
    emjK1f603: 'smiling happy excited woo woohoo woot',
    emjK1f604: 'smiling happy grin excited',
    emjK1f6bd: 'toilet bathroom potty restroom washroom',
    emjK1f6ba: 'toilet bathroom',
    emjK1f6b9: 'toilet bathroom',
    emjK1f684: 'train light rail monorail',
    emjK1f683: 'train caboose',
    emjK1f446: 'up click',
    emjK0261d: 'up',
    emjK1f64b: 'wave hi bye hey aloha',
    emjK1f44b: 'wave hi bye waving high five',
    emjK1f601: 'happy grin lol funny grinning hehe',
    emjK1f602: 'happy lol funny joy lmao rofl',
    emjK1f606: 'lol haha laughing lmao',
    emjK1f609: 'haha winking wink winky',
    emjK1f60f: 'haha winking wink smirking smirk heh',
    emjK1f645: 'bad',
    emjK1f44e: 'bad thumbs down wrong boo',
    emjK1f60d: 'love love you loving love u',
    emjK1f495: 'love hearts',
    emjK1f44d: 'ok thumbs up',
    emjK1f610: 'ok umm',
    emjK1f620: 'mad angry grrr',
    emjK1f612: 'mad angry unamused not funny amused bleh blah',
    emjK1f47b: 'scared halloween ghost boo',
    emjK1f480: 'scared skull danger die death poison',
    emjK1f47e: 'scared monster',
    emjK1f365: 'rice ball fish cake',
    emjK1f61e: 'disappointed sad',
    emjK1f64d: 'disappointed sad frown',
    emjK1f494: 'heartbroken sorrow sad broken heart brokenhearted',
    emjK1f625: 'relieved phew',
    emjK1f62b: 'sleepy tired yawn',
    emjK1f4a4: 'sleepy tired sleep zzz',
    emjK1f62a: 'sleepy tired',
    emjK1f632: 'wow astonished',
    emjK1f633: 'wow flushed',
    emjK1f3c4: 'wave surf surfer surfers surfs surfing',
    emjK1f44f: 'yay clapping applause clap',
    emjK1f64c: 'yay celebrate',
    emjK1f48d: 'ring marry fiance engaged engage engagement ring engagement diamond ring bling',
    emjK1f483: 'party dancer dance dancing',
    emjK1f389: 'party fun congratulations celebrate congrats',
    emjK1f388: 'party fun balloon',
    emjK1f38a: 'party confetti surprise',
    emjK1f383: 'happy halloween trick treat halloween pumpkin',
    emjK1f385: 'merry christmas santa claus father xmas',
    emjK1f384: 'merry christmas tree happy holidays',
    emjK1f3eb: 'school college study teacher learn studying',
    emjK1f392: 'backpack school bag back pack',
    emjK1f41f: 'fish goldfish',
    emjK1f3a3: 'fish fishing fishing pole',
    emjK1f3a5: 'video camera film movie movie camera',
    emjK1f4f9: 'video camera',
    emjK1f3a6: 'theatre theater cinema',
    emjK1f3ad: 'performing arts drama shakespeare theatre theater play actor actress',
    emjK1f3bc: 'treble clef sheet music music musical score',
    emjK1f3b9: 'music piano',
    emjK1f3a7: 'music headphones headphone',
    emjK1f3b7: 'music saxophone sax',
    emjK1f3ba: 'music trumpet',
    emjK1f3b8: 'music guitar',
    emjK1f3bb: 'music violin',
    emjK1f3ac: 'film action movie',
    emjK1f48e: 'diamond stone gem',
    emjK1f3be: 'wimbledon tennis raquet tennis sports racquet',
    emjK1f3c8: 'football superbowl sports nfl',
    emjK1f3bf: 'sports winter ski skiing skis',
    emjK1f3c2: 'sports winter snowboard snowboarder snowboarding snowboards',
    emjK026c4: 'winter snow snowman',
    emjK02744: 'winter snow snowflake snowing snowed christmas xmas blizzard',
    emjK1f3c1: 'race finish nascar',
    emjK1f3c3: 'race run marathon runner sprinting running late',
    emjK1f375: 'tea coffee',
    emjK02615: 'coffee tea',
    emjK1f377: 'alcohol wine',
    emjK1f378: 'alcohol cocktail drinks martini happy hour',
    emjK1f379: 'alcohol tropical drink',
    emjK1f68c: 'bus transit',
    emjK1f687: 'bus transit metro',
    emjK1f43b: 'bear teddy',
    emjK1f43c: 'bear panda',
    emjK1f340: "luck lucky st. patrick's day shamrock",
    emjK1f320: 'luck shooting star wish comet asteroid meteor meteroid',
    emjK1f303: 'skyline starry stars night',
    emjK1f307: 'skyline sunset',
    emjK1f31f: 'star twinkle',
    emjK02747: 'star sparkle glitter',
    emjK1f4b0: 'cash loot',
    emjK1f4b5: 'cash money dollar',
    emjK1f4b4: 'yen money',
    emjK1f4b3: 'money credit debt debit credit card',
    emjK1f60b: 'dinner hungry lunch food yummy yum delicious tasty mmmmm',
    emjK1f60e: 'cool',
    emjK1f614: 'alas thinking sigh',
    emjK1f616: 'confused confounded huh',
    emjK1f61c: 'goofy wassup nyah kidding',
    emjK1f61d: 'gross yuck eww blech',
    emjK1f623: 'persevering',
    emjK1f624: 'triumph congratulations grats congrats yahoo ftw woot wahoo',
    emjK1f635: 'dizzy drunk confused',
    emjK1f636: 'unsure',
    emjK1f637: 'sick flu',
    emjK1f440: 'eyes snoop',
    emjK1f442: 'ear listen',
    emjK1f443: 'nose smell',
    emjK1f445: 'tongue lick taste drool',
    emjK1f447: 'down',
    emjK1f448: 'left',
    emjK1f449: 'right',
    emjK1f64f: 'pray praying prayer',
    emjK0270b: 'hand',
    emjK0270c: 'peace victory',
    emjK1f466: 'boy',
    emjK1f467: 'girl',
    emjK1f468: 'man',
    emjK1f469: 'woman',
    emjK1f46a: 'family',
    emjK1f46e: 'police officer cop',
    emjK1f46f: 'bunny ears costume',
    emjK1f470: 'bride marriage bridezilla',
    emjK1f471: 'blond',
    emjK1f474: 'grandpa old man gramps grandfather',
    emjK1f475: 'grandma old lady old woman grandmother',
    emjK1f476: 'baby kid toddler newborn infant',
    emjK1f382: 'birthday cake happy cake',
    emjK1f390: 'chime',
    emjK1f393: 'graduation college high school graduated graduating graduate grad',
    emjK1f0cf: 'cards card joker blackjack poker',
    emjK1f3a0: 'carousel carnival',
    emjK1f3a1: 'ferris wheel amusement park',
    emjK1f3a2: 'roller coaster',
    emjK1f3a4: 'microphone sing karaoke singing',
    emjK1f3a8: 'paint artist palette artist',
    emjK1f3a9: 'top hat black tie',
    emjK1f3aa: 'circus',
    emjK1f3ab: 'ticket stub ticket stub admission',
    emjK1f3ae: 'xbox video game video games controller',
    emjK1f3af: 'bullseye archery darts arrow',
    emjK1f3b0: 'slot slots machine casino gamble gambling',
    emjK1f3b1: 'pool billiards',
    emjK1f3b2: 'die dice game craps gambling casino gamble',
    emjK1f3b3: 'bowling bowl',
    emjK1f4f7: 'camera picture photo',
    emjK1f4fa: 'tv television',
    emjK1f4fb: 'radio',
    emjK1f4fc: 'videotape videocassette cassette vcr',
    emjK1f478: 'princess',
    emjK1f47d: 'alien ufo',
    emjK1f47f: 'imp pixie loki leprechaun',
    emjK1f484: 'lipstick makeup',
    emjK1f485: 'nail polish manicure',
    emjK1f486: 'massage',
    emjK1f487: 'haircut',
    emjK1f488: 'barber barbershop',
    emjK1f489: 'syringe shot needle',
    emjK1f48a: 'pill pills drug drugs',
    emjK1f48c: 'love letter',
    emjK1f490: 'flowers bouquet love',
    emjK1f492: 'wedding marry church',
    emjK1f3c0: 'basketball bball hoops',
    emjK1f3c6: 'win trophy champions champion',
    emjK1f3ca: 'swim swimmer swimming swims',
    emjK026bd: 'soccer ball',
    emjK026be: 'baseball',
    emjK1f451: 'crown king queen',
    emjK1f453: 'glasses hipster',
    emjK1f454: 'tie',
    emjK1f455: 'tshirt tshirts',
    emjK1f456: 'jeans pants',
    emjK1f457: 'dress',
    emjK1f459: 'bikini bathing suit swimsuit swim',
    emjK1f45b: 'purse',
    emjK1f45c: 'handbag purse',
    emjK1f45d: 'pouch clutch',
    emjK1f461: 'sandal heels heel shoe shoes sandals pumps',
    emjK1f462: 'boots boot',
    emjK1f463: 'footprints barefoot',
    emjK1f4dd: 'memo note',
    emjK1f4de: 'telephone call phone',
    emjK1f4df: 'pager',
    emjK1f4e0: 'fax machine',
    emjK1f4e1: 'satellite antenna',
    emjK1f4e3: 'megaphone cheering',
    emjK1f4e6: 'present package parcel',
    emjK1f4e7: 'email mail',
    emjK1f4ee: 'mail post',
    emjK1f4f0: 'newspaper news',
    emjK1f4f1: 'phone cell call',
    emjK1f4f6: 'wifi signal',
    emjK1f526: 'flashlight',
    emjK1f527: 'wrench',
    emjK1f528: 'hammer hammers',
    emjK1f529: 'nuts bolts',
    emjK1f52a: 'knife',
    emjK1f52e: 'crystal ball clairvoyance clairvoyant psychic mystic',
    emjK1f531: 'trident',
    emjK1f354: 'hamburger fast burger hamburgers burgers food hungry',
    emjK1f355: 'pizza fast food hungry dinner lunch',
    emjK1f356: 'meat dinner lunch hungry food',
    emjK1f357: 'chicken leg turkey leg meat chicken turkey hungry dinner lunch food drumstick',
    emjK1f35a: 'rice dinner hungry lunch food',
    emjK1f35c: 'noodles ramen food dinner lunch',
    emjK1f35d: 'spaghetti dinner noodles food hungry',
    emjK1f35e: 'bread food',
    emjK1f35f: 'fries fast food french fries food',
    emjK1f360: 'potato potatoes vegetable food',
    emjK1f363: 'sushi food maki',
    emjK1f364: 'fried shrimp shrimp seafood food tempura',
    emjK1f369: 'doughnut doughnuts donut donuts food sweets',
    emjK1f36a: 'cookie cookies food sweets',
    emjK1f36b: 'chocolate chocolates candy bar chocolate bar sweets',
    emjK1f36c: 'candy sweet sweets treat',
    emjK1f36d: 'lollipop candy treat sucker',
    emjK1f36e: 'custard',
    emjK1f36f: 'honey pot',
    emjK1f370: 'pie food hungry cake dessert cheesecake shortcake sweets',
    emjK1f371: 'bento box',
    emjK1f372: 'soup pot of food stew',
    emjK1f374: 'food dinner fork knife eat hungry meal restaurant',
    emjK1f376: 'sake alcohol',
    emjK1f37a: 'beer alcohol',
    emjK1f37b: 'cheers beers alcohol',
    emjK1f345: 'food vegetable fruit tomato',
    emjK1f346: 'eggplant food vegetable',
    emjK1f347: 'grapes fruit food',
    emjK1f348: 'melon honeydew food fruit',
    emjK1f349: 'watermelon melon food fruit',
    emjK1f34a: 'tangerine fruit food orange mandarin clementine slice slices',
    emjK1f34c: 'banana fruit food',
    emjK1f34d: 'pineapple fruit food',
    emjK1f351: 'peach peaches fruit food',
    emjK1f352: 'cherry cherries fruit food',
    emjK1f353: 'strawberries stawberry fruit food berry berries',
    emjK1f4ba: 'seat',
    emjK1f4bb: 'pc computer laptop tablet',
    emjK1f4bc: 'briefcase brief case',
    emjK1f4be: 'floppy disk diskette',
    emjK1f4bf: 'cd compact disc',
    emjK1f4c0: 'dvd',
    emjK1f4c1: 'file folder',
    emjK1f4c5: 'calendar',
    emjK1f4cb: 'clipboard',
    emjK1f4cc: 'pushpin',
    emjK1f4cd: 'drawing pin',
    emjK1f4ce: 'paperclip clippy',
    emjK1f4cf: 'ruler measure',
    emjK1f4d2: 'ledger',
    emjK1f4d3: 'notebook',
    emjK1f4da: 'book books',
    emjK1f4db: 'name badge',
    emjK02702: 'scissors cut',
    emjK02709: 'envelope mail',
    emjK0270f: 'pencil',
    emjK1f3e0: 'house home',
    emjK1f3e1: 'garden greenhouse',
    emjK1f3e2: 'office work',
    emjK1f3e6: 'bank',
    emjK1f3e7: 'atm',
    emjK1f3e8: 'hotel motel bed sleep',
    emjK1f3ea: 'convenience store',
    emjK1f3ec: 'department store shopping',
    emjK1f3ed: 'factory',
    emjK1f3f0: 'castle',
    emjK02668: 'hot springs',
    emjK02693: 'anchor',
    emjK026ea: 'church temple',
    emjK026f2: 'fountain',
    emjK026f3: 'golf',
    emjK026f5: 'sailboat sailing sail',
    emjK026fd: 'gas fuel gasoline pump',
    emjK1f6aa: 'door',
    emjK1f6ac: 'smoke smoking',
    emjK1f6ad: 'no smoking',
    emjK1f6b2: 'bike bicycle biking',
    emjK1f6b6: 'walking pedestrian',
    emjK1f6c0: 'bath bathing bathtub tub',
    emjK0267f: 'accessible accessibility wheelchair',
    emjK026a0: 'warning attention caution hazzard',
    emjK026a1: 'high voltage zap lightning',
    emjK1f680: 'rocket spaceship space',
    emjK1f68f: 'bus stop',
    emjK1f693: 'cop police',
    emjK1f695: 'taxi cab',
    emjK1f697: 'car vehicle automobile',
    emjK1f6a2: 'ship cruise ferry yacht cruise travel vacation',
    emjK02708: 'airplane flight airline plane travel vacation',
    emjK1f42d: 'mouse eek mice squeak',
    emjK1f42e: 'cow moo',
    emjK1f42f: 'tiger roar rawr',
    emjK1f430: 'rabbit bunny easter',
    emjK1f431: 'cat kitty kitten meow',
    emjK1f432: 'dragon roar smaug',
    emjK1f433: 'whale moby dick',
    emjK1f434: 'horse',
    emjK1f436: 'dog woof puppy bark doggy',
    emjK1f437: 'pig oink piggy piglet',
    emjK1f438: 'frog croak ribbit',
    emjK1f439: 'hamster guinea pig',
    emjK1f43a: 'wolf howl',
    emjK1f341: 'maple leaf',
    emjK1f344: 'mushroom shroom',
    emjK1f308: 'rainbow love',
    emjK02601: 'cloud gloomy cloudy',
    emjK02614: 'drops raining rain rainy raindrops umbrella',
    emjK02728: 'sparkles twinkle twinkling glitter shiny sparkly glittery',
    emjK1f4a9: 'poop turd shit',
    emjK1f4aa: 'strong work out muscles biceps',
    emjK02648: 'aries zodiac',
    emjK02649: 'taurus zodiac',
    emjK0264a: 'gemini zodiac',
    emjK0264b: 'cancer zodiac',
    emjK0264c: 'leo zodiac',
    emjK0264d: 'virgo zodiac',
    emjK0264e: 'libra zodiac',
    emjK0264f: 'scorpio zodiac',
    emjK02650: 'sagittarius zodiac',
    emjK02651: 'capricorn zodiac',
    emjK02652: 'aquarius zodiac',
    emjK02653: 'pisces zodiac',
    emjK1f411: 'bah sheep',
    emjK1f300: 'cyclone typhoon hurricane',
    emjK1f301: 'foggy',
    emjK1f302: 'umbrella',
    emjK1f304: 'sunrise',
    emjK1f305: 'sunrise',
    emjK1f306: 'dusk',
    emjK1f309: 'bridge night',
    emjK1f30a: 'wave tsunami',
    emjK1f30c: 'milky way night sky galaxy universe',
    emjK1f311: 'moon',
    emjK1f313: 'moon',
    emjK1f314: 'moon',
    emjK1f315: 'moon full',
    emjK1f319: 'moon crescent',
    emjK1f31b: 'moon',
    emjK1f330: 'chestnut',
    emjK1f331: 'seed seedling planting',
    emjK1f334: 'palm tree vacation',
    emjK1f335: 'cactus hot desert',
    emjK1f337: 'tulip flower',
    emjK1f338: 'cherry blossom sakura flower',
    emjK1f339: 'rose love romance flower',
    emjK1f33a: 'hibiscus flower',
    emjK1f33b: 'sunflower',
    emjK1f33c: 'blossom daisy flower',
    emjK1f33d: 'maize corn',
    emjK1f33e: 'rice',
    emjK1f33f: 'herb herbs',
    emjK1f342: 'leaf autumn',
    emjK1f343: 'leaf windy',
    emjK1f358: 'onigiri',
    emjK1f359: 'onigiri',
    emjK1f35b: 'curry katsu',
    emjK1f361: 'dango',
    emjK1f362: 'oden',
    emjK1f373: 'frying cooking',
    emjK1f3bd: 'exercise exercising',
    emjK1f417: 'boar',
    emjK1f418: 'elephant',
    emjK1f419: 'octopus',
    emjK1f41a: 'seashell shell',
    emjK1f41b: 'bug insect centipede millipede',
    emjK1f41c: 'ant ants insect bug',
    emjK1f41d: 'bee bees honeybee honeybees',
    emjK1f41e: 'ladybug ladybugs',
    emjK1f420: 'fish',
    emjK1f421: 'blowfish fish',
    emjK1f422: 'turtle',
    emjK1f423: 'chick easter',
    emjK1f425: 'chick easter',
    emjK1f40c: 'snail slow',
    emjK1f40d: 'snake',
    emjK1f40e: 'horse horsey pony',
    emjK1f412: 'monkey',
    emjK1f414: 'chicken bawk rooster',
    emjK1f429: 'poodle dog',
    emjK1f42b: 'camel desert',
    emjK1f426: 'bird',
    emjK1f427: 'penguin',
    emjK1f42c: 'dolphin',
    emjK1f43d: 'pig pig noise smelly',
    emjK1f43e: 'paw prints paws',
    emjK1f452: 'hat sunday best',
    emjK1f458: 'kimono',
    emjK1f45a: 'clothes',
    emjK1f481: 'information desk support desk',
    emjK1f482: 'guardsman',
    emjK1f499: 'heart',
    emjK1f49a: 'heart',
    emjK1f49b: 'heart',
    emjK1f49c: 'heart',
    emjK1f49d: 'heart love',
    emjK1f49e: 'heart',
    emjK1f49f: 'heart',
    emjK1f4a5: 'collision bang traffic accident crash',
    emjK1f4a3: 'bomb',
    emjK1f4a1: 'light bulb idea',
    emjK1f4a8: 'dash gotta go gotta run',
    emjK1f503: 'reload refresh loading',
    emjK1f50c: 'plug plugged in',
    emjK1f50b: 'battery charged',
    emjK1f50d: 'search searching',
    emjK1f510: 'secure secret',
    emjK1f50f: 'privacy',
    emjK1f511: 'key',
    emjK1f512: 'lock locked',
    emjK1f513: 'unlock unlocked',
    emjK1f516: 'bookmark',
    emjK1f514: 'bell alarm',
    emjK1f550: '1pm 1am early afternoon',
    emjK1f551: '2pm 2am afternoon',
    emjK1f552: '3pm 3am',
    emjK1f553: '4pm 4am',
    emjK1f554: '5pm 5am late afternoon',
    emjK1f555: '6pm 6am',
    emjK1f556: '7pm 7am dinnertime',
    emjK1f557: '8pm 8am morning',
    emjK1f558: '9pm 9am',
    emjK1f559: '10pm 10am bedtime',
    emjK1f55a: '11pm 11am nighttime',
    emjK1f55b: '12pm 12am midnight noon lunchtime',
    emjK1f5fd: 'statue liberty nyc new york city',
    emjK1f638: 'cat grin happy',
    emjK1f639: 'cat rofl lol tears laughter tears joy funny',
    emjK1f63a: 'cat smile',
    emjK1f63b: 'cat love',
    emjK1f63c: 'cat heh',
    emjK1f63d: 'cat kiss kisses',
    emjK1f63e: 'cat pout pouting sad',
    emjK1f63f: 'cat cry cries sad',
    emjK1f4e8: 'incoming message mail email letter',
    emjK1f4e9: 'mail email letter sending send',
    emjK1f4eb: 'mail',
    emjK1f4ea: 'empty mailbox',
    emjK1f6bb: 'restroom toilet washroom bathroom',
    emjK1f6a5: 'traffic traffic light',
    emjK1f6ab: 'no entry no admittance',
    emjK1f689: 'station',
    emjK1f69a: 'delivery truck',
    emjK026fa: 'tent camp camping',
    emjK1f6a8: 'police siren emergency',
    emjK1f17f: 'parking parking spot',
    emjK02733: 'star asterisk',
    emjK02734: 'star',
    emjK02b50: 'star',
    emjK1f4c8: 'chart graph record profits trending up upwards skyrocketed',
    emjK1f4c9: 'chart graph record losses trending down downwards',
    emjK1f4ca: 'chart graph',
    emjK02764: 'love heart',
};
/**
 * @internal
 * Emoji Family
 */
exports.EmojiFamilyStrings = {
    People: 'People',
    Nature: 'Nature',
    Activities: 'Activities',
    Food: 'Food',
    Travel: 'Travel',
    Symbols: 'Symbols',
    Objects: 'Objects',
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/emoji/utils/emojiList.ts":
/*!******************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/emoji/utils/emojiList.ts ***!
  \******************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


var _a, _b;
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.forEachEmoji = exports.forEachEmojiFamily = exports.EmojiFabricIconCharacterMap = exports.EmojiList = exports.EmojiFamilyKeys = exports.CommonEmojis = exports.MoreEmoji = void 0;
var tslib_1 = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.mjs");
var roosterjs_editor_dom_1 = __webpack_require__(/*! roosterjs-editor-dom */ "roosterjs-editor-dom");
var Common1 = createEmoji('1f60a', ':) :-)');
var common2 = createEmoji('1f609', ';) ;-)');
var common3 = createEmoji('02764', '<3');
var common4 = createEmoji('1f61e', ':( :-(');
var common5 = createEmoji('1f603', ':D :-D');
/**
 * @internal
 */
exports.MoreEmoji = {
    key: 'more',
    description: 'emjDMore',
    codePoint: '',
};
/**
 * @internal
 */
exports.CommonEmojis = [Common1, common2, common3, common4, common5, exports.MoreEmoji];
/**
 * @internal
 */
var EmojiFamilyKeys;
(function (EmojiFamilyKeys) {
    EmojiFamilyKeys["People"] = "People";
    EmojiFamilyKeys["Nature"] = "Nature";
    EmojiFamilyKeys["Activities"] = "Activities";
    EmojiFamilyKeys["Food"] = "Food";
    EmojiFamilyKeys["Travel"] = "Travel";
    EmojiFamilyKeys["Symbols"] = "Symbols";
    EmojiFamilyKeys["Objects"] = "Objects";
})(EmojiFamilyKeys = exports.EmojiFamilyKeys || (exports.EmojiFamilyKeys = {}));
/**
 * @internal
 * NOTE: name for an emoji should be in lower case
 */
exports.EmojiList = (_a = {},
    _a["People" /* People */] = [
        createEmoji('1f601'),
        createEmoji('1f602'),
        common5,
        createEmoji('1f604'),
        createEmoji('1f605'),
        createEmoji('1f606'),
        createEmoji('1f607'),
        common2,
        Common1,
        createEmoji('1f642'),
        createEmoji('1f60b'),
        createEmoji('1f60c'),
        createEmoji('1f60d'),
        createEmoji('1f618'),
        createEmoji('1f61a'),
        createEmoji('1f61c'),
        createEmoji('1f61d', ':p :P :-p :-P'),
        createEmoji('1f60e', 'B) B-)'),
        createEmoji('1f60f'),
        createEmoji('1f636'),
        createEmoji('1f610', ':| :-|'),
        createEmoji('1f612'),
        createEmoji('1f633'),
        common4,
        createEmoji('1f620'),
        createEmoji('1f621'),
        createEmoji('1f614'),
        createEmoji('1f623'),
        createEmoji('1f616'),
        createEmoji('1f62b'),
        createEmoji('1f629'),
        createEmoji('1f624'),
        createEmoji('1f631'),
        createEmoji('1f628'),
        createEmoji('1f630'),
        createEmoji('1f625'),
        createEmoji('1f622'),
        createEmoji('1f62a'),
        createEmoji('1f613'),
        createEmoji('1f62d'),
        createEmoji('1f635'),
        createEmoji('1f632', ':o :O :-o :-O'),
        createEmoji('1f637'),
        createEmoji('1f4a4'),
        createEmojiWithNoKeyword('1f608'),
        createEmoji('1f47f'),
        createEmojiWithNoKeyword('1f479'),
        createEmojiWithNoKeyword('1f47a'),
        createEmoji('1f480'),
        createEmoji('1f47b'),
        createEmoji('1f47d'),
        createEmoji('1f63a'),
        createEmoji('1f638'),
        createEmoji('1f639'),
        createEmoji('1f63b'),
        createEmoji('1f63c'),
        createEmoji('1f63d'),
        createEmojiWithNoKeyword('1f640'),
        createEmoji('1f63f'),
        createEmoji('1f63e'),
        createEmoji('1f64c'),
        createEmoji('1f44f'),
        createEmoji('1f44b'),
        createEmoji('1f44d'),
        createEmoji('1f44e'),
        createEmoji('1f44a'),
        createEmoji('0270a'),
        createEmoji('0270b'),
        createEmoji('0270c'),
        createEmoji('1f44c'),
        createEmojiWithNoKeyword('1f450'),
        createEmojiWithNoKeyword('1f596'),
        createEmoji('1f4aa'),
        createEmoji('1f64f'),
        createEmoji('1f446'),
        createEmoji('1f447'),
        createEmoji('1f448'),
        createEmoji('1f449'),
        createEmoji('1f485'),
        createEmoji('1f444'),
        createEmoji('1f445'),
        createEmoji('1f442'),
        createEmoji('1f443'),
        createEmoji('1f440'),
        createEmojiWithNoKeyword('1f464'),
        createEmoji('1f476'),
        createEmoji('1f466'),
        createEmoji('1f467'),
        createEmoji('1f468'),
        createEmoji('1f469'),
        createEmoji('1f471'),
        createEmoji('1f474'),
        createEmoji('1f475'),
        createEmojiWithNoKeyword('1f472'),
        createEmojiWithNoKeyword('1f473'),
        createEmoji('1f46e'),
        createEmoji('1f477'),
        createEmoji('1f482'),
        createEmoji('1f385'),
        createEmoji('1f47c'),
        createEmoji('1f478'),
        createEmoji('1f470'),
        createEmoji('1f6b6'),
        createEmoji('1f3c3'),
        createEmoji('1f483'),
        createEmoji('1f46f'),
        createEmoji('1f46b'),
        createEmojiWithNoKeyword('1f647'),
        createEmoji('1f481'),
        createEmoji('1f645'),
        createEmoji('1f646'),
        createEmoji('1f64b'),
        createEmoji('1f64e'),
        createEmoji('1f64d'),
        createEmoji('1f487'),
        createEmoji('1f486'),
        createEmoji('1f491'),
        createEmoji('1f48f'),
        createEmoji('1f46a'),
        createEmoji('1f45a'),
        createEmoji('1f455'),
        createEmoji('1f456'),
        createEmoji('1f454'),
        createEmoji('1f457'),
        createEmoji('1f459'),
        createEmoji('1f458'),
        createEmoji('1f484'),
        createEmoji('1f48b'),
        createEmoji('1f463'),
        createEmojiWithNoKeyword('1f460'),
        createEmoji('1f461'),
        createEmoji('1f462'),
        createEmoji('1f45e'),
        createEmoji('1f45f'),
        createEmoji('1f452'),
        createEmoji('1f3a9'),
        createEmoji('1f393'),
        createEmoji('1f451'),
        createEmoji('1f392'),
        createEmoji('1f45d'),
        createEmoji('1f45b'),
        createEmoji('1f45c'),
        createEmoji('1f4bc'),
        createEmoji('1f453'),
        createEmoji('1f48d'),
        createEmoji('1f302'),
    ],
    _a["Nature" /* Nature */] = [
        createEmoji('1f436'),
        createEmoji('1f431'),
        createEmoji('1f42d'),
        createEmoji('1f439'),
        createEmoji('1f430'),
        createEmoji('1f43b'),
        createEmoji('1f43c'),
        createEmojiWithNoKeyword('1f428'),
        createEmoji('1f42f'),
        createEmoji('1f42e'),
        createEmoji('1f437'),
        createEmoji('1f43d'),
        createEmoji('1f438'),
        createEmoji('1f419'),
        createEmoji('1f435'),
        createEmoji('1f648'),
        createEmoji('1f649'),
        createEmoji('1f64a'),
        createEmoji('1f412'),
        createEmoji('1f427'),
        createEmoji('1f426'),
        createEmojiWithNoKeyword('1f424'),
        createEmoji('1f423'),
        createEmoji('1f425'),
        createEmoji('1f43a'),
        createEmoji('1f417'),
        createEmoji('1f434'),
        createEmoji('1f41d'),
        createEmoji('1f41b'),
        createEmoji('1f40c'),
        createEmoji('1f41e'),
        createEmoji('1f41c'),
        createEmoji('1f40d'),
        createEmoji('1f422'),
        createEmoji('1f420'),
        createEmoji('1f41f'),
        createEmoji('1f421'),
        createEmoji('1f42c'),
        createEmoji('1f433'),
        createEmoji('1f414'),
        createEmoji('1f42b'),
        createEmoji('1f418'),
        createEmoji('1f411'),
        createEmoji('1f40e'),
        createEmoji('1f429'),
        createEmoji('1f43e'),
        createEmoji('1f432'),
        createEmoji('1f335'),
        createEmoji('1f384'),
        createEmoji('1f334'),
        createEmoji('1f331'),
        createEmoji('1f33f'),
        createEmoji('1f340'),
        createEmojiWithNoKeyword('1f38d'),
        createEmojiWithNoKeyword('1f38b'),
        createEmoji('1f343'),
        createEmoji('1f342'),
        createEmoji('1f341'),
        createEmoji('1f33e'),
        createEmoji('1f33a'),
        createEmoji('1f33b'),
        createEmoji('1f339'),
        createEmoji('1f33c'),
        createEmoji('1f337'),
        createEmoji('1f338'),
        createEmoji('1f344'),
        createEmoji('1f490'),
        createEmoji('1f330'),
        createEmoji('1f383'),
        createEmoji('1f41a'),
        createEmojiWithNoKeyword('1f30f'),
        createEmoji('1f315'),
        createEmoji('1f311'),
        createEmoji('1f313'),
        createEmoji('1f314'),
        createEmoji('1f31b'),
        createEmoji('1f319'),
        createEmoji('02b50'),
        createEmoji('1f31f'),
        createEmojiWithNoKeyword('1f4ab'),
        createEmoji('02728'),
        createEmojiWithNoKeyword('02600'),
        createEmojiWithNoKeyword('026c5'),
        createEmoji('02601'),
        createEmoji('026a1'),
        createEmoji('1f525'),
        createEmoji('1f4a5'),
        createEmoji('02744'),
        createEmoji('026c4'),
        createEmoji('1f4a8'),
        createEmoji('02614'),
        createEmojiWithNoKeyword('1f4a7'),
        createEmojiWithNoKeyword('1f4a6'),
        createEmoji('1f30a'),
    ],
    _a["Activities" /* Activities */] = [
        createEmoji('026bd'),
        createEmoji('1f3c0'),
        createEmoji('1f3c8'),
        createEmoji('026be'),
        createEmoji('1f3be'),
        createEmoji('1f3b1'),
        createEmoji('026f3'),
        createEmoji('1f3bf'),
        createEmoji('1f3c2'),
        createEmoji('1f3a3'),
        createEmoji('1f3ca'),
        createEmoji('1f3c4'),
        createEmoji('1f3c6'),
        createEmoji('1f3bd'),
        createEmoji('1f3ab'),
        createEmoji('1f3ad'),
        createEmoji('1f3a8'),
        createEmoji('1f3aa'),
        createEmoji('1f3a4'),
        createEmoji('1f3a7'),
        createEmoji('1f3bc'),
        createEmoji('1f3b9'),
        createEmoji('1f3b7'),
        createEmoji('1f3ba'),
        createEmoji('1f3b8'),
        createEmoji('1f3bb'),
        createEmoji('1f3ac'),
        createEmoji('1f3ae'),
        createEmoji('1f47e'),
        createEmoji('1f3af'),
        createEmoji('1f3b2'),
        createEmoji('1f3b0'),
        createEmoji('1f3b3'),
    ],
    _a["Food" /* Food */] = [
        createEmoji('1f34f'),
        createEmoji('1f34e'),
        createEmoji('1f34a'),
        createEmoji('1f34c'),
        createEmoji('1f349'),
        createEmoji('1f347'),
        createEmoji('1f353'),
        createEmoji('1f348'),
        createEmoji('1f352'),
        createEmoji('1f351'),
        createEmoji('1f34d'),
        createEmoji('1f345'),
        createEmoji('1f346'),
        createEmoji('1f33d'),
        createEmoji('1f360'),
        createEmoji('1f35e'),
        createEmoji('1f357'),
        createEmoji('1f356'),
        createEmoji('1f364'),
        createEmoji('1f373'),
        createEmoji('1f354'),
        createEmoji('1f35f'),
        createEmoji('1f355'),
        createEmoji('1f35d'),
        createEmoji('1f35c'),
        createEmoji('1f372'),
        createEmoji('1f365'),
        createEmoji('1f363'),
        createEmoji('1f371'),
        createEmoji('1f35b'),
        createEmoji('1f359'),
        createEmoji('1f35a'),
        createEmoji('1f358'),
        createEmoji('1f362'),
        createEmoji('1f361'),
        createEmojiWithNoKeyword('1f367'),
        createEmoji('1f368'),
        createEmoji('1f366'),
        createEmoji('1f370'),
        createEmoji('1f36f'),
        createEmoji('1f382'),
        createEmoji('1f36e'),
        createEmoji('1f36c'),
        createEmoji('1f36d'),
        createEmoji('1f36b'),
        createEmoji('1f369'),
        createEmoji('1f36a'),
        createEmoji('1f37a'),
        createEmoji('1f37b'),
        createEmoji('1f377'),
        createEmoji('1f378'),
        createEmoji('1f379'),
        createEmoji('1f376'),
        createEmoji('1f375'),
        createEmoji('02615'),
        createEmoji('1f374'),
    ],
    _a["Travel" /* Travel */] = [
        createEmoji('1f697'),
        createEmoji('1f695'),
        createEmoji('1f687'),
        createEmojiWithNoKeyword('1f699'),
        createEmoji('1f68c'),
        createEmoji('1f693'),
        createEmoji('1f69a'),
        createEmojiWithNoKeyword('1f691'),
        createEmoji('1f692'),
        createEmoji('1f6b2'),
        createEmoji('1f6a8'),
        createEmoji('1f683'),
        createEmoji('1f684'),
        createEmojiWithNoKeyword('1f685'),
        createEmoji('1f689'),
        createEmoji('02708'),
        createEmoji('026f5'),
        createEmojiWithNoKeyword('1f6a4'),
        createEmoji('1f680'),
        createEmoji('1f4ba'),
        createEmoji('02693'),
        createEmoji('1f6a7'),
        createEmoji('026fd'),
        createEmoji('1f68f'),
        createEmoji('1f6a5'),
        createEmoji('1f3c1'),
        createEmoji('1f6a2'),
        createEmoji('1f3a1'),
        createEmoji('1f3a2'),
        createEmoji('1f3a0'),
        createEmoji('1f301'),
        createEmojiWithNoKeyword('1f5fc'),
        createEmoji('1f3ed'),
        createEmoji('026f2'),
        createEmojiWithNoKeyword('1f391'),
        createEmojiWithNoKeyword('1f5fb'),
        createEmojiWithNoKeyword('1f30b'),
        createEmojiWithNoKeyword('1f5fe'),
        createEmoji('1f305'),
        createEmoji('1f304'),
        createEmoji('1f307'),
        createEmoji('1f306'),
        createEmoji('1f303'),
        createEmoji('1f309'),
        createEmoji('1f30c'),
        createEmoji('1f387'),
        createEmoji('1f386'),
        createEmoji('1f308'),
        createEmoji('1f3f0'),
        createEmojiWithNoKeyword('1f3ef'),
        createEmoji('1f5fd'),
        createEmoji('1f3e0'),
        createEmoji('1f3e1'),
        createEmoji('1f3e2'),
        createEmoji('1f3ec'),
        createEmoji('026fa'),
        createEmojiWithNoKeyword('1f3e3'),
        createEmojiWithNoKeyword('1f3e5'),
        createEmoji('1f3e6'),
        createEmoji('1f3e8'),
        createEmoji('1f3ea'),
        createEmoji('1f3eb'),
        createEmojiWithNoKeyword('1f3e9'),
        createEmoji('1f492'),
        createEmoji('026ea'),
        createEmoji('1f320'),
    ],
    _a["Symbols" /* Symbols */] = [
        common3,
        createEmoji('1f49b'),
        createEmoji('1f49a'),
        createEmoji('1f499'),
        createEmoji('1f494'),
        createEmoji('1f49c'),
        createEmoji('1f495'),
        createEmoji('1f493'),
        createEmoji('1f49e'),
        createEmoji('1f497'),
        createEmoji('1f498'),
        createEmoji('1f496'),
        createEmoji('1f49d'),
        createEmoji('1f49f'),
        createEmojiWithNoKeyword('1f52f'),
        createEmojiWithNoKeyword('026ce'),
        createEmoji('02648'),
        createEmoji('02649'),
        createEmoji('0264a'),
        createEmoji('0264b'),
        createEmoji('0264c'),
        createEmoji('0264d'),
        createEmoji('0264e'),
        createEmoji('0264f'),
        createEmoji('02650'),
        createEmoji('02651'),
        createEmoji('02652'),
        createEmoji('02653'),
        createEmojiWithNoKeyword('1f194'),
        createEmojiWithNoKeyword('1f4f4'),
        createEmojiWithNoKeyword('1f4f3'),
        createEmojiWithNoKeyword('1f19a'),
        createEmojiWithNoKeyword('1f4ae'),
        createEmojiWithNoKeyword('1f18e'),
        createEmojiWithNoKeyword('1f191'),
        createEmojiWithNoKeyword('1f198'),
        createEmojiWithNoKeyword('026d4'),
        createEmoji('1f4db'),
        createEmoji('1f6ab'),
        createEmojiWithNoKeyword('0274c'),
        createEmojiWithNoKeyword('02b55'),
        createEmojiWithNoKeyword('1f4a2'),
        createEmoji('02668'),
        createEmojiWithNoKeyword('1f51e'),
        createEmojiWithNoKeyword('02757'),
        createEmojiWithNoKeyword('02755'),
        createEmojiWithNoKeyword('02753'),
        createEmojiWithNoKeyword('02754'),
        createEmojiWithNoKeyword('02049'),
        createEmojiWithNoKeyword('1f4af'),
        createEmoji('1f531'),
        createEmojiWithNoKeyword('0303d'),
        createEmoji('026a0'),
        createEmojiWithNoKeyword('1f530'),
        createEmojiWithNoKeyword('1f22f'),
        createEmojiWithNoKeyword('1f4b9'),
        createEmoji('02733'),
        createEmojiWithNoKeyword('0274e'),
        createEmojiWithNoKeyword('02705'),
        createEmojiWithNoKeyword('1f4a0'),
        createEmoji('1f300'),
        createEmoji('1f3e7'),
        createEmoji('0267f'),
        createEmoji('1f6ad'),
        createEmojiWithNoKeyword('1f6be'),
        createEmoji('02734'),
        createEmoji('1f17f'),
        createEmoji('1f6b9'),
        createEmoji('1f6ba'),
        createEmojiWithNoKeyword('1f6bc'),
        createEmoji('1f6bb'),
        createEmoji('1f3a6'),
        createEmoji('1f4f6'),
        createEmojiWithNoKeyword('1f201'),
        createEmojiWithNoKeyword('1f196'),
        createEmojiWithNoKeyword('0267b'),
        createEmojiWithNoKeyword('1f197'),
        createEmojiWithNoKeyword('1f192'),
        createEmoji('02747'),
        createEmojiWithNoKeyword('1f195'),
        createEmojiWithNoKeyword('1f193'),
        createEmojiWithNoKeyword('1f51f'),
        createEmojiWithNoKeyword('1f522'),
        createEmojiWithNoKeyword('023ea'),
        createEmojiWithNoKeyword('023e9'),
        createEmojiWithNoKeyword('1f53c'),
        createEmojiWithNoKeyword('1f53d'),
        createEmojiWithNoKeyword('023eb'),
        createEmojiWithNoKeyword('023ec'),
        createEmojiWithNoKeyword('1f199'),
        createEmojiWithNoKeyword('02139'),
        createEmojiWithNoKeyword('1f524'),
        createEmojiWithNoKeyword('1f521'),
        createEmojiWithNoKeyword('1f520'),
        createEmojiWithNoKeyword('1f523'),
        createEmoji('1f3b5'),
        createEmoji('1f3b6'),
        createEmojiWithNoKeyword('03030'),
        createEmojiWithNoKeyword('027bf'),
        createEmojiWithNoKeyword('02714'),
        createEmoji('1f503'),
        createEmojiWithNoKeyword('02795'),
        createEmojiWithNoKeyword('02796'),
        createEmojiWithNoKeyword('02797'),
        createEmojiWithNoKeyword('02716'),
        createEmojiWithNoKeyword('027b0'),
        createEmojiWithNoKeyword('1f4b2'),
        createEmojiWithNoKeyword('1f4b1'),
        createEmojiWithNoKeyword('1f51a'),
        createEmojiWithNoKeyword('1f519'),
        createEmojiWithNoKeyword('1f51b'),
        createEmojiWithNoKeyword('1f51d'),
        createEmojiWithNoKeyword('1f51c'),
        createEmojiWithNoKeyword('02611'),
        createEmojiWithNoKeyword('1f518'),
        createEmojiWithNoKeyword('026ab'),
        createEmojiWithNoKeyword('1f534'),
        createEmojiWithNoKeyword('1f535'),
        createEmojiWithNoKeyword('1f539'),
        createEmojiWithNoKeyword('1f538'),
        createEmojiWithNoKeyword('1f536'),
        createEmojiWithNoKeyword('1f537'),
        createEmojiWithNoKeyword('1f53a'),
        createEmojiWithNoKeyword('1f53b'),
        createEmojiWithNoKeyword('02b1b'),
        createEmojiWithNoKeyword('02b1c'),
        createEmojiWithNoKeyword('1f532'),
        createEmojiWithNoKeyword('1f533'),
        createEmojiWithNoKeyword('1f50a'),
        createEmoji('1f4e3'),
        createEmojiWithNoKeyword('1f4e2'),
        createEmoji('1f514'),
        createEmojiWithNoKeyword('1f004'),
        createEmoji('1f0cf'),
        createEmojiWithNoKeyword('1f3b4'),
        createEmojiWithNoKeyword('1f4ac'),
        createEmoji('1f550'),
        createEmoji('1f551'),
        createEmoji('1f552'),
        createEmoji('1f553'),
        createEmoji('1f554'),
        createEmoji('1f555'),
        createEmoji('1f556'),
        createEmoji('1f557'),
        createEmoji('1f558'),
        createEmoji('1f559'),
        createEmoji('1f55a'),
        createEmoji('1f55b'),
        createEmojiWithNoKeyword('1f236'),
        createEmojiWithNoKeyword('1f250'),
        createEmojiWithNoKeyword('1f239'),
        createEmojiWithNoKeyword('1f21a'),
        createEmojiWithNoKeyword('1f232'),
        createEmojiWithNoKeyword('1f251'),
        createEmojiWithNoKeyword('1f234'),
        createEmojiWithNoKeyword('1f233'),
        createEmojiWithNoKeyword('1f23a'),
        createEmojiWithNoKeyword('1f235'),
    ],
    _a["Objects" /* Objects */] = [
        createEmojiWithNoKeyword('0231a'),
        createEmoji('1f4f1'),
        createEmojiWithNoKeyword('1f4f2'),
        createEmoji('1f4bb'),
        createEmojiWithNoKeyword('1f4bd'),
        createEmoji('1f4be'),
        createEmoji('1f4bf'),
        createEmoji('1f4c0'),
        createEmoji('1f4fc'),
        createEmoji('1f4f7'),
        createEmoji('1f4f9'),
        createEmoji('1f3a5'),
        createEmoji('1f4de'),
        createEmojiWithNoKeyword('0260e'),
        createEmoji('1f4df'),
        createEmoji('1f4e0'),
        createEmoji('1f4fa'),
        createEmoji('1f4fb'),
        createEmojiWithNoKeyword('023f0'),
        createEmojiWithNoKeyword('0231b'),
        createEmojiWithNoKeyword('023f3'),
        createEmoji('1f4e1'),
        createEmoji('1f50b'),
        createEmoji('1f50c'),
        createEmoji('1f4a1'),
        createEmoji('1f526'),
        createEmojiWithNoKeyword('1f4b8'),
        createEmoji('1f4b5'),
        createEmoji('1f4b4'),
        createEmoji('1f4b0'),
        createEmoji('1f4b3'),
        createEmoji('1f48e'),
        createEmoji('1f527'),
        createEmoji('1f528'),
        createEmoji('1f529'),
        createEmojiWithNoKeyword('1f52b'),
        createEmoji('1f4a3'),
        createEmoji('1f52a'),
        createEmoji('1f6ac'),
        createEmoji('1f52e'),
        createEmoji('1f488'),
        createEmoji('1f48a'),
        createEmoji('1f489'),
        createEmoji('1f516'),
        createEmoji('1f6bd'),
        createEmoji('1f6c0'),
        createEmoji('1f511'),
        createEmoji('1f6aa'),
        createEmojiWithNoKeyword('1f5ff'),
        createEmoji('1f388'),
        createEmojiWithNoKeyword('1f38f'),
        createEmoji('1f380'),
        createEmoji('1f381'),
        createEmoji('1f38a'),
        createEmoji('1f389'),
        createEmojiWithNoKeyword('1f38e'),
        createEmoji('1f390'),
        createEmojiWithNoKeyword('1f38c'),
        createEmojiWithNoKeyword('1f3ee'),
        createEmoji('02709'),
        createEmoji('1f4e9'),
        createEmoji('1f4e8'),
        createEmoji('1f48c'),
        createEmoji('1f4e7'),
        createEmoji('1f4ee'),
        createEmoji('1f4ea'),
        createEmoji('1f4eb'),
        createEmoji('1f4e6'),
        createEmojiWithNoKeyword('1f4e5'),
        createEmojiWithNoKeyword('1f4e4'),
        createEmojiWithNoKeyword('1f4dc'),
        createEmojiWithNoKeyword('1f4c3'),
        createEmojiWithNoKeyword('1f4d1'),
        createEmoji('1f4ca'),
        createEmoji('1f4c8'),
        createEmoji('1f4c9'),
        createEmojiWithNoKeyword('1f4c4'),
        createEmoji('1f4c5'),
        createEmojiWithNoKeyword('1f4c6'),
        createEmojiWithNoKeyword('1f4c7'),
        createEmoji('1f4cb'),
        createEmoji('1f4c1'),
        createEmojiWithNoKeyword('1f4c2'),
        createEmoji('1f4f0'),
        createEmoji('1f4d3'),
        createEmojiWithNoKeyword('1f4d5'),
        createEmojiWithNoKeyword('1f4d7'),
        createEmojiWithNoKeyword('1f4d8'),
        createEmojiWithNoKeyword('1f4d9'),
        createEmojiWithNoKeyword('1f4d4'),
        createEmoji('1f4d2'),
        createEmoji('1f4da'),
        createEmojiWithNoKeyword('1f4d6'),
        createEmojiWithNoKeyword('1f517'),
        createEmoji('1f4ce'),
        createEmoji('02702'),
        createEmojiWithNoKeyword('1f4d0'),
        createEmoji('1f4cf'),
        createEmoji('1f4cc'),
        createEmoji('1f4cd'),
        createEmojiWithNoKeyword('1f6a9'),
        createEmoji('1f510'),
        createEmoji('1f512'),
        createEmoji('1f513'),
        createEmoji('1f50f'),
        createEmojiWithNoKeyword('02712'),
        createEmoji('1f4dd'),
        createEmoji('0270f'),
        createEmoji('1f50d'),
        createEmojiWithNoKeyword('1f50e'),
    ],
    _a);
/**
 * @internal
 */
exports.EmojiFabricIconCharacterMap = (_b = {},
    _b["Activities" /* Activities */] = 'Soccer',
    _b["Food" /* Food */] = 'EatDrink',
    _b["Nature" /* Nature */] = 'FangBody',
    _b["Objects" /* Objects */] = 'Lightbulb',
    _b["People" /* People */] = 'Emoji2',
    _b["Symbols" /* Symbols */] = 'Heart',
    _b["Travel" /* Travel */] = 'Car',
    _b);
/**
 * @internal
 */
function forEachEmojiFamily(callback) {
    var e_1, _a;
    var families = (0, roosterjs_editor_dom_1.getObjectKeys)(exports.EmojiList);
    try {
        for (var families_1 = (0, tslib_1.__values)(families), families_1_1 = families_1.next(); !families_1_1.done; families_1_1 = families_1.next()) {
            var family = families_1_1.value;
            if (!callback(exports.EmojiList[family], family)) {
                break;
            }
        }
    }
    catch (e_1_1) { e_1 = { error: e_1_1 }; }
    finally {
        try {
            if (families_1_1 && !families_1_1.done && (_a = families_1.return)) _a.call(families_1);
        }
        finally { if (e_1) throw e_1.error; }
    }
}
exports.forEachEmojiFamily = forEachEmojiFamily;
/**
 * @internal
 */
function forEachEmoji(callback) {
    forEachEmojiFamily(function (emojis) {
        var e_2, _a;
        try {
            for (var emojis_1 = (0, tslib_1.__values)(emojis), emojis_1_1 = emojis_1.next(); !emojis_1_1.done; emojis_1_1 = emojis_1.next()) {
                var emoji = emojis_1_1.value;
                if (!callback(emoji)) {
                    return false;
                }
            }
        }
        catch (e_2_1) { e_2 = { error: e_2_1 }; }
        finally {
            try {
                if (emojis_1_1 && !emojis_1_1.done && (_a = emojis_1.return)) _a.call(emojis_1);
            }
            finally { if (e_2) throw e_2.error; }
        }
        return true;
    });
}
exports.forEachEmoji = forEachEmoji;
// get emoji code point from an emoji key
function getEmojiCodePoint(key) {
    var unicode = parseInt(key, 16);
    if (isNaN(unicode)) {
        return null;
    }
    // All emojis have codepoints between the following ranges:
    // 0x1F7000 - 0x1F700 -> has surrogate pairs
    // 0x00023 - 0x04000 -> does not have surrogate pairs
    var surrogatePairs;
    if (unicode >= 0x1f000 && unicode <= 0x1f700) {
        var hi = Math.floor((unicode - 0x10000) / 0x400) + 0xd800;
        var lo = ((unicode - 0x10000) % 0x400) + 0xdc00;
        surrogatePairs = [hi, lo];
    }
    else if (unicode >= 0x00023 && unicode <= 0x04000) {
        surrogatePairs = [unicode];
    }
    return String.fromCharCode.apply(String, (0, tslib_1.__spreadArray)([], (0, tslib_1.__read)(surrogatePairs), false));
}
function createEmoji(key, shortcut) {
    var _a;
    return {
        key: key,
        description: "emjD" + key,
        keywords: "emjK" + key,
        shortcut: shortcut,
        codePoint: (_a = getEmojiCodePoint(key)) !== null && _a !== void 0 ? _a : undefined,
    };
}
function createEmojiWithNoKeyword(key) {
    var _a;
    return { key: key, description: "emjD" + key, codePoint: (_a = getEmojiCodePoint(key)) !== null && _a !== void 0 ? _a : undefined };
}


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/emoji/utils/searchEmojis.ts":
/*!*********************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/emoji/utils/searchEmojis.ts ***!
  \*********************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.searchEmojis = void 0;
var emojiList_1 = __webpack_require__(/*! ./emojiList */ "./packages-ui/roosterjs-react/lib/emoji/utils/emojiList.ts");
/**
 * @internal
 */
function searchEmojis(search, strings) {
    var shortcutMatch = matchShortcut(search);
    search = search.toLowerCase();
    var fullMatch = shortcutMatch ? [shortcutMatch] : [];
    var partialMatch = [];
    var partialSearch = ' ' + (search[0] == ':' ? search.substr(1) : search);
    (0, emojiList_1.forEachEmoji)(function (emoji) {
        var keywords = (emoji.keywords && strings[emoji.keywords]) || '';
        var searchableKeywords = emoji.keywords ? ' ' + keywords.toLowerCase() + ' ' : '';
        var index = searchableKeywords.indexOf(partialSearch);
        if (index >= 0) {
            (searchableKeywords[index + partialSearch.length] == ' '
                ? fullMatch
                : partialMatch).push(emoji);
        }
        return true;
    });
    return fullMatch.concat(partialMatch);
}
exports.searchEmojis = searchEmojis;
function matchShortcut(search) {
    var result = null;
    search = ' ' + search + ' ';
    (0, emojiList_1.forEachEmoji)(function (emoji) {
        if (emoji.shortcut && (' ' + emoji.shortcut + ' ').indexOf(search) >= 0) {
            result = emoji;
            return false;
        }
        return true;
    });
    return result;
}


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/index.ts":
/*!**************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/index.ts ***!
  \**************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
var tslib_1 = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.mjs");
(0, tslib_1.__exportStar)(__webpack_require__(/*! ./common/index */ "./packages-ui/roosterjs-react/lib/common/index.ts"), exports);
(0, tslib_1.__exportStar)(__webpack_require__(/*! ./rooster/index */ "./packages-ui/roosterjs-react/lib/rooster/index.ts"), exports);
(0, tslib_1.__exportStar)(__webpack_require__(/*! ./ribbon/index */ "./packages-ui/roosterjs-react/lib/ribbon/index.ts"), exports);
(0, tslib_1.__exportStar)(__webpack_require__(/*! ./contextMenu/index */ "./packages-ui/roosterjs-react/lib/contextMenu/index.ts"), exports);
(0, tslib_1.__exportStar)(__webpack_require__(/*! ./pasteOptions/index */ "./packages-ui/roosterjs-react/lib/pasteOptions/index.ts"), exports);
(0, tslib_1.__exportStar)(__webpack_require__(/*! ./colorPicker/index */ "./packages-ui/roosterjs-react/lib/colorPicker/index.ts"), exports);
(0, tslib_1.__exportStar)(__webpack_require__(/*! ./emoji/index */ "./packages-ui/roosterjs-react/lib/emoji/index.ts"), exports);
(0, tslib_1.__exportStar)(__webpack_require__(/*! ./inputDialog/index */ "./packages-ui/roosterjs-react/lib/inputDialog/index.ts"), exports);


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/inputDialog/component/InputDialog.tsx":
/*!*******************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/inputDialog/component/InputDialog.tsx ***!
  \*******************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
var tslib_1 = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.mjs");
var React = __webpack_require__(/*! react */ "react");
var InputDialogItem_1 = __webpack_require__(/*! ./InputDialogItem */ "./packages-ui/roosterjs-react/lib/inputDialog/component/InputDialogItem.tsx");
var Button_1 = __webpack_require__(/*! @fluentui/react/lib/Button */ "@fluentui/react/lib/Theme");
var Dialog_1 = __webpack_require__(/*! @fluentui/react/lib/Dialog */ "@fluentui/react/lib/Theme");
var index_1 = __webpack_require__(/*! ../../common/index */ "./packages-ui/roosterjs-react/lib/common/index.ts");
var roosterjs_editor_dom_1 = __webpack_require__(/*! roosterjs-editor-dom */ "roosterjs-editor-dom");
/**
 * @internal
 */
function InputDialog(props) {
    var items = props.items, strings = props.strings, dialogTitleKey = props.dialogTitleKey, unlocalizedTitle = props.unlocalizedTitle, onOk = props.onOk, onCancel = props.onCancel, onChange = props.onChange;
    var dialogContentProps = React.useMemo(function () { return ({
        type: Dialog_1.DialogType.normal,
        title: (0, index_1.getLocalizedString)(strings, dialogTitleKey, unlocalizedTitle),
    }); }, [strings, dialogTitleKey, unlocalizedTitle]);
    var _a = (0, tslib_1.__read)(React.useState((0, roosterjs_editor_dom_1.getObjectKeys)(items).reduce(function (result, key) {
        result[key] = items[key].initValue;
        return result;
    }, {})), 2), currentValues = _a[0], setCurrentValues = _a[1];
    var onSubmit = React.useCallback(function () {
        onOk === null || onOk === void 0 ? void 0 : onOk(currentValues);
    }, [onOk, currentValues]);
    var onItemChanged = React.useCallback(function (itemName, newValue) {
        var _a;
        if (itemName in items) {
            var newValues = (onChange === null || onChange === void 0 ? void 0 : onChange(itemName, newValue, (0, tslib_1.__assign)({}, currentValues))) || (0, tslib_1.__assign)((0, tslib_1.__assign)({}, currentValues), (_a = {}, _a[itemName] = newValue, _a));
            setCurrentValues(newValues);
        }
    }, [setCurrentValues, currentValues, items]);
    return (React.createElement(Dialog_1.Dialog, { dialogContentProps: dialogContentProps, hidden: false, onDismiss: onCancel },
        React.createElement("div", null, (0, roosterjs_editor_dom_1.getObjectKeys)(items).map(function (key) { return (React.createElement(InputDialogItem_1.default, { key: key, itemName: key, items: items, strings: strings, currentValues: currentValues, onEnterKey: onSubmit, onChanged: onItemChanged })); })),
        React.createElement(Dialog_1.DialogFooter, null,
            React.createElement(Button_1.PrimaryButton, { text: (0, index_1.getLocalizedString)(strings, 'buttonNameOK', 'OK'), onClick: onSubmit }),
            React.createElement(Button_1.DefaultButton, { text: (0, index_1.getLocalizedString)(strings, 'buttonNameCancel', 'Cancel'), onClick: onCancel }))));
}
exports["default"] = InputDialog;


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/inputDialog/component/InputDialogItem.tsx":
/*!***********************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/inputDialog/component/InputDialogItem.tsx ***!
  \***********************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
var React = __webpack_require__(/*! react */ "react");
var index_1 = __webpack_require__(/*! ../../common/index */ "./packages-ui/roosterjs-react/lib/common/index.ts");
var Styling_1 = __webpack_require__(/*! @fluentui/react/lib/Styling */ "@fluentui/react/lib/Theme");
var TextField_1 = __webpack_require__(/*! @fluentui/react/lib/TextField */ "@fluentui/react/lib/Theme");
var classNames = (0, Styling_1.mergeStyleSets)({
    inputBox: {
        width: '100%',
        minWidth: '250px',
        height: '32px',
        margin: '5px 0 16px',
        borderRadius: '2px',
    },
});
/**
 * @internal
 */
function InputDialogItem(props) {
    var itemName = props.itemName, strings = props.strings, items = props.items, currentValues = props.currentValues, onChanged = props.onChanged, onEnterKey = props.onEnterKey;
    var _a = items[itemName], labelKey = _a.labelKey, unlocalizedLabel = _a.unlocalizedLabel, autoFocus = _a.autoFocus;
    var value = currentValues[itemName];
    var onValueChange = React.useCallback(function (_, newValue) {
        onChanged(itemName, newValue);
    }, [itemName, onChanged]);
    var onKeyPress = React.useCallback(function (e) {
        if (e.which == 13 /* ENTER */) {
            onEnterKey();
        }
    }, [onEnterKey]);
    return (React.createElement("div", null,
        labelKey ? React.createElement("div", null, (0, index_1.getLocalizedString)(strings, labelKey, unlocalizedLabel)) : null,
        React.createElement("div", null,
            React.createElement(TextField_1.TextField, { role: "textbox", type: "text", className: classNames.inputBox, value: value, onChange: onValueChange, onKeyPress: onKeyPress, autoFocus: autoFocus }))));
}
exports["default"] = InputDialogItem;


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/inputDialog/index.ts":
/*!**************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/inputDialog/index.ts ***!
  \**************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.showInputDialog = void 0;
var showInputDialog_1 = __webpack_require__(/*! ./utils/showInputDialog */ "./packages-ui/roosterjs-react/lib/inputDialog/utils/showInputDialog.tsx");
Object.defineProperty(exports, "showInputDialog", ({ enumerable: true, get: function () { return showInputDialog_1.default; } }));


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/inputDialog/utils/showInputDialog.tsx":
/*!*******************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/inputDialog/utils/showInputDialog.tsx ***!
  \*******************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
var React = __webpack_require__(/*! react */ "react");
var InputDialog_1 = __webpack_require__(/*! ../component/InputDialog */ "./packages-ui/roosterjs-react/lib/inputDialog/component/InputDialog.tsx");
var renderReactComponent_1 = __webpack_require__(/*! ../../common/utils/renderReactComponent */ "./packages-ui/roosterjs-react/lib/common/utils/renderReactComponent.ts");
/**
 * Show a dialog with input items
 * @param uiUtilities UI utilities to help render the dialog
 * @param dialogTitleKey Localized string key for title of this dialog
 * @param unlocalizedTitle Unlocalized title string of this dialog. It will be used if a valid localized string is not found using dialogTitleKey
 * @param items Input items in this dialog
 * @param strings Localized strings
 * @param onChange An optional callback that will be invoked when input item value is changed
 */
function showInputDialog(uiUtilities, dialogTitleKey, unlocalizedTitle, items, strings, onChange) {
    return new Promise(function (resolve) {
        var disposer = null;
        var onOk = function (result) {
            disposer === null || disposer === void 0 ? void 0 : disposer();
            resolve(result);
        };
        var onCancel = function () {
            disposer === null || disposer === void 0 ? void 0 : disposer();
            resolve(null);
        };
        var component = (React.createElement(InputDialog_1.default, { dialogTitleKey: dialogTitleKey, unlocalizedTitle: unlocalizedTitle, items: items, strings: strings, onOk: onOk, onCancel: onCancel, onChange: onChange }));
        disposer = (0, renderReactComponent_1.renderReactComponent)(uiUtilities, component);
    });
}
exports["default"] = showInputDialog;


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/pasteOptions/component/showPasteOptionPane.tsx":
/*!****************************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/pasteOptions/component/showPasteOptionPane.tsx ***!
  \****************************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
var tslib_1 = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.mjs");
var React = __webpack_require__(/*! react */ "react");
var buttons_1 = __webpack_require__(/*! ../utils/buttons */ "./packages-ui/roosterjs-react/lib/pasteOptions/utils/buttons.ts");
var Callout_1 = __webpack_require__(/*! @fluentui/react/lib/Callout */ "@fluentui/react/lib/Theme");
var index_1 = __webpack_require__(/*! ../../common/index */ "./packages-ui/roosterjs-react/lib/common/index.ts");
var roosterjs_editor_dom_1 = __webpack_require__(/*! roosterjs-editor-dom */ "roosterjs-editor-dom");
var Icon_1 = __webpack_require__(/*! @fluentui/react/lib/Icon */ "@fluentui/react/lib/Theme");
var Button_1 = __webpack_require__(/*! @fluentui/react/lib/Button */ "@fluentui/react/lib/Theme");
var Utilities_1 = __webpack_require__(/*! @fluentui/react/lib/Utilities */ "@fluentui/react/lib/Theme");
var Styling_1 = __webpack_require__(/*! @fluentui/react/lib/Styling */ "@fluentui/react/lib/Theme");
var renderReactComponent_1 = __webpack_require__(/*! ../../common/utils/renderReactComponent */ "./packages-ui/roosterjs-react/lib/common/utils/renderReactComponent.ts");
var Theme_1 = __webpack_require__(/*! @fluentui/react/lib/Theme */ "@fluentui/react/lib/Theme");
var getPasteOptionClassNames = (0, Utilities_1.memoizeFunction)(function (theme) {
    var palette = theme.palette;
    return (0, Styling_1.mergeStyleSets)({
        pastePane: {
            paddingLeft: '4px',
            minWidth: '72px',
        },
        optionPane: {
            textAlign: 'center',
            padding: '4px',
        },
        icon: {
            fontSize: '14px',
        },
        buttonsContainer: {
            justifyContent: 'center',
            display: 'flex',
        },
        button: {
            width: '32px',
            height: '32px',
            margin: '0 4px 4px 0',
            borderRadius: '2px',
            flex: '0 0 auto',
            '&:hover': {
                backgroundColor: palette.themeLighter,
            },
        },
        isChecked: {
            backgroundColor: palette.themeLight,
            '&:hover': {
                backgroundColor: palette.themeLighter,
            },
        },
    });
});
function PasteOptionButton(props) {
    var buttonName = props.buttonName, paste = props.paste, strings = props.strings, className = props.className;
    var button = buttons_1.Buttons[buttonName];
    var onClick = React.useCallback(function () {
        paste(buttonName);
    }, [paste, buttonName]);
    return (React.createElement(Button_1.IconButton, { className: className, onClick: onClick, title: (0, index_1.getLocalizedString)(strings, buttonName, button.unlocalizedText) +
            (button.shortcut ? " (" + button.shortcut + ")" : ''), iconProps: { iconName: button.icon } }));
}
var PasteOptionComponent = React.forwardRef(function PasteOptionFunc(props, ref) {
    var strings = props.strings, position = props.position, paste = props.paste, dismiss = props.dismiss, isRtl = props.isRtl;
    var theme = (0, Theme_1.useTheme)();
    var classNames = getPasteOptionClassNames(theme);
    var _a = (0, tslib_1.__read)(React.useState(null), 2), selectedKey = _a[0], setSelectedKey = _a[1];
    var rect = position && (0, roosterjs_editor_dom_1.getPositionRect)(position);
    var target = rect && { x: props.isRtl ? rect.left : rect.right, y: rect.bottom };
    React.useImperativeHandle(ref, function () { return ({
        dismiss: dismiss,
        setSelectedKey: setSelectedKey,
        getSelectedKey: function () { return selectedKey; },
    }); }, [dismiss, paste, isRtl, selectedKey, setSelectedKey]);
    var buttonPane = React.useRef(null);
    var onDismiss = React.useCallback(function (evt) {
        var target = evt instanceof FocusEvent && evt.relatedTarget instanceof Node
            ? evt.relatedTarget
            : null;
        var clickOnButtonPane = target &&
            buttonPane.current &&
            (buttonPane.current == target || buttonPane.current.contains(target));
        if (!clickOnButtonPane) {
            dismiss();
        }
    }, [dismiss]);
    var onClickShowSubMenu = React.useCallback(function (event) {
        setSelectedKey(buttons_1.ButtonKeys[0]);
        event.preventDefault();
        event.stopPropagation();
    }, [setSelectedKey]);
    return (React.createElement(Callout_1.Callout, { gapSpace: 10, isBeakVisible: false, target: target, directionalHint: isRtl ? Callout_1.DirectionalHint.bottomRightEdge : Callout_1.DirectionalHint.bottomLeftEdge, directionalHintForRTL: Callout_1.DirectionalHint.bottomRightEdge, preventDismissOnScroll: true, onDismiss: onDismiss },
        React.createElement("div", { ref: buttonPane, className: classNames.pastePane },
            React.createElement("div", { onClick: onClickShowSubMenu, className: classNames.optionPane },
                React.createElement(Icon_1.Icon, { iconName: 'Paste', className: classNames.icon }),
                (0, index_1.getLocalizedString)(strings, 'pasteOptionPaneText', '(Ctrl)')),
            selectedKey && (React.createElement("div", { className: classNames.buttonsContainer }, (0, roosterjs_editor_dom_1.getObjectKeys)(buttons_1.Buttons).map(function (key) { return (React.createElement(PasteOptionButton, { key: key, strings: strings, paste: paste, buttonName: key, className: classNames.button +
                    ' ' +
                    (selectedKey == key ? classNames.isChecked : '') })); }))))));
});
/**
 * @internal Show paste open pane component
 * @param uiUtilities The UI utilities object to help render component
 * @param position Target position
 * @param strings Localize string for this component
 * @param onPaste A callback to be called when user click on a paste button
 * @param ref Reference object for this component
 */
function showPasteOptionPane(uiUtilities, position, onPaste, ref, strings) {
    var disposer = null;
    var onDismiss = function () {
        disposer === null || disposer === void 0 ? void 0 : disposer();
        disposer = null;
    };
    disposer = (0, renderReactComponent_1.renderReactComponent)(uiUtilities, React.createElement(PasteOptionComponent, { ref: ref, position: position, strings: strings, isRtl: uiUtilities.isRightToLeft(), dismiss: onDismiss, paste: onPaste }));
}
exports["default"] = showPasteOptionPane;


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/pasteOptions/index.ts":
/*!***************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/pasteOptions/index.ts ***!
  \***************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.createPasteOptionPlugin = void 0;
var createPasteOptionPlugin_1 = __webpack_require__(/*! ./plugin/createPasteOptionPlugin */ "./packages-ui/roosterjs-react/lib/pasteOptions/plugin/createPasteOptionPlugin.ts");
Object.defineProperty(exports, "createPasteOptionPlugin", ({ enumerable: true, get: function () { return createPasteOptionPlugin_1.default; } }));


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/pasteOptions/plugin/createPasteOptionPlugin.ts":
/*!****************************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/pasteOptions/plugin/createPasteOptionPlugin.ts ***!
  \****************************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
var React = __webpack_require__(/*! react */ "react");
var showPasteOptionPane_1 = __webpack_require__(/*! ../component/showPasteOptionPane */ "./packages-ui/roosterjs-react/lib/pasteOptions/component/showPasteOptionPane.tsx");
var buttons_1 = __webpack_require__(/*! ../utils/buttons */ "./packages-ui/roosterjs-react/lib/pasteOptions/utils/buttons.ts");
var PasteOptionPlugin = /** @class */ (function () {
    function PasteOptionPlugin(strings) {
        var _this = this;
        this.strings = strings;
        this.clipboardData = null;
        this.editor = null;
        this.uiUtilities = null;
        this.pasteOptionRef = React.createRef();
        this.onPaste = function (key) {
            var _a;
            if (_this.clipboardData && _this.editor) {
                _this.editor.focus();
                switch (key) {
                    case 'pasteOptionPasteAsIs':
                        _this.editor.paste(_this.clipboardData);
                        break;
                    case 'pasteOptionPasteText':
                        _this.editor.paste(_this.clipboardData, true /*pasteAsText*/);
                        break;
                    case 'pasteOptionMergeFormat':
                        _this.editor.paste(_this.clipboardData, false /*pasteAsText*/, true /*applyCurrentFormat*/);
                        break;
                    case 'pasteOptionPasteAsImage':
                        _this.editor.paste(_this.clipboardData, false /*pasteAsText*/, false /*applyCurrentFormat*/, true /** pasteAsImage **/);
                }
                (_a = _this.pasteOptionRef.current) === null || _a === void 0 ? void 0 : _a.setSelectedKey(key);
            }
        };
    }
    PasteOptionPlugin.prototype.getName = function () {
        return 'PasteOption';
    };
    PasteOptionPlugin.prototype.initialize = function (editor) {
        this.editor = editor;
    };
    PasteOptionPlugin.prototype.dispose = function () {
        var _a;
        (_a = this.pasteOptionRef.current) === null || _a === void 0 ? void 0 : _a.dismiss();
        this.editor = null;
    };
    PasteOptionPlugin.prototype.onPluginEvent = function (event) {
        var _a;
        if (event.eventType == 14 /* Scroll */) {
            if (this.pasteOptionRef.current) {
                this.showPasteOptionPane();
            }
        }
        else if (this.pasteOptionRef.current) {
            this.handlePasteOptionPaneEvent(event);
        }
        else if (event.eventType == 7 /* ContentChanged */) {
            if (event.source == 'Paste') {
                var clipboardData = event.data;
                // Only show paste option when we pasted HTML with some format
                if ((clipboardData === null || clipboardData === void 0 ? void 0 : clipboardData.text) && ((_a = clipboardData.types) === null || _a === void 0 ? void 0 : _a.indexOf('text/html')) >= 0) {
                    this.clipboardData = clipboardData;
                    this.showPasteOptionPane();
                }
            }
        }
    };
    PasteOptionPlugin.prototype.setUIUtilities = function (uiUtilities) {
        this.uiUtilities = uiUtilities;
    };
    PasteOptionPlugin.prototype.handlePasteOptionPaneEvent = function (event) {
        var _a;
        if (event.eventType == 0 /* KeyDown */ && this.pasteOptionRef.current) {
            var selectedKey = this.pasteOptionRef.current.getSelectedKey();
            if (!selectedKey) {
                switch (event.rawEvent.which) {
                    case 17 /* CTRL_LEFT */:
                        this.pasteOptionRef.current.setSelectedKey(buttons_1.ButtonKeys[0]);
                        cancelEvent(event.rawEvent);
                        break;
                    case 27 /* ESCAPE */:
                        this.pasteOptionRef.current.dismiss();
                        cancelEvent(event.rawEvent);
                        break;
                    default:
                        this.pasteOptionRef.current.dismiss();
                        break;
                }
            }
            else {
                var keyboardEvent = event.rawEvent;
                if (keyboardEvent.which != 17 /* CTRL_LEFT */ && keyboardEvent.ctrlKey) {
                    // Dismiss the paste option when pressing hotkey CTRL+<any key>
                    this.pasteOptionRef.current.dismiss();
                    return;
                }
                for (var i = 0; i < buttons_1.ButtonKeys.length; i++) {
                    var key = buttons_1.ButtonKeys[i];
                    var button = buttons_1.Buttons[key];
                    if (button.shortcut == String.fromCharCode(keyboardEvent.which)) {
                        this.onPaste(key);
                        cancelEvent(keyboardEvent);
                        return;
                    }
                }
                switch (keyboardEvent.which) {
                    case 27 /* ESCAPE */:
                        this.pasteOptionRef.current.dismiss();
                        break;
                    case 37 /* LEFT */:
                    case 39 /* RIGHT */:
                        var buttonCount = buttons_1.ButtonKeys.length;
                        var diff = (keyboardEvent.which == 39 /* RIGHT */) == ((_a = this.uiUtilities) === null || _a === void 0 ? void 0 : _a.isRightToLeft())
                            ? -1
                            : 1;
                        this.pasteOptionRef.current.setSelectedKey(buttons_1.ButtonKeys[(buttons_1.ButtonKeys.indexOf(selectedKey) + diff + buttonCount) % buttonCount]);
                        break;
                    case 13 /* ENTER */:
                        this.onPaste(selectedKey);
                        break;
                    case 17 /* CTRL_LEFT */:
                        // Noop
                        break;
                    default:
                        this.pasteOptionRef.current.dismiss();
                        return;
                }
                cancelEvent(keyboardEvent);
            }
        }
    };
    PasteOptionPlugin.prototype.showPasteOptionPane = function () {
        var _a, _b;
        (_a = this.pasteOptionRef.current) === null || _a === void 0 ? void 0 : _a.dismiss();
        var focusedPosition = (_b = this.editor) === null || _b === void 0 ? void 0 : _b.getFocusedPosition();
        if (focusedPosition && this.uiUtilities) {
            (0, showPasteOptionPane_1.default)(this.uiUtilities, focusedPosition, this.onPaste, this.pasteOptionRef, this.strings);
        }
    };
    return PasteOptionPlugin;
}());
function cancelEvent(event) {
    event.preventDefault();
    event.stopPropagation();
}
/**
 * Create a new instance of PasteOption plugin to show an option pane when paste, so that user can choose
 * an option to change the paste result, including:
 * - Paste as is
 * - Paste as text
 * - Paste and merge format
 * @param strings Localized string for this plugin
 * @returns A paste option plugin
 */
function createPasteOptionPlugin(strings) {
    return new PasteOptionPlugin(strings);
}
exports["default"] = createPasteOptionPlugin;


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/pasteOptions/utils/buttons.ts":
/*!***********************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/pasteOptions/utils/buttons.ts ***!
  \***********************************************************************/
/***/ ((__unused_webpack_module, exports) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.ButtonKeys = exports.Buttons = void 0;
/**
 * @internal
 */
exports.Buttons = {
    pasteOptionPasteAsIs: {
        unlocalizedText: 'Paste as is',
        shortcut: 'P',
        icon: 'Paste',
    },
    pasteOptionPasteText: {
        unlocalizedText: 'Paste text',
        shortcut: 'T',
        icon: 'PasteAsText',
    },
    pasteOptionMergeFormat: {
        unlocalizedText: 'Paste text and merge format',
        shortcut: 'M',
        icon: 'ClipboardList',
    },
    pasteOptionPasteAsImage: {
        unlocalizedText: 'Paste as image',
        shortcut: 'I',
        icon: 'PictureFill',
    },
};
/**
 * @internal
 */
exports.ButtonKeys = Object.keys(exports.Buttons);


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/Ribbon.tsx":
/*!*********************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/Ribbon.tsx ***!
  \*********************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
var tslib_1 = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.mjs");
var React = __webpack_require__(/*! react */ "react");
var getLocalizedString_1 = __webpack_require__(/*! ../../common/utils/getLocalizedString */ "./packages-ui/roosterjs-react/lib/common/utils/getLocalizedString.ts");
var CommandBar_1 = __webpack_require__(/*! @fluentui/react/lib/CommandBar */ "@fluentui/react/lib/Theme");
var FocusZone_1 = __webpack_require__(/*! @fluentui/react/lib/FocusZone */ "@fluentui/react/lib/Theme");
var roosterjs_editor_dom_1 = __webpack_require__(/*! roosterjs-editor-dom */ "roosterjs-editor-dom");
var Styling_1 = __webpack_require__(/*! @fluentui/react/lib/Styling */ "@fluentui/react/lib/Theme");
var moreCommands_1 = __webpack_require__(/*! ./buttons/moreCommands */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/moreCommands.ts");
var ribbonClassName = (0, Styling_1.mergeStyles)({
    '& .ms-CommandBar': {
        padding: '0px',
    },
});
var rtlIcon = (0, Styling_1.mergeStyles)({
    transform: 'scaleX(-1)',
});
/**
 * The format ribbon component of roosterjs-react
 * @param props Properties of format ribbon component
 * @returns The format ribbon component
 */
function Ribbon(props) {
    var plugin = props.plugin, buttons = props.buttons, strings = props.strings, dir = props.dir;
    var _a = (0, tslib_1.__read)(React.useState(null), 2), formatState = _a[0], setFormatState = _a[1];
    var isRtl = dir == 'rtl';
    var onClick = React.useCallback(function (_, item) {
        if (item) {
            plugin === null || plugin === void 0 ? void 0 : plugin.onButtonClick(item.data, item.key, strings);
        }
    }, [plugin, strings]);
    var onHover = React.useCallback(function (button, key) {
        plugin.startLivePreview(button, key, strings);
    }, [plugin, strings]);
    var onDismiss = React.useCallback(function () {
        plugin.stopLivePreview();
    }, [plugin]);
    var flipIcon = React.useCallback(function (props, defaultRender) {
        if (!defaultRender) {
            return null;
        }
        return React.createElement("span", { className: rtlIcon }, defaultRender(props));
    }, []);
    var commandBarItems = React.useMemo(function () {
        return buttons.map(function (button) {
            var _a, _b, _c, _d;
            var selectedItem = formatState && ((_b = (_a = button.dropDownMenu) === null || _a === void 0 ? void 0 : _a.getSelectedItemKey) === null || _b === void 0 ? void 0 : _b.call(_a, formatState));
            var dropDownMenu = button.dropDownMenu;
            var result = (0, tslib_1.__assign)({ key: button.key, data: button, iconProps: {
                    iconName: button.iconName,
                }, onRenderIcon: isRtl && button.flipWhenRtl ? flipIcon : undefined, iconOnly: true, text: (0, getLocalizedString_1.default)(strings, button.key, button.unlocalizedText), ariaLabel: (0, getLocalizedString_1.default)(strings, button.key, button.unlocalizedText), canCheck: true, checked: (formatState && ((_c = button.isChecked) === null || _c === void 0 ? void 0 : _c.call(button, formatState))) || false, disabled: (formatState && ((_d = button.isDisabled) === null || _d === void 0 ? void 0 : _d.call(button, formatState))) || false }, (button.commandBarProperties || {}));
            var contextMenuItemRenderer = function (props, defaultRenderer) {
                return props && defaultRenderer ? (React.createElement("div", { onMouseOver: function (e) { return onHover(button, props.key); } }, defaultRenderer(props))) : null;
            };
            if (dropDownMenu) {
                result.subMenuProps = (0, tslib_1.__assign)({ shouldFocusOnMount: true, focusZoneProps: { direction: FocusZone_1.FocusZoneDirection.bidirectional }, onMenuDismissed: onDismiss, onItemClick: onClick, onRenderContextualMenuItem: dropDownMenu.allowLivePreview
                        ? contextMenuItemRenderer
                        : undefined, items: (0, roosterjs_editor_dom_1.getObjectKeys)(dropDownMenu.items).map(function (key) { return ({
                        key: key,
                        text: (0, getLocalizedString_1.default)(strings, key, dropDownMenu.items[key]),
                        data: button,
                        canCheck: !!dropDownMenu.getSelectedItemKey,
                        checked: selectedItem == key || false,
                        className: dropDownMenu.itemClassName,
                        onRender: dropDownMenu.itemRender
                            ? function (item) { return dropDownMenu.itemRender(item, onClick); }
                            : undefined,
                    }); }) }, (dropDownMenu.commandBarSubMenuProperties || {}));
            }
            else {
                result.onClick = onClick;
            }
            return result;
        });
    }, [buttons, formatState, isRtl, strings, onClick, onDismiss, onHover]);
    React.useEffect(function () {
        var disposer = plugin === null || plugin === void 0 ? void 0 : plugin.registerFormatChangedCallback(setFormatState);
        return function () {
            disposer === null || disposer === void 0 ? void 0 : disposer();
        };
    }, [plugin]);
    var moreCommandsBtn = moreCommands_1.moreCommands;
    return (React.createElement(CommandBar_1.CommandBar, (0, tslib_1.__assign)({ items: commandBarItems }, props, { className: ribbonClassName + ' ' + ((props === null || props === void 0 ? void 0 : props.className) || ''), overflowButtonProps: (0, tslib_1.__assign)({ ariaLabel: (0, getLocalizedString_1.default)(strings, moreCommandsBtn.key, moreCommandsBtn.unlocalizedText) }, props === null || props === void 0 ? void 0 : props.overflowButtonProps) })));
}
exports["default"] = Ribbon;


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/alignCenter.ts":
/*!*********************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/alignCenter.ts ***!
  \*********************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.alignCenter = void 0;
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
/**
 * @internal
 * "Align center" button on the format ribbon
 */
exports.alignCenter = {
    key: 'buttonNameAlignCenter',
    unlocalizedText: 'Align center',
    iconName: 'AlignCenter',
    onClick: function (editor) {
        (0, roosterjs_editor_api_1.setAlignment)(editor, 1 /* Center */);
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/alignLeft.ts":
/*!*******************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/alignLeft.ts ***!
  \*******************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.alignLeft = void 0;
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
/**
 * @internal
 * "Align left" button on the format ribbon
 */
exports.alignLeft = {
    key: 'buttonNameAlignLeft',
    unlocalizedText: 'Align left',
    iconName: 'AlignLeft',
    onClick: function (editor) {
        (0, roosterjs_editor_api_1.setAlignment)(editor, 0 /* Left */);
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/alignRight.ts":
/*!********************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/alignRight.ts ***!
  \********************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.alignRight = void 0;
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
/**
 * @internal
 * "Align right" button on the format ribbon
 */
exports.alignRight = {
    key: 'buttonNameAlignRight',
    unlocalizedText: 'Align right',
    iconName: 'AlignRight',
    onClick: function (editor) {
        (0, roosterjs_editor_api_1.setAlignment)(editor, 2 /* Right */);
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/backgroundColor.ts":
/*!*************************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/backgroundColor.ts ***!
  \*************************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.backgroundColor = void 0;
var renderColorPicker_1 = __webpack_require__(/*! ../../../colorPicker/component/renderColorPicker */ "./packages-ui/roosterjs-react/lib/colorPicker/component/renderColorPicker.tsx");
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
var getClassNamesForColorPicker_1 = __webpack_require__(/*! ../../../colorPicker/utils/getClassNamesForColorPicker */ "./packages-ui/roosterjs-react/lib/colorPicker/utils/getClassNamesForColorPicker.ts");
var backgroundColors_1 = __webpack_require__(/*! ../../../colorPicker/utils/backgroundColors */ "./packages-ui/roosterjs-react/lib/colorPicker/utils/backgroundColors.ts");
var Key = 'buttonNameBackgroundColor';
/**
 * @internal
 * "Background color" button on the format ribbon
 */
exports.backgroundColor = {
    dropDownMenu: {
        items: backgroundColors_1.BackgroundColorDropDownItems,
        itemClassName: (0, getClassNamesForColorPicker_1.getColorPickerItemClassName)(),
        allowLivePreview: true,
        itemRender: function (item, onClick) { return (0, renderColorPicker_1.renderColorPicker)(item, backgroundColors_1.BackgroundColors, onClick); },
        commandBarSubMenuProperties: {
            className: (0, getClassNamesForColorPicker_1.getColorPickerContainerClassName)(),
        },
    },
    key: Key,
    unlocalizedText: 'Background color',
    iconName: 'FabricTextHighlight',
    onClick: function (editor, key) {
        // This check will always be true, add it here just to satisfy compiler
        if (key != Key) {
            (0, roosterjs_editor_api_1.setBackgroundColor)(editor, (0, backgroundColors_1.getBackgroundColorValue)(key));
        }
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/bold.ts":
/*!**************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/bold.ts ***!
  \**************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.bold = void 0;
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
/**
 * @internal
 * "Bold" button on the format ribbon
 */
exports.bold = {
    key: 'buttonNameBold',
    unlocalizedText: 'Bold',
    iconName: 'Bold',
    isChecked: function (formatState) { return !!formatState.isBold; },
    onClick: function (editor) {
        (0, roosterjs_editor_api_1.toggleBold)(editor);
        return true;
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/bulletedList.ts":
/*!**********************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/bulletedList.ts ***!
  \**********************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.bulletedList = void 0;
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
/**
 * @internal
 * "Bulleted list" button on the format ribbon
 */
exports.bulletedList = {
    key: 'buttonNameBulletedList',
    unlocalizedText: 'Bulleted list',
    iconName: 'BulletedList',
    isChecked: function (formatState) { return !!formatState.isBullet; },
    onClick: function (editor) {
        (0, roosterjs_editor_api_1.toggleBullet)(editor);
        return true;
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/clearFormat.ts":
/*!*********************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/clearFormat.ts ***!
  \*********************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.clearFormat = void 0;
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
/**
 * @internal
 * "Clear format" button on the format ribbon
 */
exports.clearFormat = {
    key: 'buttonNameClearFormat',
    unlocalizedText: 'Clear format',
    iconName: 'ClearFormatting',
    onClick: function (editor) {
        (0, roosterjs_editor_api_1.clearFormat)(editor, 2 /* AutoDetect */);
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/code.ts":
/*!**************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/code.ts ***!
  \**************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.code = void 0;
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
/**
 * @internal
 * "Code" button on the format ribbon
 */
exports.code = {
    key: 'buttonNameCode',
    unlocalizedText: 'Code',
    iconName: 'Code',
    isChecked: function (formatState) { return !!formatState.isCodeBlock; },
    onClick: function (editor) {
        (0, roosterjs_editor_api_1.toggleCodeBlock)(editor);
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/decreaseFontSize.ts":
/*!**************************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/decreaseFontSize.ts ***!
  \**************************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.decreaseFontSize = void 0;
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
/**
 * @internal
 * "Decrease font size" button on the format ribbon
 */
exports.decreaseFontSize = {
    key: 'buttonNameDecreaseFontSize',
    unlocalizedText: 'Decrease font size',
    iconName: 'FontDecrease',
    onClick: function (editor) {
        (0, roosterjs_editor_api_1.changeFontSize)(editor, 1 /* Decrease */);
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/decreaseIndent.ts":
/*!************************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/decreaseIndent.ts ***!
  \************************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.decreaseIndent = void 0;
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
/**
 * @internal
 * "Decrease indent" button on the format ribbon
 */
exports.decreaseIndent = {
    key: 'buttonNameDecreaseIndent',
    unlocalizedText: 'Decrease indent',
    iconName: 'DecreaseIndentLegacy',
    flipWhenRtl: true,
    onClick: function (editor) {
        (0, roosterjs_editor_api_1.setIndentation)(editor, 1 /* Decrease */);
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/font.ts":
/*!**************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/font.ts ***!
  \**************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.font = void 0;
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
var FontNames = [
    { name: 'Arial', family: 'Arial,Helvetica,sans-serif' },
    { name: 'Arial Black', family: "'Arial Black',Arial,sans-serif" },
    { name: 'Calibri', family: 'Calibri,Helvetica,sans-serif' },
    { name: 'Calibri Light', family: "'Calibri Light','Helvetica Light',sans-serif" },
    { name: 'Cambria', family: 'Cambria,Georgia,serif' },
    { name: 'Candara', family: 'Candara,Optima,sans-serif' },
    { name: 'Century Gothic', family: "'Century Gothic',sans-serif" },
    { name: 'Comic Sans MS', family: "'Comic Sans MS',Chalkboard,cursive" },
    { name: 'Consolas', family: 'Consolas,Courier,monospace' },
    { name: 'Constantia', family: "Constantia,'Hoefler Text',serif" },
    { name: 'Corbel', family: 'Corbel,Skia,sans-serif' },
    { name: 'Courier New', family: "'Courier New',monospace" },
    {
        name: 'Franklin Gothic Book',
        family: "'Franklin Gothic Book','Avenir Next Condensed',sans-serif",
    },
    {
        name: 'Franklin Gothic Demi',
        family: "'Franklin Gothic Demi','Avenir Next Condensed Demi Bold',sans-serif",
    },
    {
        name: 'Franklin Gothic Medium',
        family: "'Franklin Gothic Medium','Avenir Next Condensed Medium',sans-serif",
    },
    { name: 'Garamond', family: 'Garamond,Georgia,serif' },
    { name: 'Georgia', family: 'Georgia,serif' },
    { name: 'Impact', family: 'Impact,Charcoal,sans-serif' },
    { name: 'Lucida Console', family: "'Lucida Console',Monaco,monospace" },
    { name: 'Lucida Handwriting', family: "'Lucida Handwriting','Apple Chancery',cursive" },
    { name: 'Lucida Sans Unicode', family: "'Lucida Sans Unicode','Lucida Grande',sans-serif" },
    { name: 'Palatino Linotype', family: "'Palatino Linotype','Book Antiqua',Palatino,serif" },
    {
        name: 'Segoe UI',
        family: "'Segoe UI', 'Segoe UI Web (West European)', 'Helvetica Neue', sans-serif",
    },
    { name: 'Sitka Heading', family: "'Sitka Heading',Cochin,serif" },
    { name: 'Sitka Text', family: "'Sitka Text',Cochin,serif" },
    { name: 'Tahoma', family: 'Tahoma,Geneva,sans-serif' },
    { name: 'Times', family: "Times,'Times New Roman',serif" },
    { name: 'Times New Roman', family: "'Times New Roman',Times,serif" },
    { name: 'Trebuchet MS', family: "'Trebuchet MS',Trebuchet,sans-serif" },
    { name: 'TW Cen MT', family: "'TW Cen MT','Century Gothic',sans-serif" },
    { name: 'Verdana', family: 'Verdana,Geneva,sans-serif' },
    { name: '-', family: 'FontDivider0' },
    {
        name: 'Microsoft YaHei',
        family: "'Microsoft YaHei','微软雅黑',STHeiti,sans-serif",
        localizedName: '微软雅黑',
    },
    { name: 'SimHei', family: "SimHei,'黑体',STHeiti,sans-serif", localizedName: '黑体' },
    {
        name: 'NSimSun',
        family: "NSimSun,'新宋体',SimSun,'宋体',SimSun-ExtB,'宋体-ExtB',STSong,serif",
        localizedName: '新宋体',
    },
    { name: 'FangSong', family: "FangSong,'仿宋',STFangsong,serif", localizedName: '仿宋' },
    { name: 'SimLi', family: "SimLi,'隶书','Baoli SC',serif", localizedName: '隶书' },
    { name: 'KaiTi', family: "KaiTi,'楷体',STKaiti,serif", localizedName: '楷体' },
    { name: '-', family: 'FontDivider1' },
    {
        name: 'Microsoft JhengHei',
        family: "'Microsoft JhengHei','微軟正黑體','Apple LiGothic',sans-serif",
        localizedName: '微軟正黑體',
    },
    {
        name: 'PMingLiU',
        family: "PMingLiU,'新細明體',PMingLiU-ExtB,'新細明體-ExtB','Apple LiSung',serif",
        localizedName: '新細明體',
    },
    { name: 'DFKai-SB', family: "DFKai-SB,'標楷體','BiauKai',serif", localizedName: '標楷體' },
    { name: '-', family: 'FontDivider2' },
    {
        name: 'Meiryo',
        family: "Meiryo,'メイリオ','Hiragino Sans',sans-serif",
        localizedName: 'メイリオ',
    },
    {
        name: 'MS PGothic',
        family: "'MS PGothic','ＭＳ Ｐゴシック','MS Gothic','ＭＳ ゴシック','Hiragino Kaku Gothic ProN',sans-serif",
        localizedName: 'ＭＳ Ｐゴシック',
    },
    {
        name: 'MS PMincho',
        family: "'MS PMincho','ＭＳ Ｐ明朝','MS Mincho','ＭＳ 明朝','Hiragino Mincho ProN',serif",
        localizedName: 'ＭＳ Ｐ明朝',
    },
    {
        name: 'Yu Gothic',
        family: "'Yu Gothic','游ゴシック','YuGothic',sans-serif",
        localizedName: '游ゴシック',
    },
    { name: 'Yu Mincho', family: "'Yu Mincho','游明朝','YuMincho',serif", localizedName: '游明朝' },
    { name: '-', family: 'FontDivider3' },
    {
        name: 'Malgun Gothic',
        family: "'Malgun Gothic','맑은 고딕',AppleGothic,sans-serif",
        localizedName: '맑은 고딕',
    },
    { name: 'Gulim', family: "Gulim,'굴림','Nanum Gothic',sans-serif", localizedName: '굴림' },
    { name: 'Dotum', family: "Dotum,'돋움',AppleGothic,sans-serif", localizedName: '돋움' },
    { name: 'Batang', family: "Batang,'바탕',AppleMyungjo,serif", localizedName: '바탕' },
    { name: 'BatangChe', family: "BatangChe,'바탕체',AppleMyungjo,serif", localizedName: '바탕체' },
    { name: 'Gungsuh', family: "Gungsuh,'궁서',GungSeo,serif", localizedName: '궁서' },
    { name: '-', family: 'FontDivider4' },
    { name: 'Leelawadee UI', family: "'Leelawadee UI',Thonburi,sans-serif" },
    { name: 'Angsana New', family: "'Angsana New','Leelawadee UI',Sathu,serif" },
    { name: 'Cordia New', family: "'Cordia New','Leelawadee UI',Silom,sans-serif" },
    { name: 'DaunPenh', family: "DaunPenh,'Leelawadee UI','Khmer MN',sans-serif" },
    { name: '-', family: 'FontDivider5' },
    { name: 'Nirmala UI', family: "'Nirmala UI',sans-serif" },
    { name: 'Gautami', family: "Gautami,'Nirmala UI','Telugu MN',sans-serif" },
    { name: 'Iskoola Pota', family: "'Iskoola Pota','Nirmala UI','Sinhala MN',sans-serif" },
    { name: 'Kalinga', family: "Kalinga,'Nirmala UI','Oriya MN',sans-serif" },
    { name: 'Kartika', family: "Kartika,'Nirmala UI','Malayalam MN',sans-serif" },
    { name: 'Latha', family: "Latha,'Nirmala UI','Tamil MN',sans-serif" },
    { name: 'Mangal', family: "Mangal,'Nirmala UI','Devanagari Sangam MN',sans-serif" },
    { name: 'Raavi', family: "Raavi,'Nirmala UI','Gurmukhi MN',sans-serif" },
    { name: 'Shruti', family: "Shruti,'Nirmala UI','Gujarati Sangam MN',sans-serif" },
    { name: 'Tunga', family: "Tunga,'Nirmala UI','Kannada MN',sans-serif" },
    { name: 'Vrinda', family: "Vrinda,'Nirmala UI','Bangla MN',sans-serif" },
    { name: '-', family: 'FontDivider6' },
    { name: 'Nyala', family: 'Nyala,Kefa,sans-serif' },
    { name: 'Sylfaen', family: 'Sylfaen,Mshtakan,Menlo,serif' }, //other-armenian-georgian
];
var DropDownItems = FontNames.reduce(function (items, font) {
    items[font.family] = font.localizedName || font.name;
    return items;
}, {});
var LowerCaseFontMap = FontNames.reduce(function (items, font) {
    items[font.name.toLowerCase()] = font.family;
    return items;
}, {});
var FirstFontRegex = /^['"]?([^'",]+)/i;
/**
 * @internal
 * "Font" button on the format ribbon
 */
exports.font = {
    key: 'buttonNameFont',
    unlocalizedText: 'Font',
    iconName: 'Font',
    dropDownMenu: {
        items: DropDownItems,
        getSelectedItemKey: function (formatState) {
            var _a, _b;
            var matches = (_a = formatState.fontName) === null || _a === void 0 ? void 0 : _a.match(FirstFontRegex);
            var firstName = (_b = matches === null || matches === void 0 ? void 0 : matches[1]) === null || _b === void 0 ? void 0 : _b.toLowerCase();
            var selectedKey = (firstName && LowerCaseFontMap[firstName]) || '';
            return selectedKey;
        },
        allowLivePreview: true,
    },
    onClick: function (editor, font) {
        (0, roosterjs_editor_api_1.setFontName)(editor, font);
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/fontSize.ts":
/*!******************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/fontSize.ts ***!
  \******************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.fontSize = void 0;
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
/**
 * @internal
 * "Font Size" button on the format ribbon
 */
exports.fontSize = {
    key: 'buttonNameFontSize',
    unlocalizedText: 'Font size',
    iconName: 'FontSize',
    dropDownMenu: {
        items: roosterjs_editor_api_1.FONT_SIZES.reduce(function (map, size) {
            map[size + 'pt'] = size.toString();
            return map;
        }, {}),
        getSelectedItemKey: function (formatState) { var _a; return (_a = formatState.fontSize) !== null && _a !== void 0 ? _a : null; },
        allowLivePreview: true,
    },
    onClick: function (editor, size) {
        (0, roosterjs_editor_api_1.setFontSize)(editor, size);
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/heading.ts":
/*!*****************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/heading.ts ***!
  \*****************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.heading = void 0;
var roosterjs_editor_dom_1 = __webpack_require__(/*! roosterjs-editor-dom */ "roosterjs-editor-dom");
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
var headings = {
    buttonNameHeading1: 'Heading 1',
    buttonNameHeading2: 'Heading 2',
    buttonNameHeading3: 'Heading 3',
    buttonNameHeading4: 'Heading 4',
    buttonNameHeading5: 'Heading 5',
    buttonNameHeading6: 'Heading 6',
    '-': '-',
    buttonNameNoHeading: 'No heading',
};
/**
 * @internal
 * "Heading" button on the format ribbon
 */
exports.heading = {
    key: 'buttonNameHeading',
    unlocalizedText: 'Heading',
    iconName: 'Header1',
    dropDownMenu: {
        items: headings,
        getSelectedItemKey: function (formatState) {
            var _a;
            return ((_a = formatState.headingLevel) !== null && _a !== void 0 ? _a : 0) > 0
                ? 'heading' + formatState.headingLevel
                : 'noHeading';
        },
    },
    onClick: function (editor, key) {
        var index = (0, roosterjs_editor_dom_1.getObjectKeys)(headings).indexOf(key) + 1;
        if (index > 6) {
            (0, roosterjs_editor_api_1.setHeadingLevel)(editor, 0);
        }
        else if (index > 0) {
            (0, roosterjs_editor_api_1.setHeadingLevel)(editor, index);
        }
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/increaseFontSize.ts":
/*!**************************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/increaseFontSize.ts ***!
  \**************************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.increaseFontSize = void 0;
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
/**
 * @internal
 * "Increase font size" button on the format ribbon
 */
exports.increaseFontSize = {
    key: 'buttonNameIncreaseFontSize',
    unlocalizedText: 'Increase font size',
    iconName: 'FontIncrease',
    onClick: function (editor) {
        (0, roosterjs_editor_api_1.changeFontSize)(editor, 0 /* Increase */);
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/increaseIndent.ts":
/*!************************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/increaseIndent.ts ***!
  \************************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.increaseIndent = void 0;
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
/**
 * @internal
 * "Increase indent" button on the format ribbon
 */
exports.increaseIndent = {
    key: 'buttonNameIncreaseIndent',
    unlocalizedText: 'Increase indent',
    iconName: 'IncreaseIndentLegacy',
    flipWhenRtl: true,
    onClick: function (editor) {
        (0, roosterjs_editor_api_1.setIndentation)(editor, 0 /* Increase */);
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/insertImage.ts":
/*!*********************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/insertImage.ts ***!
  \*********************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.insertImage = void 0;
var roosterjs_editor_dom_1 = __webpack_require__(/*! roosterjs-editor-dom */ "roosterjs-editor-dom");
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
var FileInput = {
    tag: 'input',
    attributes: {
        type: 'file',
        accept: 'image/*',
        display: 'none',
    },
};
/**
 * @internal
 * "Insert image" button on the format ribbon
 */
exports.insertImage = {
    key: 'buttonNameInsertImage',
    unlocalizedText: 'Insert image',
    iconName: 'Photo2',
    onClick: function (editor) {
        var document = editor.getDocument();
        var fileInput = (0, roosterjs_editor_dom_1.createElement)(FileInput, document);
        document.body.appendChild(fileInput);
        fileInput.addEventListener('change', function () {
            if (fileInput.files) {
                for (var i = 0; i < fileInput.files.length; i++) {
                    (0, roosterjs_editor_api_1.insertImage)(editor, fileInput.files[i]);
                }
            }
        });
        try {
            fileInput.click();
        }
        finally {
            document.body.removeChild(fileInput);
        }
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/insertLink.ts":
/*!********************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/insertLink.ts ***!
  \********************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.insertLink = void 0;
var showInputDialog_1 = __webpack_require__(/*! ../../../inputDialog/utils/showInputDialog */ "./packages-ui/roosterjs-react/lib/inputDialog/utils/showInputDialog.tsx");
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
/**
 * @internal
 * "Insert link" button on the format ribbon
 */
exports.insertLink = {
    key: 'buttonNameInsertLink',
    unlocalizedText: 'Insert link',
    iconName: 'Link',
    isDisabled: function (formatState) { return !!formatState.isMultilineSelection; },
    onClick: function (editor, _, strings, uiUtilities) {
        var _a;
        var existingLink = editor.queryElements('a[href]', 1 /* OnSelection */)[0];
        var url = (existingLink === null || existingLink === void 0 ? void 0 : existingLink.href) || '';
        var displayText = (existingLink === null || existingLink === void 0 ? void 0 : existingLink.textContent) || ((_a = editor.getSelectionRange()) === null || _a === void 0 ? void 0 : _a.toString()) || '';
        var items = {
            url: {
                autoFocus: true,
                labelKey: 'insertLinkDialogUrl',
                unlocalizedLabel: 'Web address (URL)',
                initValue: url,
            },
            displayText: {
                labelKey: 'insertLinkDialogDisplayAs',
                unlocalizedLabel: 'Display as',
                initValue: displayText,
            },
        };
        (0, showInputDialog_1.default)(uiUtilities, 'insertLinkTitle', 'Insert link', items, strings, function (itemName, newValue, values) {
            if (itemName == 'url' && values.displayText == values.url) {
                values.displayText = newValue;
                values.url = newValue;
                return values;
            }
            else {
                return null;
            }
        }).then(function (result) {
            editor.focus();
            if (result &&
                result.displayText &&
                result.url &&
                (result.displayText != displayText || result.url != url)) {
                (0, roosterjs_editor_api_1.createLink)(editor, result.url, result.url, result.displayText);
            }
        });
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/insertTable.tsx":
/*!**********************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/insertTable.tsx ***!
  \**********************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.insertTable = void 0;
var tslib_1 = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.mjs");
var React = __webpack_require__(/*! react */ "react");
var FocusZone_1 = __webpack_require__(/*! @fluentui/react/lib/FocusZone */ "@fluentui/react/lib/Theme");
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
var Styling_1 = __webpack_require__(/*! @fluentui/react/lib/Styling */ "@fluentui/react/lib/Theme");
var roosterjs_editor_dom_1 = __webpack_require__(/*! roosterjs-editor-dom */ "roosterjs-editor-dom");
var MaxRows = 10;
var MaxCols = 10;
var classNames = (0, Styling_1.mergeStyleSets)({
    tableButton: {
        width: '15px',
        height: '15px',
        margin: '1px 1px 0 0',
        border: 'solid 1px #a19f9d',
        display: 'inline-block',
        cursor: 'pointer',
        backgroundColor: 'transparent',
    },
    hovered: {
        border: 'solid 1px #DB626C',
    },
    tablePane: {
        width: '160px',
        minWidth: 'auto',
        padding: '4px',
        boxSizing: 'content-box',
    },
    tablePaneInner: {
        lineHeight: '12px',
    },
    title: {
        margin: '5px 0',
    },
});
/**
 * @internal
 * "Insert table" button on the format ribbon
 */
exports.insertTable = {
    key: 'buttonNameInsertTable',
    unlocalizedText: 'Insert table',
    iconName: 'Table',
    onClick: function (editor, key) {
        var _a = parseKey(key), row = _a.row, col = _a.col;
        (0, roosterjs_editor_api_1.insertTable)(editor, col, row);
    },
    dropDownMenu: {
        items: {
            insertTablePane: '{0} x {1} table',
        },
        itemRender: function (item, onClick) {
            return React.createElement(InsertTablePane, { item: item, onClick: onClick });
        },
        commandBarSubMenuProperties: {
            className: classNames.tablePane,
        },
    },
};
function InsertTablePane(props) {
    var _a;
    var item = props.item, onClick = props.onClick;
    var _b = (0, tslib_1.__read)(React.useState(1), 2), col = _b[0], setCol = _b[1];
    var _c = (0, tslib_1.__read)(React.useState(1), 2), row = _c[0], setRow = _c[1];
    var updateSize = React.useCallback(function (t) {
        var _a, _b;
        if ((0, roosterjs_editor_dom_1.safeInstanceOf)(t, 'HTMLElement')) {
            var col_1 = parseInt((_a = t.dataset.col) !== null && _a !== void 0 ? _a : '-1');
            var row_1 = parseInt((_b = t.dataset.row) !== null && _b !== void 0 ? _b : '-1');
            if (col_1 > 0 && col_1 <= MaxCols && row_1 > 0 && row_1 <= MaxRows) {
                setCol(col_1);
                setRow(row_1);
            }
        }
    }, [setCol, setRow]);
    var onMouseEnter = React.useCallback(function (e) {
        updateSize(e.target);
    }, [updateSize]);
    var onClickButton = React.useCallback(function (e) {
        onClick(e, (0, tslib_1.__assign)((0, tslib_1.__assign)({}, item), { key: createKey(row, col) }));
    }, [row, col, onClick]);
    var ariaLabels = React.useMemo(function () {
        var _a;
        var result = [];
        for (var i = 1; i <= MaxCols; i++) {
            var col_2 = [];
            for (var j = 1; j <= MaxRows; j++) {
                col_2[j] = formatText((_a = item.text) !== null && _a !== void 0 ? _a : '', i, j);
            }
            result[i] = col_2;
        }
        return result;
    }, [item.text]);
    var items = React.useMemo(function () {
        var items = [];
        for (var i = 1; i <= MaxRows; i++) {
            for (var j = 1; j <= MaxCols; j++) {
                var key = "cell_" + i + "_" + j;
                var isSelected = j <= col && i <= row;
                items.push(React.createElement("button", { className: classNames.tableButton + ' ' + (isSelected ? classNames.hovered : ''), onClick: onClickButton, key: key, id: key, "data-col": j, "data-row": i, "data-is-focusable": true, onMouseEnter: onMouseEnter, "aria-label": ariaLabels[i][j] }));
            }
        }
        return items;
    }, [col, row]);
    var text = formatText((_a = item.text) !== null && _a !== void 0 ? _a : '', row, col);
    return (React.createElement("div", { className: classNames.tablePaneInner },
        React.createElement("div", { className: classNames.title }, text),
        React.createElement(FocusZone_1.FocusZone, { defaultActiveElement: "cell_1_1", direction: FocusZone_1.FocusZoneDirection.bidirectional, onActiveElementChanged: updateSize }, items)));
}
function formatText(text, row, col) {
    return text.replace('{0}', col.toString()).replace('{1}', row.toString());
}
function createKey(row, col) {
    return row + "," + col;
}
function parseKey(key) {
    var _a = (0, tslib_1.__read)(key.split(','), 2), row = _a[0], col = _a[1];
    return {
        row: parseInt(row),
        col: parseInt(col),
    };
}


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/italic.ts":
/*!****************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/italic.ts ***!
  \****************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.italic = void 0;
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
/**
 * @internal
 * "Italic" button on the format ribbon
 */
exports.italic = {
    key: 'buttonNameItalic',
    unlocalizedText: 'Italic',
    iconName: 'Italic',
    isChecked: function (formatState) { return !!formatState.isItalic; },
    onClick: function (editor) {
        (0, roosterjs_editor_api_1.toggleItalic)(editor);
        return true;
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/ltr.ts":
/*!*************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/ltr.ts ***!
  \*************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.ltr = void 0;
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
/**
 * @internal
 * "Left to right" button on the format ribbon
 */
exports.ltr = {
    key: 'buttonNameLtr',
    unlocalizedText: 'Left to right',
    iconName: 'BidiLtr',
    onClick: function (editor) {
        (0, roosterjs_editor_api_1.setDirection)(editor, 0 /* LeftToRight */);
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/moreCommands.ts":
/*!**********************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/moreCommands.ts ***!
  \**********************************************************************************/
/***/ ((__unused_webpack_module, exports) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.moreCommands = void 0;
/**
 * @internal
 * "More commands" (overflow) button on the format ribbon
 */
exports.moreCommands = {
    key: 'buttonNameMoreCommands',
    unlocalizedText: 'More commands',
    iconName: 'MoreCommands',
    onClick: function (editor) {
        return true;
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/numberedList.ts":
/*!**********************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/numberedList.ts ***!
  \**********************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.numberedList = void 0;
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
/**
 * @internal
 * "Numbered list" button on the format ribbon
 */
exports.numberedList = {
    key: 'buttonNameNumberedList',
    unlocalizedText: 'Numbered list',
    iconName: 'NumberedList',
    isChecked: function (formatState) { return !!formatState.isNumbering; },
    onClick: function (editor) {
        (0, roosterjs_editor_api_1.toggleNumbering)(editor);
        return true;
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/quote.ts":
/*!***************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/quote.ts ***!
  \***************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.quote = void 0;
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
/**
 * @internal
 * "Quote" button on the format ribbon
 */
exports.quote = {
    key: 'buttonNameQuote',
    unlocalizedText: 'Quote',
    iconName: 'RightDoubleQuote',
    isChecked: function (formatState) { return !!formatState.isBlockQuote; },
    onClick: function (editor) {
        (0, roosterjs_editor_api_1.toggleBlockQuote)(editor);
        return true;
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/redo.ts":
/*!**************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/redo.ts ***!
  \**************************************************************************/
/***/ ((__unused_webpack_module, exports) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.redo = void 0;
/**
 * @internal
 * "Redo" button on the format ribbon
 */
exports.redo = {
    key: 'buttonNameRedo',
    unlocalizedText: 'Redo',
    iconName: 'Redo',
    isDisabled: function (formatState) { return !formatState.canRedo; },
    onClick: function (editor) {
        editor.redo();
        return true;
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/removeLink.ts":
/*!********************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/removeLink.ts ***!
  \********************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.removeLink = void 0;
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
/**
 * @internal
 * "Remove link" button on the format ribbon
 */
exports.removeLink = {
    key: 'buttonNameRemoveLink',
    unlocalizedText: 'Remove link',
    iconName: 'RemoveLink',
    isDisabled: function (formatState) { return !formatState.canUnlink; },
    onClick: function (editor) {
        (0, roosterjs_editor_api_1.removeLink)(editor);
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/rtl.ts":
/*!*************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/rtl.ts ***!
  \*************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.rtl = void 0;
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
/**
 * @internal
 * "Right to left" button on the format ribbon
 */
exports.rtl = {
    key: 'buttonNameRtl',
    unlocalizedText: 'Right to left',
    iconName: 'BidiRtl',
    onClick: function (editor) {
        (0, roosterjs_editor_api_1.setDirection)(editor, 1 /* RightToLeft */);
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/strikethrough.ts":
/*!***********************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/strikethrough.ts ***!
  \***********************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.strikethrough = void 0;
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
/**
 * @internal
 * "Strikethrough" button on the format ribbon
 */
exports.strikethrough = {
    key: 'buttonNameStrikethrough',
    unlocalizedText: 'Strikethrough',
    iconName: 'Strikethrough',
    isChecked: function (formatState) { return !!formatState.isStrikeThrough; },
    onClick: function (editor) {
        (0, roosterjs_editor_api_1.toggleStrikethrough)(editor);
        return true;
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/subscript.ts":
/*!*******************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/subscript.ts ***!
  \*******************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.subscript = void 0;
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
/**
 * @internal
 * "Subscript" button on the format ribbon
 */
exports.subscript = {
    key: 'buttonNameSubscript',
    unlocalizedText: 'Subscript',
    iconName: 'Subscript',
    isChecked: function (formatState) { return !!formatState.isSubscript; },
    onClick: function (editor) {
        (0, roosterjs_editor_api_1.toggleSubscript)(editor);
        return true;
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/superscript.ts":
/*!*********************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/superscript.ts ***!
  \*********************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.superscript = void 0;
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
/**
 * @internal
 * "Superscript" button on the format ribbon
 */
exports.superscript = {
    key: 'buttonNameSuperscript',
    unlocalizedText: 'Superscript',
    iconName: 'Superscript',
    isChecked: function (formatState) { return !!formatState.isSuperscript; },
    onClick: function (editor) {
        (0, roosterjs_editor_api_1.toggleSuperscript)(editor);
        return true;
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/textColor.ts":
/*!*******************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/textColor.ts ***!
  \*******************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.textColor = void 0;
var renderColorPicker_1 = __webpack_require__(/*! ../../../colorPicker/component/renderColorPicker */ "./packages-ui/roosterjs-react/lib/colorPicker/component/renderColorPicker.tsx");
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
var textColors_1 = __webpack_require__(/*! ../../../colorPicker/utils/textColors */ "./packages-ui/roosterjs-react/lib/colorPicker/utils/textColors.ts");
var getClassNamesForColorPicker_1 = __webpack_require__(/*! ../../../colorPicker/utils/getClassNamesForColorPicker */ "./packages-ui/roosterjs-react/lib/colorPicker/utils/getClassNamesForColorPicker.ts");
var Key = 'buttonNameTextColor';
/**
 * @internal
 * "Text color" button on the format ribbon
 */
exports.textColor = {
    dropDownMenu: {
        items: textColors_1.TextColorDropDownItems,
        itemClassName: (0, getClassNamesForColorPicker_1.getColorPickerItemClassName)(),
        allowLivePreview: true,
        itemRender: function (item, onClick) { return (0, renderColorPicker_1.renderColorPicker)(item, textColors_1.TextColors, onClick); },
        commandBarSubMenuProperties: {
            className: (0, getClassNamesForColorPicker_1.getColorPickerContainerClassName)(),
        },
    },
    key: Key,
    unlocalizedText: 'Text color',
    iconName: 'FontColor',
    onClick: function (editor, key) {
        // This check will always be true, add it here just to satisfy compiler
        if (key != Key) {
            (0, roosterjs_editor_api_1.setTextColor)(editor, (0, textColors_1.getTextColorValue)(key));
        }
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/underline.ts":
/*!*******************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/underline.ts ***!
  \*******************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.underline = void 0;
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
/**
 * @internal
 * "Underline" button on the format ribbon
 */
exports.underline = {
    key: 'buttonNameUnderline',
    unlocalizedText: 'Underline',
    iconName: 'Underline',
    isChecked: function (formatState) { return !!formatState.isUnderline; },
    onClick: function (editor) {
        (0, roosterjs_editor_api_1.toggleUnderline)(editor);
        return true;
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/undo.ts":
/*!**************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/buttons/undo.ts ***!
  \**************************************************************************/
/***/ ((__unused_webpack_module, exports) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.undo = void 0;
/**
 * @internal
 * "Undo" button on the format ribbon
 */
exports.undo = {
    key: 'buttonNameUndo',
    unlocalizedText: 'Undo',
    iconName: 'undo',
    isDisabled: function (formatState) { return !formatState.canUndo; },
    onClick: function (editor) {
        editor.undo();
        return true;
    },
};


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/component/getButtons.ts":
/*!************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/component/getButtons.ts ***!
  \************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


var _a;
Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.AllButtonKeys = void 0;
var alignCenter_1 = __webpack_require__(/*! ./buttons/alignCenter */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/alignCenter.ts");
var alignLeft_1 = __webpack_require__(/*! ./buttons/alignLeft */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/alignLeft.ts");
var alignRight_1 = __webpack_require__(/*! ./buttons/alignRight */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/alignRight.ts");
var backgroundColor_1 = __webpack_require__(/*! ./buttons/backgroundColor */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/backgroundColor.ts");
var bold_1 = __webpack_require__(/*! ./buttons/bold */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/bold.ts");
var bulletedList_1 = __webpack_require__(/*! ./buttons/bulletedList */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/bulletedList.ts");
var clearFormat_1 = __webpack_require__(/*! ./buttons/clearFormat */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/clearFormat.ts");
var code_1 = __webpack_require__(/*! ./buttons/code */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/code.ts");
var decreaseFontSize_1 = __webpack_require__(/*! ./buttons/decreaseFontSize */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/decreaseFontSize.ts");
var decreaseIndent_1 = __webpack_require__(/*! ./buttons/decreaseIndent */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/decreaseIndent.ts");
var font_1 = __webpack_require__(/*! ./buttons/font */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/font.ts");
var fontSize_1 = __webpack_require__(/*! ./buttons/fontSize */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/fontSize.ts");
var heading_1 = __webpack_require__(/*! ./buttons/heading */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/heading.ts");
var increaseFontSize_1 = __webpack_require__(/*! ./buttons/increaseFontSize */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/increaseFontSize.ts");
var increaseIndent_1 = __webpack_require__(/*! ./buttons/increaseIndent */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/increaseIndent.ts");
var insertImage_1 = __webpack_require__(/*! ./buttons/insertImage */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/insertImage.ts");
var insertLink_1 = __webpack_require__(/*! ./buttons/insertLink */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/insertLink.ts");
var insertTable_1 = __webpack_require__(/*! ./buttons/insertTable */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/insertTable.tsx");
var italic_1 = __webpack_require__(/*! ./buttons/italic */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/italic.ts");
var KnownRibbonButton_1 = __webpack_require__(/*! ../type/KnownRibbonButton */ "./packages-ui/roosterjs-react/lib/ribbon/type/KnownRibbonButton.ts");
var ltr_1 = __webpack_require__(/*! ./buttons/ltr */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/ltr.ts");
var numberedList_1 = __webpack_require__(/*! ./buttons/numberedList */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/numberedList.ts");
var quote_1 = __webpack_require__(/*! ./buttons/quote */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/quote.ts");
var redo_1 = __webpack_require__(/*! ./buttons/redo */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/redo.ts");
var removeLink_1 = __webpack_require__(/*! ./buttons/removeLink */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/removeLink.ts");
var rtl_1 = __webpack_require__(/*! ./buttons/rtl */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/rtl.ts");
var strikethrough_1 = __webpack_require__(/*! ./buttons/strikethrough */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/strikethrough.ts");
var subscript_1 = __webpack_require__(/*! ./buttons/subscript */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/subscript.ts");
var superscript_1 = __webpack_require__(/*! ./buttons/superscript */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/superscript.ts");
var textColor_1 = __webpack_require__(/*! ./buttons/textColor */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/textColor.ts");
var underline_1 = __webpack_require__(/*! ./buttons/underline */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/underline.ts");
var undo_1 = __webpack_require__(/*! ./buttons/undo */ "./packages-ui/roosterjs-react/lib/ribbon/component/buttons/undo.ts");
var KnownRibbonButtons = (_a = {},
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.Bold] = bold_1.bold,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.Italic] = italic_1.italic,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.Underline] = underline_1.underline,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.Font] = font_1.font,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.FontSize] = fontSize_1.fontSize,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.IncreaseFontSize] = increaseFontSize_1.increaseFontSize,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.DecreaseFontSize] = decreaseFontSize_1.decreaseFontSize,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.TextColor] = textColor_1.textColor,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.BackgroundColor] = backgroundColor_1.backgroundColor,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.BulletedList] = bulletedList_1.bulletedList,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.NumberedList] = numberedList_1.numberedList,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.DecreaseIndent] = decreaseIndent_1.decreaseIndent,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.IncreaseIndent] = increaseIndent_1.increaseIndent,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.Quote] = quote_1.quote,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.AlignLeft] = alignLeft_1.alignLeft,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.AlignCenter] = alignCenter_1.alignCenter,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.AlignRight] = alignRight_1.alignRight,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.InsertLink] = insertLink_1.insertLink,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.RemoveLink] = removeLink_1.removeLink,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.InsertTable] = insertTable_1.insertTable,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.InsertImage] = insertImage_1.insertImage,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.Superscript] = superscript_1.superscript,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.Subscript] = subscript_1.subscript,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.Strikethrough] = strikethrough_1.strikethrough,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.Header] = heading_1.heading,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.Heading] = heading_1.heading,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.Code] = code_1.code,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.Ltr] = ltr_1.ltr,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.Rtl] = rtl_1.rtl,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.Undo] = undo_1.undo,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.Redo] = redo_1.redo,
    _a[KnownRibbonButton_1.KnownRibbonButtonKey.ClearFormat] = clearFormat_1.clearFormat,
    _a);
/**
 * An array of keys of all known ribbon buttons
 */
exports.AllButtonKeys = [
    KnownRibbonButton_1.KnownRibbonButtonKey.Bold,
    KnownRibbonButton_1.KnownRibbonButtonKey.Italic,
    KnownRibbonButton_1.KnownRibbonButtonKey.Underline,
    KnownRibbonButton_1.KnownRibbonButtonKey.Font,
    KnownRibbonButton_1.KnownRibbonButtonKey.FontSize,
    KnownRibbonButton_1.KnownRibbonButtonKey.IncreaseFontSize,
    KnownRibbonButton_1.KnownRibbonButtonKey.DecreaseFontSize,
    KnownRibbonButton_1.KnownRibbonButtonKey.TextColor,
    KnownRibbonButton_1.KnownRibbonButtonKey.BackgroundColor,
    KnownRibbonButton_1.KnownRibbonButtonKey.BulletedList,
    KnownRibbonButton_1.KnownRibbonButtonKey.NumberedList,
    KnownRibbonButton_1.KnownRibbonButtonKey.DecreaseIndent,
    KnownRibbonButton_1.KnownRibbonButtonKey.IncreaseIndent,
    KnownRibbonButton_1.KnownRibbonButtonKey.Quote,
    KnownRibbonButton_1.KnownRibbonButtonKey.AlignLeft,
    KnownRibbonButton_1.KnownRibbonButtonKey.AlignCenter,
    KnownRibbonButton_1.KnownRibbonButtonKey.AlignRight,
    KnownRibbonButton_1.KnownRibbonButtonKey.InsertLink,
    KnownRibbonButton_1.KnownRibbonButtonKey.RemoveLink,
    KnownRibbonButton_1.KnownRibbonButtonKey.InsertTable,
    KnownRibbonButton_1.KnownRibbonButtonKey.InsertImage,
    KnownRibbonButton_1.KnownRibbonButtonKey.Superscript,
    KnownRibbonButton_1.KnownRibbonButtonKey.Subscript,
    KnownRibbonButton_1.KnownRibbonButtonKey.Strikethrough,
    KnownRibbonButton_1.KnownRibbonButtonKey.Heading,
    KnownRibbonButton_1.KnownRibbonButtonKey.Code,
    KnownRibbonButton_1.KnownRibbonButtonKey.Ltr,
    KnownRibbonButton_1.KnownRibbonButtonKey.Rtl,
    KnownRibbonButton_1.KnownRibbonButtonKey.Undo,
    KnownRibbonButton_1.KnownRibbonButtonKey.Redo,
    KnownRibbonButton_1.KnownRibbonButtonKey.ClearFormat,
];
/**
 * A shortcut to get all format buttons provided by roosterjs-react
 * @param keyOrButtons An array of buttons or known button key. Default value is all known buttons provided by roosterjs-react
 * @returns An array of all buttons
 */
function getButtons(keyOrButtons) {
    if (keyOrButtons === void 0) { keyOrButtons = exports.AllButtonKeys; }
    return keyOrButtons.map(function (keyOrButton) {
        return typeof keyOrButton == 'number' ? KnownRibbonButtons[keyOrButton] : keyOrButton;
    });
}
exports["default"] = getButtons;


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/index.ts":
/*!*********************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/index.ts ***!
  \*********************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.createRibbonPlugin = exports.AllButtonKeys = exports.getButtons = exports.Ribbon = exports.KnownRibbonButtonKey = void 0;
var KnownRibbonButton_1 = __webpack_require__(/*! ./type/KnownRibbonButton */ "./packages-ui/roosterjs-react/lib/ribbon/type/KnownRibbonButton.ts");
Object.defineProperty(exports, "KnownRibbonButtonKey", ({ enumerable: true, get: function () { return KnownRibbonButton_1.KnownRibbonButtonKey; } }));
var Ribbon_1 = __webpack_require__(/*! ./component/Ribbon */ "./packages-ui/roosterjs-react/lib/ribbon/component/Ribbon.tsx");
Object.defineProperty(exports, "Ribbon", ({ enumerable: true, get: function () { return Ribbon_1.default; } }));
var getButtons_1 = __webpack_require__(/*! ./component/getButtons */ "./packages-ui/roosterjs-react/lib/ribbon/component/getButtons.ts");
Object.defineProperty(exports, "getButtons", ({ enumerable: true, get: function () { return getButtons_1.default; } }));
Object.defineProperty(exports, "AllButtonKeys", ({ enumerable: true, get: function () { return getButtons_1.AllButtonKeys; } }));
var createRibbonPlugin_1 = __webpack_require__(/*! ./plugin/createRibbonPlugin */ "./packages-ui/roosterjs-react/lib/ribbon/plugin/createRibbonPlugin.ts");
Object.defineProperty(exports, "createRibbonPlugin", ({ enumerable: true, get: function () { return createRibbonPlugin_1.default; } }));


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/plugin/createRibbonPlugin.ts":
/*!*****************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/plugin/createRibbonPlugin.ts ***!
  \*****************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
var roosterjs_editor_api_1 = __webpack_require__(/*! roosterjs-editor-api */ "roosterjs-editor-dom");
var roosterjs_editor_dom_1 = __webpack_require__(/*! roosterjs-editor-dom */ "roosterjs-editor-dom");
/**
 * A plugin to connect format ribbon component and the editor
 */
var RibbonPluginImpl = /** @class */ (function () {
    /**
     * Construct a new instance of RibbonPlugin object
     * @param delayUpdateTime The time to wait before refresh the button when user do some editing operation in editor
     */
    function RibbonPluginImpl(delayUpdateTime) {
        if (delayUpdateTime === void 0) { delayUpdateTime = 200; }
        this.delayUpdateTime = delayUpdateTime;
        this.editor = null;
        this.onFormatChanged = null;
        this.timer = 0;
        this.formatState = null;
        this.uiUtilities = null;
    }
    /**
     * Get a friendly name of this plugin
     */
    RibbonPluginImpl.prototype.getName = function () {
        return 'Ribbon';
    };
    /**
     * Initialize this plugin
     * @param editor The editor instance
     */
    RibbonPluginImpl.prototype.initialize = function (editor) {
        this.editor = editor;
    };
    /**
     * Dispose this plugin
     */
    RibbonPluginImpl.prototype.dispose = function () {
        this.editor = null;
    };
    /**
     * Handle events triggered from editor
     * @param event PluginEvent object
     */
    RibbonPluginImpl.prototype.onPluginEvent = function (event) {
        switch (event.eventType) {
            case 11 /* EditorReady */:
            case 7 /* ContentChanged */:
            case 21 /* ZoomChanged */:
                this.updateFormat();
                break;
            case 0 /* KeyDown */:
            case 6 /* MouseUp */:
                this.delayUpdate();
                break;
        }
    };
    /**
     * Set the UI utilities objects to this plugin to help render additional UI elements
     * @param uiUtilities The UI utilities object to set
     */
    RibbonPluginImpl.prototype.setUIUtilities = function (uiUtilities) {
        this.uiUtilities = uiUtilities;
    };
    /**
     * Register a callback to be invoked when format state of editor is changed, returns a disposer function.
     */
    RibbonPluginImpl.prototype.registerFormatChangedCallback = function (callback) {
        var _this = this;
        this.onFormatChanged = callback;
        return function () {
            _this.onFormatChanged = null;
        };
    };
    /**
     * When user clicks on a button, call this method to let the plugin to handle this click event
     * @param button The button that is clicked
     * @param key Key of child menu item that is clicked if any
     * @param strings The localized string map for this button
     */
    RibbonPluginImpl.prototype.onButtonClick = function (button, key, strings) {
        var _a;
        if (this.editor && this.uiUtilities) {
            this.editor.stopShadowEdit();
            button.onClick(this.editor, key, strings, this.uiUtilities);
            if (button.isChecked || button.isDisabled || ((_a = button.dropDownMenu) === null || _a === void 0 ? void 0 : _a.getSelectedItemKey)) {
                this.updateFormat();
            }
        }
    };
    /**
     * Enter live preview state (shadow edit) of editor if there is a non-collapsed selection
     * @param button The button that triggered this action
     * @param key Key of the hovered button sub item
     * @param strings The localized string map for this button
     */
    RibbonPluginImpl.prototype.startLivePreview = function (button, key, strings) {
        if (this.editor && this.uiUtilities) {
            var isInShadowEdit = this.editor.isInShadowEdit();
            // If editor is already in shadow edit, no need to check again.
            // And the check result may be incorrect because the content is changed from last shadow edit and the cached selection path won't apply
            var range = !isInShadowEdit && this.editor.getSelectionRangeEx();
            if (isInShadowEdit || (range && !range.areAllCollapsed)) {
                this.editor.startShadowEdit();
                button.onClick(this.editor, key, strings, this.uiUtilities);
            }
        }
    };
    /**
     * Leave live preview state (shadow edit) of editor
     */
    RibbonPluginImpl.prototype.stopLivePreview = function () {
        var _a;
        (_a = this.editor) === null || _a === void 0 ? void 0 : _a.stopShadowEdit();
    };
    RibbonPluginImpl.prototype.delayUpdate = function () {
        var _this = this;
        var _a;
        var window = (_a = this.editor) === null || _a === void 0 ? void 0 : _a.getDocument().defaultView;
        if (!window) {
            return;
        }
        if (this.timer) {
            window.clearTimeout(this.timer);
        }
        this.timer = window.setTimeout(function () {
            var _a;
            _this.timer = 0;
            (_a = _this.updateFormat) === null || _a === void 0 ? void 0 : _a.call(_this);
        }, this.delayUpdateTime);
    };
    RibbonPluginImpl.prototype.updateFormat = function () {
        var _this = this;
        if (this.editor && this.onFormatChanged) {
            var newFormatState_1 = (0, roosterjs_editor_api_1.getFormatState)(this.editor);
            if (!this.formatState ||
                (0, roosterjs_editor_dom_1.getObjectKeys)(newFormatState_1).some(function (key) { var _a; return newFormatState_1[key] != ((_a = _this.formatState) === null || _a === void 0 ? void 0 : _a[key]); })) {
                this.formatState = newFormatState_1;
                this.onFormatChanged(newFormatState_1);
            }
        }
    };
    return RibbonPluginImpl;
}());
/**
 * Create a new instance of RibbonPlugin object
 * @param delayUpdateTime The time to wait before refresh the button when user do some editing operation in editor
 */
function createRibbonPlugin(delayUpdateTime) {
    return new RibbonPluginImpl(delayUpdateTime);
}
exports["default"] = createRibbonPlugin;


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/ribbon/type/KnownRibbonButton.ts":
/*!**************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/ribbon/type/KnownRibbonButton.ts ***!
  \**************************************************************************/
/***/ ((__unused_webpack_module, exports) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.KnownRibbonButtonKey = void 0;
/**
 * Keys of known ribbon buttons (buttons included in roosterjs-react)
 */
var KnownRibbonButtonKey;
(function (KnownRibbonButtonKey) {
    /**
     * "Bold" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["Bold"] = 0] = "Bold";
    /**
     * "Italic" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["Italic"] = 1] = "Italic";
    /**
     * "Underline" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["Underline"] = 2] = "Underline";
    /**
     * "Font" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["Font"] = 3] = "Font";
    /**
     * "FontSize" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["FontSize"] = 4] = "FontSize";
    /**
     * "IncreaseFontSize" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["IncreaseFontSize"] = 5] = "IncreaseFontSize";
    /**
     * "DecreaseFontSize" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["DecreaseFontSize"] = 6] = "DecreaseFontSize";
    /**
     * "TextColor" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["TextColor"] = 7] = "TextColor";
    /**
     * "BackgroundColor" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["BackgroundColor"] = 8] = "BackgroundColor";
    /**
     * "BulletedList" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["BulletedList"] = 9] = "BulletedList";
    /**
     * "NumberedList" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["NumberedList"] = 10] = "NumberedList";
    /**
     * "DecreaseIndent" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["DecreaseIndent"] = 11] = "DecreaseIndent";
    /**
     * "IncreaseIndent" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["IncreaseIndent"] = 12] = "IncreaseIndent";
    /**
     * "Quote" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["Quote"] = 13] = "Quote";
    /**
     * "AlignLeft" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["AlignLeft"] = 14] = "AlignLeft";
    /**
     * "AlignCenter" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["AlignCenter"] = 15] = "AlignCenter";
    /**
     * "AlignRight" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["AlignRight"] = 16] = "AlignRight";
    /**
     * "InsertLink" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["InsertLink"] = 17] = "InsertLink";
    /**
     * "RemoveLink" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["RemoveLink"] = 18] = "RemoveLink";
    /**
     * "InsertTable" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["InsertTable"] = 19] = "InsertTable";
    /**
     * "InsertImage" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["InsertImage"] = 20] = "InsertImage";
    /**
     * "Superscript" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["Superscript"] = 21] = "Superscript";
    /**
     * "Subscript" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["Subscript"] = 22] = "Subscript";
    /**
     * "Strikethrough" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["Strikethrough"] = 23] = "Strikethrough";
    /**
     * "Heading" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["Heading"] = 24] = "Heading";
    /**
     * "Code" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["Code"] = 25] = "Code";
    /**
     * "Ltr" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["Ltr"] = 26] = "Ltr";
    /**
     * "Rtl" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["Rtl"] = 27] = "Rtl";
    /**
     * "Undo" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["Undo"] = 28] = "Undo";
    /**
     * "Redo" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["Redo"] = 29] = "Redo";
    /**
     * "ClearFormat" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["ClearFormat"] = 30] = "ClearFormat";
    /**
     * @deprecated Use Heading instead
     * "Heading" button on the format ribbon
     */
    KnownRibbonButtonKey[KnownRibbonButtonKey["Header"] = 31] = "Header";
})(KnownRibbonButtonKey = exports.KnownRibbonButtonKey || (exports.KnownRibbonButtonKey = {}));


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/rooster/component/Rooster.tsx":
/*!***********************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/rooster/component/Rooster.tsx ***!
  \***********************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
var tslib_1 = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.mjs");
var React = __webpack_require__(/*! react */ "react");
var index_1 = __webpack_require__(/*! ../../common/index */ "./packages-ui/roosterjs-react/lib/common/index.ts");
var Utilities_1 = __webpack_require__(/*! @fluentui/react/lib/Utilities */ "@fluentui/react/lib/Theme");
var roosterjs_editor_core_1 = __webpack_require__(/*! roosterjs-editor-core */ "roosterjs-editor-dom");
var Theme_1 = __webpack_require__(/*! @fluentui/react/lib/Theme */ "@fluentui/react/lib/Theme");
/**
 * Main component of react wrapper for roosterjs
 * @param props Properties of this component
 * @returns The react component
 */
function Rooster(props) {
    var editorDiv = React.useRef(null);
    var editor = React.useRef(null);
    var theme = (0, Theme_1.useTheme)();
    var focusOnInit = props.focusOnInit, editorCreator = props.editorCreator, zoomScale = props.zoomScale, inDarkMode = props.inDarkMode, plugins = props.plugins;
    React.useEffect(function () {
        if (plugins && editorDiv.current) {
            var uiUtilities_1 = (0, index_1.createUIUtilities)(editorDiv.current, theme);
            plugins.forEach(function (plugin) {
                if (isReactEditorPlugin(plugin)) {
                    plugin.setUIUtilities(uiUtilities_1);
                }
            });
        }
    }, [theme, editorCreator]);
    React.useEffect(function () {
        var _a;
        if (editorDiv.current) {
            editor.current = (editorCreator || defaultEditorCreator)(editorDiv.current, props);
        }
        if (focusOnInit) {
            (_a = editor.current) === null || _a === void 0 ? void 0 : _a.focus();
        }
        return function () {
            if (editor.current) {
                editor.current.dispose();
                editor.current = null;
            }
        };
    }, [editorCreator]);
    React.useEffect(function () {
        var _a;
        (_a = editor.current) === null || _a === void 0 ? void 0 : _a.setDarkModeState(!!inDarkMode);
    }, [inDarkMode]);
    React.useEffect(function () {
        var _a;
        if (zoomScale) {
            (_a = editor.current) === null || _a === void 0 ? void 0 : _a.setZoomScale(zoomScale);
        }
    }, [zoomScale]);
    var divProps = (0, Utilities_1.getNativeProps)(props, Utilities_1.divProperties);
    return React.createElement("div", (0, tslib_1.__assign)({ ref: editorDiv, tabIndex: 0 }, (divProps || {})));
}
exports["default"] = Rooster;
function defaultEditorCreator(div, options) {
    return new roosterjs_editor_core_1.Editor(div, options);
}
function isReactEditorPlugin(plugin) {
    var _a;
    return !!((_a = plugin) === null || _a === void 0 ? void 0 : _a.setUIUtilities);
}


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/rooster/index.ts":
/*!**********************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/rooster/index.ts ***!
  \**********************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.createUpdateContentPlugin = exports.Rooster = exports.UpdateMode = void 0;
var UpdateMode_1 = __webpack_require__(/*! ./type/UpdateMode */ "./packages-ui/roosterjs-react/lib/rooster/type/UpdateMode.ts");
Object.defineProperty(exports, "UpdateMode", ({ enumerable: true, get: function () { return UpdateMode_1.UpdateMode; } }));
var Rooster_1 = __webpack_require__(/*! ./component/Rooster */ "./packages-ui/roosterjs-react/lib/rooster/component/Rooster.tsx");
Object.defineProperty(exports, "Rooster", ({ enumerable: true, get: function () { return Rooster_1.default; } }));
var createUpdateContentPlugin_1 = __webpack_require__(/*! ./plugin/createUpdateContentPlugin */ "./packages-ui/roosterjs-react/lib/rooster/plugin/createUpdateContentPlugin.ts");
Object.defineProperty(exports, "createUpdateContentPlugin", ({ enumerable: true, get: function () { return createUpdateContentPlugin_1.default; } }));


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/rooster/plugin/createUpdateContentPlugin.ts":
/*!*************************************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/rooster/plugin/createUpdateContentPlugin.ts ***!
  \*************************************************************************************/
/***/ ((__unused_webpack_module, exports, __webpack_require__) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
var UpdateMode_1 = __webpack_require__(/*! ../type/UpdateMode */ "./packages-ui/roosterjs-react/lib/rooster/type/UpdateMode.ts");
/**
 * A plugin to help get HTML content from editor
 */
var UpdateContentPluginImpl = /** @class */ (function () {
    /**
     * Create a new instance of UpdateContentPlugin class
     * @param updateMode Mode of automatic update. It can be a combination of multiple UpdateMode values
     * @param onUpdate A callback to be invoked when update happens
     */
    function UpdateContentPluginImpl(updateMode, onUpdate) {
        var _this = this;
        this.updateMode = updateMode;
        this.onUpdate = onUpdate;
        this.editor = null;
        this.disposer = null;
        this.onBlur = function () {
            _this.update(UpdateMode_1.UpdateMode.OnBlur);
        };
    }
    /**
     * Get a friendly name of this plugin
     */
    UpdateContentPluginImpl.prototype.getName = function () {
        return 'UpdateContent';
    };
    /**
     * Initialize this plugin
     * @param editor The editor instance
     */
    UpdateContentPluginImpl.prototype.initialize = function (editor) {
        this.editor = editor;
        this.disposer = this.editor.addDomEventHandler('blur', this.onBlur);
    };
    /**
     * Dispose this plugin
     */
    UpdateContentPluginImpl.prototype.dispose = function () {
        var _a;
        (_a = this.disposer) === null || _a === void 0 ? void 0 : _a.call(this);
        this.disposer = null;
        this.editor = null;
    };
    /**
     * Handle events triggered from editor
     * @param event PluginEvent object
     */
    UpdateContentPluginImpl.prototype.onPluginEvent = function (event) {
        switch (event.eventType) {
            case 11 /* EditorReady */:
                this.update(UpdateMode_1.UpdateMode.OnInitialize);
                break;
            case 12 /* BeforeDispose */:
                this.update(UpdateMode_1.UpdateMode.OnDispose);
                break;
            case 7 /* ContentChanged */:
                this.update(UpdateMode_1.UpdateMode.OnContentChangedEvent);
                break;
            case 3 /* Input */:
                this.update(UpdateMode_1.UpdateMode.OnUserInput);
                break;
        }
    };
    /**
     * Trigger a force update. onUpdate callback will be invoked with HTML content of editor
     */
    UpdateContentPluginImpl.prototype.forceUpdate = function () {
        this.update(UpdateMode_1.UpdateMode.Force);
    };
    UpdateContentPluginImpl.prototype.update = function (mode) {
        if (this.editor &&
            (mode == UpdateMode_1.UpdateMode.Force || ((this.updateMode || 0) & mode) == mode) &&
            this.onUpdate) {
            var content = this.editor.getContent();
            this.onUpdate(content, mode);
        }
    };
    return UpdateContentPluginImpl;
}());
/**
 * Create a new instance of UpdateContentPlugin class
 * @param updateMode Mode of automatic update. It can be a combination of multiple UpdateMode values
 * @param onUpdate A callback to be invoked when update happens
 */
function createUpdateContentPlugin(updateMode, onUpdate) {
    return new UpdateContentPluginImpl(updateMode, onUpdate);
}
exports["default"] = createUpdateContentPlugin;


/***/ }),

/***/ "./packages-ui/roosterjs-react/lib/rooster/type/UpdateMode.ts":
/*!********************************************************************!*\
  !*** ./packages-ui/roosterjs-react/lib/rooster/type/UpdateMode.ts ***!
  \********************************************************************/
/***/ ((__unused_webpack_module, exports) => {


Object.defineProperty(exports, "__esModule", ({ value: true }));
exports.UpdateMode = void 0;
/**
 * Update mode for UpdateContentPlugins
 */
var UpdateMode;
(function (UpdateMode) {
    /**
     * Force update, triggered from UpdateContentPlugin.forceUpdate()
     */
    UpdateMode[UpdateMode["Force"] = 0] = "Force";
    /**
     * Update when editor is initialized
     */
    UpdateMode[UpdateMode["OnInitialize"] = 1] = "OnInitialize";
    /**
     * Update when editor is about to be disposed
     */
    UpdateMode[UpdateMode["OnDispose"] = 2] = "OnDispose";
    /**
     * Update when user input in editor
     */
    UpdateMode[UpdateMode["OnUserInput"] = 4] = "OnUserInput";
    /**
     * Update when ContentChangedEvent is triggered from a plugin
     */
    UpdateMode[UpdateMode["OnContentChangedEvent"] = 8] = "OnContentChangedEvent";
    /**
     * Update when editor loses focus
     */
    UpdateMode[UpdateMode["OnBlur"] = 16] = "OnBlur";
})(UpdateMode = exports.UpdateMode || (exports.UpdateMode = {}));


/***/ }),

/***/ "@fluentui/react/lib/Theme":
/*!********************************!*\
  !*** external "FluentUIReact" ***!
  \********************************/
/***/ ((module) => {

module.exports = __WEBPACK_EXTERNAL_MODULE__fluentui_react_lib_Theme__;

/***/ }),

/***/ "react":
/*!************************!*\
  !*** external "React" ***!
  \************************/
/***/ ((module) => {

module.exports = __WEBPACK_EXTERNAL_MODULE_react__;

/***/ }),

/***/ "react-dom":
/*!***************************!*\
  !*** external "ReactDOM" ***!
  \***************************/
/***/ ((module) => {

module.exports = __WEBPACK_EXTERNAL_MODULE_react_dom__;

/***/ }),

/***/ "roosterjs-editor-dom":
/*!****************************!*\
  !*** external "roosterjs" ***!
  \****************************/
/***/ ((module) => {

module.exports = __WEBPACK_EXTERNAL_MODULE_roosterjs_editor_dom__;

/***/ }),

/***/ "./node_modules/tslib/tslib.es6.mjs":
/*!******************************************!*\
  !*** ./node_modules/tslib/tslib.es6.mjs ***!
  \******************************************/
/***/ ((__unused_webpack___webpack_module__, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   __assign: () => (/* binding */ __assign),
/* harmony export */   __asyncDelegator: () => (/* binding */ __asyncDelegator),
/* harmony export */   __asyncGenerator: () => (/* binding */ __asyncGenerator),
/* harmony export */   __asyncValues: () => (/* binding */ __asyncValues),
/* harmony export */   __await: () => (/* binding */ __await),
/* harmony export */   __awaiter: () => (/* binding */ __awaiter),
/* harmony export */   __classPrivateFieldGet: () => (/* binding */ __classPrivateFieldGet),
/* harmony export */   __classPrivateFieldIn: () => (/* binding */ __classPrivateFieldIn),
/* harmony export */   __classPrivateFieldSet: () => (/* binding */ __classPrivateFieldSet),
/* harmony export */   __createBinding: () => (/* binding */ __createBinding),
/* harmony export */   __decorate: () => (/* binding */ __decorate),
/* harmony export */   __esDecorate: () => (/* binding */ __esDecorate),
/* harmony export */   __exportStar: () => (/* binding */ __exportStar),
/* harmony export */   __extends: () => (/* binding */ __extends),
/* harmony export */   __generator: () => (/* binding */ __generator),
/* harmony export */   __importDefault: () => (/* binding */ __importDefault),
/* harmony export */   __importStar: () => (/* binding */ __importStar),
/* harmony export */   __makeTemplateObject: () => (/* binding */ __makeTemplateObject),
/* harmony export */   __metadata: () => (/* binding */ __metadata),
/* harmony export */   __param: () => (/* binding */ __param),
/* harmony export */   __propKey: () => (/* binding */ __propKey),
/* harmony export */   __read: () => (/* binding */ __read),
/* harmony export */   __rest: () => (/* binding */ __rest),
/* harmony export */   __runInitializers: () => (/* binding */ __runInitializers),
/* harmony export */   __setFunctionName: () => (/* binding */ __setFunctionName),
/* harmony export */   __spread: () => (/* binding */ __spread),
/* harmony export */   __spreadArray: () => (/* binding */ __spreadArray),
/* harmony export */   __spreadArrays: () => (/* binding */ __spreadArrays),
/* harmony export */   __values: () => (/* binding */ __values),
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/******************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */
/* global Reflect, Promise */

var extendStatics = function(d, b) {
  extendStatics = Object.setPrototypeOf ||
      ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
      function (d, b) { for (var p in b) if (Object.prototype.hasOwnProperty.call(b, p)) d[p] = b[p]; };
  return extendStatics(d, b);
};

function __extends(d, b) {
  if (typeof b !== "function" && b !== null)
      throw new TypeError("Class extends value " + String(b) + " is not a constructor or null");
  extendStatics(d, b);
  function __() { this.constructor = d; }
  d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
}

var __assign = function() {
  __assign = Object.assign || function __assign(t) {
      for (var s, i = 1, n = arguments.length; i < n; i++) {
          s = arguments[i];
          for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
      }
      return t;
  }
  return __assign.apply(this, arguments);
}

function __rest(s, e) {
  var t = {};
  for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
      t[p] = s[p];
  if (s != null && typeof Object.getOwnPropertySymbols === "function")
      for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
          if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
              t[p[i]] = s[p[i]];
      }
  return t;
}

function __decorate(decorators, target, key, desc) {
  var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
  if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
  else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
  return c > 3 && r && Object.defineProperty(target, key, r), r;
}

function __param(paramIndex, decorator) {
  return function (target, key) { decorator(target, key, paramIndex); }
}

function __esDecorate(ctor, descriptorIn, decorators, contextIn, initializers, extraInitializers) {
  function accept(f) { if (f !== void 0 && typeof f !== "function") throw new TypeError("Function expected"); return f; }
  var kind = contextIn.kind, key = kind === "getter" ? "get" : kind === "setter" ? "set" : "value";
  var target = !descriptorIn && ctor ? contextIn["static"] ? ctor : ctor.prototype : null;
  var descriptor = descriptorIn || (target ? Object.getOwnPropertyDescriptor(target, contextIn.name) : {});
  var _, done = false;
  for (var i = decorators.length - 1; i >= 0; i--) {
      var context = {};
      for (var p in contextIn) context[p] = p === "access" ? {} : contextIn[p];
      for (var p in contextIn.access) context.access[p] = contextIn.access[p];
      context.addInitializer = function (f) { if (done) throw new TypeError("Cannot add initializers after decoration has completed"); extraInitializers.push(accept(f || null)); };
      var result = (0, decorators[i])(kind === "accessor" ? { get: descriptor.get, set: descriptor.set } : descriptor[key], context);
      if (kind === "accessor") {
          if (result === void 0) continue;
          if (result === null || typeof result !== "object") throw new TypeError("Object expected");
          if (_ = accept(result.get)) descriptor.get = _;
          if (_ = accept(result.set)) descriptor.set = _;
          if (_ = accept(result.init)) initializers.unshift(_);
      }
      else if (_ = accept(result)) {
          if (kind === "field") initializers.unshift(_);
          else descriptor[key] = _;
      }
  }
  if (target) Object.defineProperty(target, contextIn.name, descriptor);
  done = true;
};

function __runInitializers(thisArg, initializers, value) {
  var useValue = arguments.length > 2;
  for (var i = 0; i < initializers.length; i++) {
      value = useValue ? initializers[i].call(thisArg, value) : initializers[i].call(thisArg);
  }
  return useValue ? value : void 0;
};

function __propKey(x) {
  return typeof x === "symbol" ? x : "".concat(x);
};

function __setFunctionName(f, name, prefix) {
  if (typeof name === "symbol") name = name.description ? "[".concat(name.description, "]") : "";
  return Object.defineProperty(f, "name", { configurable: true, value: prefix ? "".concat(prefix, " ", name) : name });
};

function __metadata(metadataKey, metadataValue) {
  if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
}

function __awaiter(thisArg, _arguments, P, generator) {
  function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
  return new (P || (P = Promise))(function (resolve, reject) {
      function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
      function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
      function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
      step((generator = generator.apply(thisArg, _arguments || [])).next());
  });
}

function __generator(thisArg, body) {
  var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
  return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
  function verb(n) { return function (v) { return step([n, v]); }; }
  function step(op) {
      if (f) throw new TypeError("Generator is already executing.");
      while (g && (g = 0, op[0] && (_ = 0)), _) try {
          if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
          if (y = 0, t) op = [op[0] & 2, t.value];
          switch (op[0]) {
              case 0: case 1: t = op; break;
              case 4: _.label++; return { value: op[1], done: false };
              case 5: _.label++; y = op[1]; op = [0]; continue;
              case 7: op = _.ops.pop(); _.trys.pop(); continue;
              default:
                  if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                  if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                  if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                  if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                  if (t[2]) _.ops.pop();
                  _.trys.pop(); continue;
          }
          op = body.call(thisArg, _);
      } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
      if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
  }
}

var __createBinding = Object.create ? (function(o, m, k, k2) {
  if (k2 === undefined) k2 = k;
  var desc = Object.getOwnPropertyDescriptor(m, k);
  if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
  }
  Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
  if (k2 === undefined) k2 = k;
  o[k2] = m[k];
});

function __exportStar(m, o) {
  for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(o, p)) __createBinding(o, m, p);
}

function __values(o) {
  var s = typeof Symbol === "function" && Symbol.iterator, m = s && o[s], i = 0;
  if (m) return m.call(o);
  if (o && typeof o.length === "number") return {
      next: function () {
          if (o && i >= o.length) o = void 0;
          return { value: o && o[i++], done: !o };
      }
  };
  throw new TypeError(s ? "Object is not iterable." : "Symbol.iterator is not defined.");
}

function __read(o, n) {
  var m = typeof Symbol === "function" && o[Symbol.iterator];
  if (!m) return o;
  var i = m.call(o), r, ar = [], e;
  try {
      while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
  }
  catch (error) { e = { error: error }; }
  finally {
      try {
          if (r && !r.done && (m = i["return"])) m.call(i);
      }
      finally { if (e) throw e.error; }
  }
  return ar;
}

/** @deprecated */
function __spread() {
  for (var ar = [], i = 0; i < arguments.length; i++)
      ar = ar.concat(__read(arguments[i]));
  return ar;
}

/** @deprecated */
function __spreadArrays() {
  for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
  for (var r = Array(s), k = 0, i = 0; i < il; i++)
      for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
          r[k] = a[j];
  return r;
}

function __spreadArray(to, from, pack) {
  if (pack || arguments.length === 2) for (var i = 0, l = from.length, ar; i < l; i++) {
      if (ar || !(i in from)) {
          if (!ar) ar = Array.prototype.slice.call(from, 0, i);
          ar[i] = from[i];
      }
  }
  return to.concat(ar || Array.prototype.slice.call(from));
}

function __await(v) {
  return this instanceof __await ? (this.v = v, this) : new __await(v);
}

function __asyncGenerator(thisArg, _arguments, generator) {
  if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
  var g = generator.apply(thisArg, _arguments || []), i, q = [];
  return i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i;
  function verb(n) { if (g[n]) i[n] = function (v) { return new Promise(function (a, b) { q.push([n, v, a, b]) > 1 || resume(n, v); }); }; }
  function resume(n, v) { try { step(g[n](v)); } catch (e) { settle(q[0][3], e); } }
  function step(r) { r.value instanceof __await ? Promise.resolve(r.value.v).then(fulfill, reject) : settle(q[0][2], r); }
  function fulfill(value) { resume("next", value); }
  function reject(value) { resume("throw", value); }
  function settle(f, v) { if (f(v), q.shift(), q.length) resume(q[0][0], q[0][1]); }
}

function __asyncDelegator(o) {
  var i, p;
  return i = {}, verb("next"), verb("throw", function (e) { throw e; }), verb("return"), i[Symbol.iterator] = function () { return this; }, i;
  function verb(n, f) { i[n] = o[n] ? function (v) { return (p = !p) ? { value: __await(o[n](v)), done: false } : f ? f(v) : v; } : f; }
}

function __asyncValues(o) {
  if (!Symbol.asyncIterator) throw new TypeError("Symbol.asyncIterator is not defined.");
  var m = o[Symbol.asyncIterator], i;
  return m ? m.call(o) : (o = typeof __values === "function" ? __values(o) : o[Symbol.iterator](), i = {}, verb("next"), verb("throw"), verb("return"), i[Symbol.asyncIterator] = function () { return this; }, i);
  function verb(n) { i[n] = o[n] && function (v) { return new Promise(function (resolve, reject) { v = o[n](v), settle(resolve, reject, v.done, v.value); }); }; }
  function settle(resolve, reject, d, v) { Promise.resolve(v).then(function(v) { resolve({ value: v, done: d }); }, reject); }
}

function __makeTemplateObject(cooked, raw) {
  if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
  return cooked;
};

var __setModuleDefault = Object.create ? (function(o, v) {
  Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
  o["default"] = v;
};

function __importStar(mod) {
  if (mod && mod.__esModule) return mod;
  var result = {};
  if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
  __setModuleDefault(result, mod);
  return result;
}

function __importDefault(mod) {
  return (mod && mod.__esModule) ? mod : { default: mod };
}

function __classPrivateFieldGet(receiver, state, kind, f) {
  if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a getter");
  if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot read private member from an object whose class did not declare it");
  return kind === "m" ? f : kind === "a" ? f.call(receiver) : f ? f.value : state.get(receiver);
}

function __classPrivateFieldSet(receiver, state, value, kind, f) {
  if (kind === "m") throw new TypeError("Private method is not writable");
  if (kind === "a" && !f) throw new TypeError("Private accessor was defined without a setter");
  if (typeof state === "function" ? receiver !== state || !f : !state.has(receiver)) throw new TypeError("Cannot write private member to an object whose class did not declare it");
  return (kind === "a" ? f.call(receiver, value) : f ? f.value = value : state.set(receiver, value)), value;
}

function __classPrivateFieldIn(state, receiver) {
  if (receiver === null || (typeof receiver !== "object" && typeof receiver !== "function")) throw new TypeError("Cannot use 'in' operator on non-object");
  return typeof state === "function" ? receiver === state : state.has(receiver);
}

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ({
  __extends,
  __assign,
  __rest,
  __decorate,
  __param,
  __metadata,
  __awaiter,
  __generator,
  __createBinding,
  __exportStar,
  __values,
  __read,
  __spread,
  __spreadArrays,
  __spreadArray,
  __await,
  __asyncGenerator,
  __asyncDelegator,
  __asyncValues,
  __makeTemplateObject,
  __importStar,
  __importDefault,
  __classPrivateFieldGet,
  __classPrivateFieldSet,
  __classPrivateFieldIn,
});


/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/define property getters */
/******/ 	(() => {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = (exports, definition) => {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	(() => {
/******/ 		__webpack_require__.o = (obj, prop) => (Object.prototype.hasOwnProperty.call(obj, prop))
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	(() => {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = (exports) => {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	})();
/******/ 	
/************************************************************************/
/******/ 	
/******/ 	// startup
/******/ 	// Load entry module and return exports
/******/ 	// This entry module is referenced by other modules so it can't be inlined
/******/ 	var __webpack_exports__ = __webpack_require__("./packages-ui/roosterjs-react/lib/index.ts");
/******/ 	
/******/ 	return __webpack_exports__;
/******/ })()
;
});;
//# sourceMappingURL=rooster-react-amd.js.map